## Version 1.5.5
- [`11765ff`](https://github.com/synfig/synfig/commit/11765ffea272cb64b194e65869ef6e2045e6c5eb) fix: add-skeleton-simple plugin switched naming of "forearm" and "arm" ([#3687](https://github.com/synfig/synfig/issues/3687))
- [`3647833`](https://github.com/synfig/synfig/commit/36478330193c5eb04f9bbedf20ecbd933b99a1aa) feat(sketch tool): add redo for the sketch tool ([#3661](https://github.com/synfig/synfig/issues/3661))
- [`202fe41`](https://github.com/synfig/synfig/commit/202fe411f5203b9971d22b277719c953ba334520) refactor: remove unused variable ([#3678](https://github.com/synfig/synfig/issues/3678))
- [`5eb65a5`](https://github.com/synfig/synfig/commit/5eb65a52098bd066318ada10dfb18a0ba5933a94) refactor: remove CanvasView methods unused since 2005 ([#3679](https://github.com/synfig/synfig/issues/3679))
- [`9c444e4`](https://github.com/synfig/synfig/commit/9c444e4ac7a936b57c9209cc3d86080fa2b82d26) chore: fix various typos ([#3673](https://github.com/synfig/synfig/issues/3673))
- [`0d059a1`](https://github.com/synfig/synfig/commit/0d059a1e9accf73bbb65c0c70529555ecba90a09) feat(converter): Absolute Converter for angle/integer/real ([#3618](https://github.com/synfig/synfig/issues/3618))
- [`d8951f9`](https://github.com/synfig/synfig/commit/d8951f9c2a61308d5a54951d01c63102472d5ef1) chore: Release version 1.5.4 ([#3672](https://github.com/synfig/synfig/issues/3672))
## Version 1.5.4
- [`bdb7819`](https://github.com/synfig/synfig/commit/bdb781940478ed79a70ce63c1c7c6979f31a567c) chore: Bump year to 2026 ([#3669](https://github.com/synfig/synfig/issues/3669))
- [`8b91d74`](https://github.com/synfig/synfig/commit/8b91d74feb0cced18cf216c8482cf2cbbfc25055) feat: add hotkeys for locking/unlocking past & future keyframes ([#3648](https://github.com/synfig/synfig/issues/3648))
- [`2bbbf45`](https://github.com/synfig/synfig/commit/2bbbf456c9b4d3e0fb43fc6ba90bc87164dcfff8) fix: undefined behavior when user convert a value, change it, undo twice/redo twice ([#3570](https://github.com/synfig/synfig/issues/3570))
- [`89c02ad`](https://github.com/synfig/synfig/commit/89c02ad554e0c236b6e9f059a36adb717a1199e0) feat: added a way to easily access the rendered file
- [`e02b254`](https://github.com/synfig/synfig/commit/e02b254ff1c0759383bec7177a83fd03fbc8759f) fix: prevent negative bline/brush width in rectangle state and constrain the range ([#3640](https://github.com/synfig/synfig/issues/3640))
- [`1f0e9f4`](https://github.com/synfig/synfig/commit/1f0e9f4450f7785a1ff4f9ccd9fdd3bb65b873ab) feat: add some palette clipboard functionality ([#2597](https://github.com/synfig/synfig/issues/2597))
- [`29dcc9c`](https://github.com/synfig/synfig/commit/29dcc9cab551ead5f38a4a4e3f4c32eaf34de7d9) fix(bline tool): ignores double-clicking if without any created point ([#3594](https://github.com/synfig/synfig/issues/3594))
- [`6a330c4`](https://github.com/synfig/synfig/commit/6a330c4f2d134cec5d4b53bc89034dc36d9060dd) fix(advanced outline): fix rendering of width point in non-homogeneous position ([#3555](https://github.com/synfig/synfig/issues/3555))
- [`8eca8af`](https://github.com/synfig/synfig/commit/8eca8afe6b15067d6ab528af91dd34737e4cbdee) feat: add new Map Range valuenode ([#3597](https://github.com/synfig/synfig/issues/3597))
- [`77f1654`](https://github.com/synfig/synfig/commit/77f1654d63947e49fcad8fc0ba768186a2e9bdc7) fix(bline tool): couldn't create the spline right after user drags the first vertex ([#3595](https://github.com/synfig/synfig/issues/3595))
- [`f5f338c`](https://github.com/synfig/synfig/commit/f5f338c9231c64ba4b9368200de1cb6d8765b872) feat(GUI): add missing icons for various bone types ([#3599](https://github.com/synfig/synfig/issues/3599))
- [`f6814a7`](https://github.com/synfig/synfig/commit/f6814a72a5a6bb9c7dc830a4e9b6387f1cfa9a9c) fix(lottie): allow to export SolidColor layer from old sif files ([#3583](https://github.com/synfig/synfig/issues/3583))
- [`da97708`](https://github.com/synfig/synfig/commit/da977088f756df602a6d02e6f008e75e3ec7f981) fix: avoid buffer overflow in Widget_SoundWave ([#3564](https://github.com/synfig/synfig/issues/3564))
- [`0dd0794`](https://github.com/synfig/synfig/commit/0dd0794096424d3d98d0312d075c6b22a844c7f2) feat(lottie): add support for Text Layer ([#1469](https://github.com/synfig/synfig/issues/1469))
- [`aac7e12`](https://github.com/synfig/synfig/commit/aac7e12efc3988a99a4c772d82a8d64faffc3b28) fix: prevent crash due to null devices in DeviceManager from libgtkmm ([#3576](https://github.com/synfig/synfig/issues/3576))
- [`4d9ecdf`](https://github.com/synfig/synfig/commit/4d9ecdf6efacc65fe6c7a61bff6f85b2a62ab6a3) chore: bump year to 2025 ([#3581](https://github.com/synfig/synfig/issues/3581))
- [`720404b`](https://github.com/synfig/synfig/commit/720404bb8a097a68bf04273fc0aadfa11f72c74d) fix(GUI): add missing icon for type transformation ([#3578](https://github.com/synfig/synfig/issues/3578))
- [`758de39`](https://github.com/synfig/synfig/commit/758de39ee7a68cc5f86efcd0a3637d3952f92cfc) feat: added support for setting playback interval through movable buttons ([#2765](https://github.com/synfig/synfig/issues/2765))
- [`ae97e0f`](https://github.com/synfig/synfig/commit/ae97e0fa113eb7c46dd3d721af97cfe851357450) fix: modifying waypoints for a group layer no longer modifies sibling layers ([#3312](https://github.com/synfig/synfig/issues/3312))
- [`77b19f6`](https://github.com/synfig/synfig/commit/77b19f6f3b15370050d8b6fed6dfdce5519fc5bc) fix(ui): fix missing window icon in Wayland ([#3561](https://github.com/synfig/synfig/issues/3561))
- [`10a1391`](https://github.com/synfig/synfig/commit/10a1391fe158bd9615aa465fbf59a6dd63843e1d) fix(audio): add length check for MLT track loading ([#3512](https://github.com/synfig/synfig/issues/3512))
- [`b3646d1`](https://github.com/synfig/synfig/commit/b3646d14fd180a211440417bdf3fa578a4d3d3d0) fix(ui): refresh Parameters panel after undo/redo ([#3525](https://github.com/synfig/synfig/issues/3525))
- [`3eb1fbb`](https://github.com/synfig/synfig/commit/3eb1fbbe13437dc637ca51140538fc641bca8509) fix(lottie): add missing import for Advanced Outline ([#3508](https://github.com/synfig/synfig/issues/3508))
- [`bf4d38c`](https://github.com/synfig/synfig/commit/bf4d38cdd98e11cd3bce40e3bd16ac5a1fb9d104) refactor: make code for importing image sequence more readable ([#3503](https://github.com/synfig/synfig/issues/3503))
- [`888d87d`](https://github.com/synfig/synfig/commit/888d87d30349a03924dfab25319af720a6e8d64a) feat(dialog): add Enter key support to accept user choice ([#3520](https://github.com/synfig/synfig/issues/3520))
- [`3dd17ef`](https://github.com/synfig/synfig/commit/3dd17efac10f2f02eb91067fedea6d1e78679f28) fix: History panel didn't show sub-actions anymore ([#3522](https://github.com/synfig/synfig/issues/3522))
- [`3762c11`](https://github.com/synfig/synfig/commit/3762c1108f6a46cd27a59ab376bb594140999028) build(ETL): cleanup dismissed ETL dependencies ([#3523](https://github.com/synfig/synfig/issues/3523))
- [`33a708f`](https://github.com/synfig/synfig/commit/33a708fa27256a389f91a2c793ace4db8409ac09) refactor: reduce visibility of internal variable members of Layer_Bitmap ([#3504](https://github.com/synfig/synfig/issues/3504))
- [`7b1b807`](https://github.com/synfig/synfig/commit/7b1b80755cf52db980287f19389ec8e37a7580e1) fix(lottie): Prevent SameFileError when exporting assets already in the images directory ([#3506](https://github.com/synfig/synfig/issues/3506))
- [`ba12519`](https://github.com/synfig/synfig/commit/ba12519bbcc7a9b5c741c7aaa07a45e5b3f6177a) fix: some Coverity Scan reports ([#3507](https://github.com/synfig/synfig/issues/3507))
- [`cb6aa08`](https://github.com/synfig/synfig/commit/cb6aa08acef46c35a014c3371c9204023ab88a6e) fix: prevent crash due to null pointer dereference in Action::LayerEncapsulateSwitch ([#3501](https://github.com/synfig/synfig/issues/3501))
- [`d720420`](https://github.com/synfig/synfig/commit/d720420a90edad75ef759e83a463b378bc60b24d) refactor(Action): avoid direct use of etl::handle ([#3497](https://github.com/synfig/synfig/issues/3497))
- [`e3b653d`](https://github.com/synfig/synfig/commit/e3b653ded2b1995930589d490a909d66143759a1) fix: importing image sequence failed when there was no duplicates ([#3499](https://github.com/synfig/synfig/issues/3499))
- [`fddd396`](https://github.com/synfig/synfig/commit/fddd3964ead305920ae2b0e6acc68b7b07268d77) fix: crash when trying to link to polygon instead of spline ([#3482](https://github.com/synfig/synfig/issues/3482))
- [`927c829`](https://github.com/synfig/synfig/commit/927c829ed36902072a630e0769c26df2750a8b95) refactor: remove unused CanvasInterface::auto_export() method ([#3492](https://github.com/synfig/synfig/issues/3492))
- [`484662d`](https://github.com/synfig/synfig/commit/484662d376a35340ca07a92f4f898624f554dd32) fix: prevent potential null pointer dereference in ValueDescDisconnect action ([#3458](https://github.com/synfig/synfig/issues/3458))
- [`eb236f5`](https://github.com/synfig/synfig/commit/eb236f548c7937510382a9800beab60774981838) fix: resolve issue with toolbar space remaining visible after hiding ([#3459](https://github.com/synfig/synfig/issues/3459))
- [`842638c`](https://github.com/synfig/synfig/commit/842638c287a326cf67a946ab28dd3713f1a6e563) fix: regression: couldn't edit color or gradient of multiple layers ([#3470](https://github.com/synfig/synfig/issues/3470))
- [`4fadf28`](https://github.com/synfig/synfig/commit/4fadf2837bdc136fad26e0518c2b23e0842df780) refactor: add move constructor and move assignment operator to ValueDesc ([#3150](https://github.com/synfig/synfig/issues/3150))
- [`bd2bf9f`](https://github.com/synfig/synfig/commit/bd2bf9f52b3a11514d79b8ef9db137870ac3842c) fix: handle (Radial)Composite valuenodes via Widget_Curves ([#3428](https://github.com/synfig/synfig/issues/3428))
- [`071dce7`](https://github.com/synfig/synfig/commit/071dce7776577c2dfe0188a953dc7bc3a344c4b5) refactor: Filesystem::remove_recursive() uses Path ([#3364](https://github.com/synfig/synfig/issues/3364))
- [`c8120b8`](https://github.com/synfig/synfig/commit/c8120b823d5d8f70f4d338c4e1adff761afee0ec) fix: proper reset of bonesetup size in WorkArea ([#3380](https://github.com/synfig/synfig/issues/3380))
- [`9f95d2c`](https://github.com/synfig/synfig/commit/9f95d2c51e3735f8590d22c5c5466c463bb63db1) refactor: rename setup and help-about actions - preparing to macOS ([#3195](https://github.com/synfig/synfig/issues/3195))
- [`8170b7d`](https://github.com/synfig/synfig/commit/8170b7dae4721bbc838ace23450b987c0685efe0) chore: fix various typos ([#3443](https://github.com/synfig/synfig/issues/3443))
- [`bcc6bf0`](https://github.com/synfig/synfig/commit/bcc6bf098a06ceb42c1c8331f5df0e8338708ff3) feat: add "copy all" for Paste Options dialog ([#3422](https://github.com/synfig/synfig/issues/3422))
- [`483b5ed`](https://github.com/synfig/synfig/commit/483b5ed6fd2917937761b0a029d86b1b9b0be36c) fix: color/gradient dialog edits the parameter that opened itself ([#3373](https://github.com/synfig/synfig/issues/3373))
- [`31b4729`](https://github.com/synfig/synfig/commit/31b472971336c16786942a55aceff2cc5e08f812) fix: Lottie export failure with Japanese locale setting in Windows ([#3419](https://github.com/synfig/synfig/issues/3419))
- [`41aff7b`](https://github.com/synfig/synfig/commit/41aff7b18ee2150b6627b2b8d5a912134f95ad77) chore: Release version 1.5.3 ([#3410](https://github.com/synfig/synfig/issues/3410))
## Version 1.5.3
- [`78e866c`](https://github.com/synfig/synfig/commit/78e866cde56d844b1d2b66d83b5de7249788d0ab) chore: Fix [#3398](https://github.com/synfig/synfig/issues/3398) - Missing install-sh script on MacOS ([#3408](https://github.com/synfig/synfig/issues/3408))
- [`4422c5c`](https://github.com/synfig/synfig/commit/4422c5c95b4302afbe59dd2ef7ad6bb679487bde) Bump version to 1.5.3 ([#3402](https://github.com/synfig/synfig/issues/3402))
- [`e832255`](https://github.com/synfig/synfig/commit/e8322554c42075b5b4be647b19f6fd9aca367c10) perf(GUI): don't render frame thumbnails if disabled ([#3356](https://github.com/synfig/synfig/issues/3356))
- [`f0e7df3`](https://github.com/synfig/synfig/commit/f0e7df389abc6600714bb119d5a551bb1e1fb708) chore: removed zh-Hant locale as it has zero translations ([#3354](https://github.com/synfig/synfig/issues/3354))
- [`c8ea2c2`](https://github.com/synfig/synfig/commit/c8ea2c2ecbd5fd9e3ad9c6937b56a203aaa1d1ea) feat: added ability to set colors for a dark theme for curves ([#3346](https://github.com/synfig/synfig/issues/3346))
- [`4348d65`](https://github.com/synfig/synfig/commit/4348d65b6adcee7bfad545e919145eec5b6cc4b4) fix: undo didn't work properly after deleting last guide line ([#3304](https://github.com/synfig/synfig/issues/3304))
- [`655bdaa`](https://github.com/synfig/synfig/commit/655bdaab12b8a50fd63e0b834901777f6fd9d155) feat: add WebM video format to ffmpeg codecs list ([#3330](https://github.com/synfig/synfig/issues/3330))
- [`7f39534`](https://github.com/synfig/synfig/commit/7f39534c86faf005dae4ded1ac313d97e353c624) fix: adjust minimum panel size ([#3296](https://github.com/synfig/synfig/issues/3296))
- [`818b0a4`](https://github.com/synfig/synfig/commit/818b0a46ae377756bb2e3f672aab6c2abef480ea) fix: add fill-color instead of outline-color to palette ([#3314](https://github.com/synfig/synfig/issues/3314))
- [`ecc4068`](https://github.com/synfig/synfig/commit/ecc4068c32580f23c62391d892c2ae73628f7222) feat: add missing scroll bar to Paste Layer dialog ([#3310](https://github.com/synfig/synfig/issues/3310))
- [`cdbb598`](https://github.com/synfig/synfig/commit/cdbb5983057a34d2f549a3ab47bff7dc81bc548b) feat: allow to change resource filepath in Canvas Dependencies dialog ([#3105](https://github.com/synfig/synfig/issues/3105))
- [`09a8045`](https://github.com/synfig/synfig/commit/09a8045048ba766ae4ccf30cb33833eb89eac224) fix: no need to show "Icon" header text to Layers Panel ([#3244](https://github.com/synfig/synfig/issues/3244))
- [`cb11697`](https://github.com/synfig/synfig/commit/cb11697a2f74b8b6fb44c8faf297b0d8965b8c0e) refactor: drop SIF file in Toolbox now uses filesystem::Path ([#3284](https://github.com/synfig/synfig/issues/3284))
- [`9f525f1`](https://github.com/synfig/synfig/commit/9f525f1221d359a2ee2650cbacae218a84ce4671) feat: layers and parameters trees can now be styled with even/odd rows ([#3242](https://github.com/synfig/synfig/issues/3242))
- [`c1f4e6e`](https://github.com/synfig/synfig/commit/c1f4e6e8a60653ed585a055186769dba50488b43) fix: mouse clicks while dragging ducks prevent DRAG from resetting ([#3268](https://github.com/synfig/synfig/issues/3268))
- [`0489837`](https://github.com/synfig/synfig/commit/048983714026696a91bbf6938be0833b430fd6d8) fix: dropped image file doesn't load (broken conversion URI to file path on Win32) ([#3280](https://github.com/synfig/synfig/issues/3280))
- [`5e40169`](https://github.com/synfig/synfig/commit/5e40169c9ed34ddbf667a5ea0907e429b6b71c59) fix: memory leak when the load default palette button is repeatedly pressed ([#2633](https://github.com/synfig/synfig/issues/2633))
- [`1cef34f`](https://github.com/synfig/synfig/commit/1cef34f350ea0d9a8f5c3675a47e7f88336d64d5) fix: store a more precise distance value on settings file ([#3278](https://github.com/synfig/synfig/issues/3278))
- [`2610452`](https://github.com/synfig/synfig/commit/26104523f1f0b936cf4e98c80873df8e05cc73f7) fix: units in Tool Options panel didn't follow app settings (regression) ([#3276](https://github.com/synfig/synfig/issues/3276))
- [`ceeaa53`](https://github.com/synfig/synfig/commit/ceeaa53b7d06a51c0d4ae15801d8057dfb14da24) refactor: prefer synfig::filesystem::Path rather than synfig::String or std::string ([#3273](https://github.com/synfig/synfig/issues/3273))
- [`05da4e9`](https://github.com/synfig/synfig/commit/05da4e95023c3015096729d1444f9266a0175fb5) fix: build on Debian 9 ([#3169](https://github.com/synfig/synfig/issues/3169))
- [`1113a4c`](https://github.com/synfig/synfig/commit/1113a4cec09ab4ad976d62ee7d9a65192348b74d) feat: added presets to canvas resize window  ([#3213](https://github.com/synfig/synfig/issues/3213))
- [`6f04539`](https://github.com/synfig/synfig/commit/6f045399e671d5badd92b6ee99dd8148cc91ebc0) fix: unable to open file paths longer than 23 characters on Windows ([#3265](https://github.com/synfig/synfig/issues/3265))
- [`cb161a0`](https://github.com/synfig/synfig/commit/cb161a0e4dad0837b8d8abef1a634725469ba2bd) refactor: icon controller now uses synfig::filesystem::Path ([#3254](https://github.com/synfig/synfig/issues/3254))
- [`c646494`](https://github.com/synfig/synfig/commit/c646494ed332aaefb3841f778afc5c069d7f2733) refactor: create load_interface() on ResourceHelper ([#3258](https://github.com/synfig/synfig/issues/3258))
- [`07656d7`](https://github.com/synfig/synfig/commit/07656d75eecb9a90b26b0c3e67c8395dee38376a) refactor: App::brushes_path now uses synfig::filesystem::Path ([#3250](https://github.com/synfig/synfig/issues/3250))
- [`ff07e2f`](https://github.com/synfig/synfig/commit/ff07e2f85d7437d95fca3ebd16170aff92f5a38e) refactor: remove unneeded macro stratof ([#3257](https://github.com/synfig/synfig/issues/3257))
- [`1f56478`](https://github.com/synfig/synfig/commit/1f564788d41b94d732e837539960e871ed09c22e) fix: recent file list is reversing every time Synfig Studio launches ([#3256](https://github.com/synfig/synfig/issues/3256))
- [`0e4826d`](https://github.com/synfig/synfig/commit/0e4826d42cdb4c423ea8e5f0fface61ab3d18e13) fix: restore the tools hotkeys ([#3262](https://github.com/synfig/synfig/issues/3262))
- [`15979d4`](https://github.com/synfig/synfig/commit/15979d48bb79386d575ce58aaa040553c2cecfcf) fix: update Solid Color layer name in Lottie exporter ([#3252](https://github.com/synfig/synfig/issues/3252))
- [`0e11669`](https://github.com/synfig/synfig/commit/0e116697e531af2eb14a7749e552908464526387) refactor: OS::launch_file_async() now uses synfig::filesystem::Path ([#3249](https://github.com/synfig/synfig/issues/3249))
- [`d716b93`](https://github.com/synfig/synfig/commit/d716b93c831fcd1e4c61756a427cf204bd4674fe) fix: restore icons for Tools menu ([#3248](https://github.com/synfig/synfig/issues/3248))
- [`0761723`](https://github.com/synfig/synfig/commit/0761723cca097a035e1f3c358f565cf1a3cdf2e0) feat: add Layers, Parameters and Timetrack treeviews styles for even/odd rows ([#3245](https://github.com/synfig/synfig/issues/3245))
- [`5907a10`](https://github.com/synfig/synfig/commit/5907a10a27e7c5e2242bf13c0add85a17648e725) refactor: dialogs for document opening now use filesystem::Path ([#3246](https://github.com/synfig/synfig/issues/3246))
- [`0882a4e`](https://github.com/synfig/synfig/commit/0882a4e6b5d0a0734f3c46e4eeb06b3f58c73e9e) refactor: dialogs for saving and exporting now uses filesystem::Path ([#3234](https://github.com/synfig/synfig/issues/3234))
- [`2ee9378`](https://github.com/synfig/synfig/commit/2ee937878b1fee19b63e40840c8388f5c418cb9f) fix: column 'name' of Layers panel should be the largest one ([#3243](https://github.com/synfig/synfig/issues/3243))
- [`e872c19`](https://github.com/synfig/synfig/commit/e872c19142967eadf825cdd7c517b23569006f62) refactor: synfig::OS::get_binary_path() doesn't require a fallback anymore ([#3236](https://github.com/synfig/synfig/issues/3236))
- [`4e71685`](https://github.com/synfig/synfig/commit/4e716859457551ae5418bcf771cbf98091ddfca4) refactor: avoid compiler warning: missing parentheses around assignment ([#3238](https://github.com/synfig/synfig/issues/3238))
- [`219c214`](https://github.com/synfig/synfig/commit/219c21498e6062813c5bc956cc3e18d9552b39c2) feat: workaround to allow to alternate even/odd row colors for Timetrack ([#3231](https://github.com/synfig/synfig/issues/3231))
- [`8b4bf25`](https://github.com/synfig/synfig/commit/8b4bf2520c737641d2bd94aef5c8d374cc7dd067) refactor: remove compiler warning about missing `override` keyword ([#3237](https://github.com/synfig/synfig/issues/3237))
- [`6969840`](https://github.com/synfig/synfig/commit/69698402e7a88895b102bf4b35caf597259b9dba) refactor: clean etl::handle and alike ([#3233](https://github.com/synfig/synfig/issues/3233))
- [`ea2b81e`](https://github.com/synfig/synfig/commit/ea2b81ee6094fb0dcea666396b4ffd668ff6fe86) feat: widget Timetrack now can have its own color for selected row ([#3232](https://github.com/synfig/synfig/issues/3232))
- [`91c09dd`](https://github.com/synfig/synfig/commit/91c09dddee2aa605ed657cb9b2c71b722043da74) feat: add CSS classes and id to widgets/panels to allow visual customization ([#3230](https://github.com/synfig/synfig/issues/3230))
- [`fd63235`](https://github.com/synfig/synfig/commit/fd63235eae3eb95ca4f199fe262bfb3322583848) refactor: prefer synfig::filesystem::Path rather std::string ([#3229](https://github.com/synfig/synfig/issues/3229))
- [`7681883`](https://github.com/synfig/synfig/commit/768188305412e231309cddf467c58bcc304863d9) refactor: use synfig:filesystem::Path for sketch, palette & others ([#3219](https://github.com/synfig/synfig/issues/3219))
- [`2cf7e0e`](https://github.com/synfig/synfig/commit/2cf7e0eefae64dedc92103265d3c45bf14d58b0d) fix: issues when importing with absolute paths from different root path ([#3214](https://github.com/synfig/synfig/issues/3214))
- [`3f490e5`](https://github.com/synfig/synfig/commit/3f490e5c18db9d4921621b43723c01ffb659a572) refactor: prefer range-based for loop and avoid direct etl::handle ([#3227](https://github.com/synfig/synfig/issues/3227))
- [`9d76e50`](https://github.com/synfig/synfig/commit/9d76e502d4396f298db710b4ff926ee6cf36a31f) fix(Windows): plugins fail to execute for files with non-latin characters ([#3220](https://github.com/synfig/synfig/issues/3220))
- [`57a063a`](https://github.com/synfig/synfig/commit/57a063ac650eb47590d909f602b070ed45dcaeab) refactor: avoid direct use of etl::handle ([#3226](https://github.com/synfig/synfig/issues/3226))
- [`19218cf`](https://github.com/synfig/synfig/commit/19218cfe8c86fc0aedf047986a36df3c4b271660) refactor: remove not-needed 'using namespace etl' ([#3221](https://github.com/synfig/synfig/issues/3221))
- [`7040b7f`](https://github.com/synfig/synfig/commit/7040b7f4452afebe131a4425bafb5171f7f6112f) refactor: make Filesystem::filename a filesystem::Path object ([#3209](https://github.com/synfig/synfig/issues/3209))
- [`fb11ad2`](https://github.com/synfig/synfig/commit/fb11ad27d80903cf5eaba4698298801512e928b6) fix: scale value of transformation on Parameters Panel is dimensionless ([#3208](https://github.com/synfig/synfig/issues/3208))
- [`bb7180e`](https://github.com/synfig/synfig/commit/bb7180ec1925ba45b3dc3928983190ca3df817d4) fix: revert Custom Workspaces Editor button labels to GTK ones ([#3175](https://github.com/synfig/synfig/issues/3175))
- [`9bd669d`](https://github.com/synfig/synfig/commit/9bd669d14d0f4d187a3adba271f4a206feaec194) perf: optimized Action_System so that the canvas only renders once during an action ([#3200](https://github.com/synfig/synfig/issues/3200))
- [`09e01f0`](https://github.com/synfig/synfig/commit/09e01f07ec4b02fefd4ec2428cbec39ae263fda2) fix: toolbox isn't updated when switching document tabs ([#3170](https://github.com/synfig/synfig/issues/3170))
- [`567c796`](https://github.com/synfig/synfig/commit/567c7964576c7730244a025e3f356f6bd7cb2efb) refactor: remove old macOS specific code ([#3192](https://github.com/synfig/synfig/issues/3192))
- [`4e47fc0`](https://github.com/synfig/synfig/commit/4e47fc059fc5bc7fa4ce11fd70367c4457dc04e4) fix(plugin): requesting current_time invalidates JSON data ([#3194](https://github.com/synfig/synfig/issues/3194))
- [`72c3ae2`](https://github.com/synfig/synfig/commit/72c3ae2899ac76522a00eb59362a852dd538d9bd) feat: added path and button to open plugin folder in Preferences window ([#3162](https://github.com/synfig/synfig/issues/3162))
- [`e4f9059`](https://github.com/synfig/synfig/commit/e4f90592380e39df13310dc4a1029fa9e56446fc) fix: timetrack toolbar disappears when closing a file ([#3188](https://github.com/synfig/synfig/issues/3188))
- [`6c28f60`](https://github.com/synfig/synfig/commit/6c28f60bf481285f5b51c042e1cce91c0c16015d) style: indentation inconsistencies in `state_circle.cpp` ([#3183](https://github.com/synfig/synfig/issues/3183))
- [`8f06423`](https://github.com/synfig/synfig/commit/8f064232ab7b832c35060034dc53a87adce35d8a) fix(plugins): crash when selected layers are optional and there is none ([#3178](https://github.com/synfig/synfig/issues/3178))
- [`12d62c4`](https://github.com/synfig/synfig/commit/12d62c42c8e31ae99b925badb84e0fee2f3a27ec) fix: current time widget color in dark theme ([#3163](https://github.com/synfig/synfig/issues/3163))
- [`936b29a`](https://github.com/synfig/synfig/commit/936b29a5f6e87657186f1f058e428a42a2cb36ab) fix: wrong Copy and Cut icon names ([#3166](https://github.com/synfig/synfig/issues/3166))
- [`386a172`](https://github.com/synfig/synfig/commit/386a17232777084642adaf95e4bb4aec01db17fe) fix: preferences dialog should list only themes with index.theme file ([#3140](https://github.com/synfig/synfig/issues/3140))
- [`79ae40c`](https://github.com/synfig/synfig/commit/79ae40cd586089887b19c0f989e92c076ffef038) refactor: replaced Gtk::StockID in tool labels with custom implementation ([#3134](https://github.com/synfig/synfig/issues/3134))
- [`8967af0`](https://github.com/synfig/synfig/commit/8967af09b3876c699389913688dc777af27714ab) refactor: sketch filename now uses filesystem::Path ([#3138](https://github.com/synfig/synfig/issues/3138))
- [`0d26e60`](https://github.com/synfig/synfig/commit/0d26e602f4199e55d40a57b2c67c362dad8ca3c0) fix: fixed icons in Preferences dialog in Windows ([#3156](https://github.com/synfig/synfig/issues/3156))
- [`e232831`](https://github.com/synfig/synfig/commit/e2328316a5b9749f3b7ba292260a2144b2d28b06) fix: brush tool crashes synfig if no layer is selected in the dialog ([#3157](https://github.com/synfig/synfig/issues/3157))
- [`329a584`](https://github.com/synfig/synfig/commit/329a584aa76928791fa6db67aa6e28eddeffa994) feat: double clicking guides opens edit dialog ([#3152](https://github.com/synfig/synfig/issues/3152))
- [`655a042`](https://github.com/synfig/synfig/commit/655a04290fba9f439eae14848ee571ba97e39941) refactor: add fallthrough mark in switch cases to avoid unneeded warning ([#3143](https://github.com/synfig/synfig/issues/3143))
- [`5603b49`](https://github.com/synfig/synfig/commit/5603b4972b4c1c505fef45c155e540c3f3950ade) perf: use reference, not copy, on range-based for loops ([#3147](https://github.com/synfig/synfig/issues/3147))
- [`1cdcfd5`](https://github.com/synfig/synfig/commit/1cdcfd5249b5e74880b2091114a56d8fd8c86431) refactor: make argument name consistent in method declaration and definition ([#3122](https://github.com/synfig/synfig/issues/3122))
- [`5b774b1`](https://github.com/synfig/synfig/commit/5b774b12d4c84dc8a01da8d5a6bd518a3b1ac025) fix: restore shortcuts for edit cut/copy/paste and app quit ([#3133](https://github.com/synfig/synfig/issues/3133))
- [`25b1b5a`](https://github.com/synfig/synfig/commit/25b1b5ada0c7618cdac7ef851b69489bfa8fc92c) refactor: remove unused actions ([#3132](https://github.com/synfig/synfig/issues/3132))
- [`cc636bc`](https://github.com/synfig/synfig/commit/cc636bc412a5ebef207f0b7d2b2b9a3b8bdcdc17) fix: find the second closest guide no matter the guide list order ([#3090](https://github.com/synfig/synfig/issues/3090))
- [`28ae7c3`](https://github.com/synfig/synfig/commit/28ae7c3f199c6e3645987543aecb65544b9a0d3e) fix: filename was shown truncated in Render dialog ([#3129](https://github.com/synfig/synfig/issues/3129))
- [`d0145da`](https://github.com/synfig/synfig/commit/d0145da8b6e14e409135c637193f8972593e2c2b) style: prefer override rather virtual, spaces surrounding const ([#3130](https://github.com/synfig/synfig/issues/3130))
- [`1b5c291`](https://github.com/synfig/synfig/commit/1b5c2918a5d250a908d71b92b96a4fa3da06b70c) refactor: remove unneeded variable in `state_normal.cpp` ([#3123](https://github.com/synfig/synfig/issues/3123))
- [`f0fee6c`](https://github.com/synfig/synfig/commit/f0fee6ce5f9f1d51d4a63c032b21f31f2abb1b4d) refactor: prefer icon names rather deprecated Gtk::StockID ([#3125](https://github.com/synfig/synfig/issues/3125))
- [`9405e5b`](https://github.com/synfig/synfig/commit/9405e5b926dfb5dfcd3dec6d54907bdeb87a22dd) refactor: remove unused cursor methods in studio::IconController class ([#3126](https://github.com/synfig/synfig/issues/3126))
- [`55568f8`](https://github.com/synfig/synfig/commit/55568f8e4c98a8ff9c33bad01e222eeb88d68dcf) fix: tool tooltip didn't show the shortcut/hotkey ([#3127](https://github.com/synfig/synfig/issues/3127))
- [`13b3211`](https://github.com/synfig/synfig/commit/13b3211b07f7c260516cbfbfd4edd566fa1a19f9) refactor: brush size increase/decrease buttons now use theme icons ([#3091](https://github.com/synfig/synfig/issues/3091))
- [`9dfa49b`](https://github.com/synfig/synfig/commit/9dfa49b9d0aef15e5968254a744af4f2b9cd4c79) fix: make delete icon name independent of old Gtk ([#3120](https://github.com/synfig/synfig/issues/3120))
- [`5ecd9c1`](https://github.com/synfig/synfig/commit/5ecd9c1beb6998dd274426459ec81bb4018c5474) refactor: remove unused ParamDesc constructor argument ([#3092](https://github.com/synfig/synfig/issues/3092))
- [`9a7fb6c`](https://github.com/synfig/synfig/commit/9a7fb6cfdb0af4b72773958ab43eea7a92814313) refactor: delete old debug envvars that aren't needed anymore ([#3108](https://github.com/synfig/synfig/issues/3108))
- [`117665a`](https://github.com/synfig/synfig/commit/117665a43d88d5134201d9dde398b47c720043d9) fix: restore Save All shortcut missing since [#3072](https://github.com/synfig/synfig/issues/3072) ([#3110](https://github.com/synfig/synfig/issues/3110))
- [`80c2d28`](https://github.com/synfig/synfig/commit/80c2d28b117f19f5cebeb18cdb71a932f2758651) fix: some icons didn't follow icon theme ([#3109](https://github.com/synfig/synfig/issues/3109))
- [`a3091ae`](https://github.com/synfig/synfig/commit/a3091aeeacf527495b2ab3cdc0d0796652747d89) refactor: remove unused macro ([#3111](https://github.com/synfig/synfig/issues/3111))
- [`719186a`](https://github.com/synfig/synfig/commit/719186aba54dafa92a34e821d211628fcec6ef56) fix: avoid crash if icon theme does not provide type_bool_icon file ([#3107](https://github.com/synfig/synfig/issues/3107))
- [`fd8e796`](https://github.com/synfig/synfig/commit/fd8e796034d47829bad30e1ee9502463a32ecad3) refactor: remove unneeded target_names variable from RenderSettings dialog ([#3096](https://github.com/synfig/synfig/issues/3096))
- [`fd37089`](https://github.com/synfig/synfig/commit/fd370893420548fb7d53b02d85968d476362e7b3) refactor: use a common function as base to App::dialog_open_*() and simplify methods ([#3103](https://github.com/synfig/synfig/issues/3103))
- [`50dcf93`](https://github.com/synfig/synfig/commit/50dcf93b70208b023170c022ff6b791cb3af8a52) refactor: minor cleanup in state Lasso and Draw ([#3088](https://github.com/synfig/synfig/issues/3088))
- [`85d3401`](https://github.com/synfig/synfig/commit/85d34016b5c8aee402ac9cf7d7a4aa39dfba7c7b) refactor: render settings dialog now uses synfig::filesystem::Path ([#3094](https://github.com/synfig/synfig/issues/3094))
- [`905ff3f`](https://github.com/synfig/synfig/commit/905ff3f16fbc8447755f702f991714fd6c09ab05) fix: allow string to be properly translated ([#3089](https://github.com/synfig/synfig/issues/3089))
- [`8e87b99`](https://github.com/synfig/synfig/commit/8e87b996a52eb63f43e78234119e0ca0cfcdada9) refactor: update studio_menubar.xml ([#3075](https://github.com/synfig/synfig/issues/3075))
- [`e94dece`](https://github.com/synfig/synfig/commit/e94dece405cef1f4486379257894d7110a194c1c) refactor: prefer initialization list rather constructor body ([#3086](https://github.com/synfig/synfig/issues/3086))
- [`fdf4013`](https://github.com/synfig/synfig/commit/fdf4013f8c2a8ed99f080067f88a3b9d2dbe36b3) refactor: throw exception itself, not a copy ([#3087](https://github.com/synfig/synfig/issues/3087))
- [`011a34c`](https://github.com/synfig/synfig/commit/011a34cd29a6d506dbb07fdd1f3b8e893265db53) feat: plugins can  have simple dialog and receive current time and selected layer xpath ([#2996](https://github.com/synfig/synfig/issues/2996))
- [`6d88671`](https://github.com/synfig/synfig/commit/6d886710f4a0456fad9b5471fc8b91fa326b2438) refactor: prefer prefix ++ operators for non-primitive types (part 2) ([#3085](https://github.com/synfig/synfig/issues/3085))
- [`dd26f66`](https://github.com/synfig/synfig/commit/dd26f6622e74af66e7a08d406ff04f9d6f660486) feat: always show "Add Waypoint" menu item for animatable parameters ([#3006](https://github.com/synfig/synfig/issues/3006))
- [`022a016`](https://github.com/synfig/synfig/commit/022a016d79b801409bee055c652fc16edf575075) refactor: prefer prefix `++` operators for non-primitive types ([#3077](https://github.com/synfig/synfig/issues/3077))
- [`6e69e7e`](https://github.com/synfig/synfig/commit/6e69e7ea436051db4f45ef864a29a68fef5b88d6) refactor!: rename action "KeyframeToggl" as "KeyframeToggle" ([#3078](https://github.com/synfig/synfig/issues/3078))
- [`7c38135`](https://github.com/synfig/synfig/commit/7c38135e1bd1f93939e1d7b8ee03d1dd1e78ea49) refactor: add missing `const` to Duckmatic::add_to_ducks() parameter ([#3082](https://github.com/synfig/synfig/issues/3082))
- [`dcae44e`](https://github.com/synfig/synfig/commit/dcae44e696eca32d590e0138a07180bed61fd15b) refactor: list document actions in a std::vector to better readability ([#3076](https://github.com/synfig/synfig/issues/3076))
- [`b172e37`](https://github.com/synfig/synfig/commit/b172e3771a131dbd26879aae334b84ac26bcb6e6) feat: added the ability to rotate guides in the canvas ([#2777](https://github.com/synfig/synfig/issues/2777))
- [`99aae13`](https://github.com/synfig/synfig/commit/99aae13aa4714da3bac72cb9baa3ebabdced7456) refactor: prefer Layer_*::Handle and alike rather etl::handle ([#3041](https://github.com/synfig/synfig/issues/3041))
- [`445e872`](https://github.com/synfig/synfig/commit/445e8723a6d7b0594a526b3269d7f1c98da3bcf2) refactor: move `save_all()` (documents) from `CanvasView` to `MainWindow` ([#3072](https://github.com/synfig/synfig/issues/3072))
- [`6d62c48`](https://github.com/synfig/synfig/commit/6d62c48f41462d678cc212f8c01707d09b91fbbc) refactor: prefer CanvasView::Handle & others instead of etl::handle ([#3073](https://github.com/synfig/synfig/issues/3073))
- [`449a7e1`](https://github.com/synfig/synfig/commit/449a7e1a48c07884f2719a562d9471d62ccdb8bf) fix: Toolbox panel wasn't updated on switching tools via shortcuts ([#3067](https://github.com/synfig/synfig/issues/3067))
- [`5834fda`](https://github.com/synfig/synfig/commit/5834fda48e390497bf88263fca7121805e935387) fix: update Tool tip when user changes its shortcut at runtime ([#3066](https://github.com/synfig/synfig/issues/3066))
- [`3688e7f`](https://github.com/synfig/synfig/commit/3688e7f6037cc5828431c2afe0da902be7701f73) fix: Width handles must be visible with Skeleton layer ([#3061](https://github.com/synfig/synfig/issues/3061))
- [`d2e084f`](https://github.com/synfig/synfig/commit/d2e084ffa6492157a3fcc51858802abd2d9a09c8) build: fix `make distcheck` build ([#3069](https://github.com/synfig/synfig/issues/3069))
- [`37fb8aa`](https://github.com/synfig/synfig/commit/37fb8aa790ed9474b18c1673c023ce662acb631b) test: use preset variable of AutoTools to some directories ([#3068](https://github.com/synfig/synfig/issues/3068))
- [`61432e9`](https://github.com/synfig/synfig/commit/61432e9a0faedb46ed684f2d1358ca357c13f4d8) refactor: rename method to `get_link_description(...)` to avoid ambiguity ([#3060](https://github.com/synfig/synfig/issues/3060))
- [`009a5d0`](https://github.com/synfig/synfig/commit/009a5d040f74a06ec0ade1182d3d40da9cd91eb7) refactor!: move filepath handling methods to synfig::filesystem::Path ([#2710](https://github.com/synfig/synfig/issues/2710))
- [`571d7ea`](https://github.com/synfig/synfig/commit/571d7ea098bf145653099e3a6f9fc02a3f636fd5) fix: pasting of external exported valuenodes ([#2086](https://github.com/synfig/synfig/issues/2086))
- [`0ed2621`](https://github.com/synfig/synfig/commit/0ed2621015012cd41cd09f20a7eb2628349985f4) feat: new Chroma Key layer ([#2553](https://github.com/synfig/synfig/issues/2553))
- [`a31487f`](https://github.com/synfig/synfig/commit/a31487ff22ed0edd2f7184547d769cd85d027325) refactor: removed unused members of CanvasView ([#3052](https://github.com/synfig/synfig/issues/3052))
- [`199fee3`](https://github.com/synfig/synfig/commit/199fee3ae54babc960cd365ad5626e71b5eaaf30) fix(canvas-dependencies): properly identify the file to avoid clash ([#3048](https://github.com/synfig/synfig/issues/3048))
- [`f984fb2`](https://github.com/synfig/synfig/commit/f984fb2d7c2c89fd7c33d141b419ada21f1f4111) refactor: remove unused #include ([#3040](https://github.com/synfig/synfig/issues/3040))
- [`59791bf`](https://github.com/synfig/synfig/commit/59791bfa6d2732a6e9be03345b476777504bca77) ci: enabled tests on GitHub Actions ([#2740](https://github.com/synfig/synfig/issues/2740))
- [`7a9dca4`](https://github.com/synfig/synfig/commit/7a9dca43ebb9a5f79dd7c4ec22df08138735e589) feat: added ability to choose render engine from command line ([#2970](https://github.com/synfig/synfig/issues/2970))
- [`3eca7c9`](https://github.com/synfig/synfig/commit/3eca7c97a618bc1df28ffc1fd435185c63d6e588) fix: missing translation for plugin names in main menu ([#2998](https://github.com/synfig/synfig/issues/2998))
- [`3af0969`](https://github.com/synfig/synfig/commit/3af09694ea3e7f8b30f4d51657fac9398813cbbe) chore: fix various typos ([#3031](https://github.com/synfig/synfig/issues/3031))
- [`03c9c20`](https://github.com/synfig/synfig/commit/03c9c20882700a2b4bc7c2305d3a074e9915f14d) refactor: remove useless return statement at the end of a function ([#3020](https://github.com/synfig/synfig/issues/3020))
- [`e5a50f0`](https://github.com/synfig/synfig/commit/e5a50f03d33a22ec26bf07c91efb171ae15d954e) refactor: remove deprecated `Widget::override_color()` ([#3015](https://github.com/synfig/synfig/issues/3015))
- [`313878d`](https://github.com/synfig/synfig/commit/313878d4d12a32f24b533d0832a6660b63ee149a) refactor: use RadioToolButton instead of ToggleToolButton for tools dock ([#3012](https://github.com/synfig/synfig/issues/3012))
- [`3faf9f0`](https://github.com/synfig/synfig/commit/3faf9f0b998f2ba2856fc66cf87f72556020ea2a) refactor: replace deprecated `Gtk::HBox` with `Gtk::Box` ([#3002](https://github.com/synfig/synfig/issues/3002))
- [`75d2684`](https://github.com/synfig/synfig/commit/75d2684ca0adf80c7405a987c06d52efdd69ff3f) chore: fix typo in comment in valuedescset.h ([#3005](https://github.com/synfig/synfig/issues/3005))
- [`53560d3`](https://github.com/synfig/synfig/commit/53560d3683c58ecff3884f207896657ef9bc27f5) fix: drawing tablet didn't work on Wayland ([#2991](https://github.com/synfig/synfig/issues/2991))
- [`90e09d2`](https://github.com/synfig/synfig/commit/90e09d2a841b13b50dd5eabba92867392c59d9f4) fix: missing CanvasResize files in POTFILES.in ([#2992](https://github.com/synfig/synfig/issues/2992))
- [`55bba4b`](https://github.com/synfig/synfig/commit/55bba4bbc450e50fb6436dde7c09e16b6e7730c4) refactor: prefer <Class>::Handle rather etl::handle<Class> ([#2990](https://github.com/synfig/synfig/issues/2990))
- [`38a85c0`](https://github.com/synfig/synfig/commit/38a85c0e70ed7f1576c4d00f5506e7f47de696d7) feat: simplified canvas resize ([#1895](https://github.com/synfig/synfig/issues/1895))
- [`e172f0b`](https://github.com/synfig/synfig/commit/e172f0b4402d21c8eee58c1b88846dad102343b8) refactor: change VectorizerSettings dialog to use Glade and Builder ([#2080](https://github.com/synfig/synfig/issues/2080))
- [`93262db`](https://github.com/synfig/synfig/commit/93262dbc0e15fc1420de76f307936e29f03fe219) fix: build on Ubuntu 16.04 ([#2965](https://github.com/synfig/synfig/issues/2965))
- [`50cf228`](https://github.com/synfig/synfig/commit/50cf2287ffaf36a920041a5d5fde1207dce88909) fix: vectorizer not working when Switch layer uses Layer Depth, not Name ([#2981](https://github.com/synfig/synfig/issues/2981))
- [`d5e703e`](https://github.com/synfig/synfig/commit/d5e703e9fae1a4aa5849f2772a67af47b2baf9ec) refactor(instance): cleanup in add_special_layer_actions_to_group ([#2983](https://github.com/synfig/synfig/issues/2983))
- [`107aab7`](https://github.com/synfig/synfig/commit/107aab7b997b74c62046fdebe688b9a1142c3ec5) refactor(iconcontroller): list icons in std::vector to better readability ([#2982](https://github.com/synfig/synfig/issues/2982))
- [`39527f6`](https://github.com/synfig/synfig/commit/39527f633988d8afc04698f22746ffae0a29fb09) refactor: replaced deprecated `hvseparator` include by `separator` ([#2984](https://github.com/synfig/synfig/issues/2984))
- [`e087e44`](https://github.com/synfig/synfig/commit/e087e44e449510fd9da1f741e00a0fbeb0f42ba6) refactor: use camelcase for MotionBlur and SolidColor layer names ([#2978](https://github.com/synfig/synfig/issues/2978))
- [`b5ef88f`](https://github.com/synfig/synfig/commit/b5ef88f5e9a69523e0e181277fb1288f490b1dcf) refactor: micro cleanup in iconcontroller ([#2979](https://github.com/synfig/synfig/issues/2979))
- [`8557dde`](https://github.com/synfig/synfig/commit/8557dde5184ec0f8715b6ff84252b55ef843bb62) refactor: create methods strtolower() and strtoupper() to change cases ([#2977](https://github.com/synfig/synfig/issues/2977))
- [`a68a354`](https://github.com/synfig/synfig/commit/a68a354c47ad0165796ca68a231dc451e2fab639) fix: preview dialog now shows the correct start and end times ([#2974](https://github.com/synfig/synfig/issues/2974))
- [`742560f`](https://github.com/synfig/synfig/commit/742560f4874e2fefe536c998bf55835e7b9a4730) refactor: rename CanvasView::toggle_show_toolbar() to set_show_toolbars() ([#2975](https://github.com/synfig/synfig/issues/2975))
- [`abad0b8`](https://github.com/synfig/synfig/commit/abad0b8a481f3b914c9b182c0627f747ee3d04e7) refactor: move etl::reference_counter to synfig namespace ([#2949](https://github.com/synfig/synfig/issues/2949))
- [`f985aac`](https://github.com/synfig/synfig/commit/f985aacdb97fcad7d7de698dc0867ba754651076) refactor: replaced deprecated `signal_pressed()`  with `signal_clicked()` ([#2962](https://github.com/synfig/synfig/issues/2962))
- [`be84b8e`](https://github.com/synfig/synfig/commit/be84b8e8e27aa0c75a611148b003ba0eddf5bc61) feat: added hotkey for duplicate layer button ([#2895](https://github.com/synfig/synfig/issues/2895))
- [`7e0b486`](https://github.com/synfig/synfig/commit/7e0b48626e9a1880dae93b476ba5d88cecfd2f1b) chore: bump  year to 2023 ([#2966](https://github.com/synfig/synfig/issues/2966))
- [`eb625b9`](https://github.com/synfig/synfig/commit/eb625b90032457b4a11144e6dc38077cabf35190) feat: added missing icons and more ([#2955](https://github.com/synfig/synfig/issues/2955))
- [`9c96667`](https://github.com/synfig/synfig/commit/9c966671e395df713aeeeabf2978c2455133dea1) fix: show/hide main window toolbar should affect both toolbars ([#2947](https://github.com/synfig/synfig/issues/2947))
- [`b2a0c5a`](https://github.com/synfig/synfig/commit/b2a0c5a1ceee03fbd1c3b12f7aad61234d5985f9) refactor: removed deprecated Gtk::VBox and get_vbox() ([#2967](https://github.com/synfig/synfig/issues/2967))
- [`80aabd4`](https://github.com/synfig/synfig/commit/80aabd44ddff5e4af0d0d16944fa4abc7903bf21) refactor: remove commented-out methods since march 2005 ([#2956](https://github.com/synfig/synfig/issues/2956))
- [`76dbcd1`](https://github.com/synfig/synfig/commit/76dbcd19ce8f95c86a1129b6f5f2aa717efe9b73) refactor: added internal escape_underline() in MainWindow ([#2952](https://github.com/synfig/synfig/issues/2952))
- [`414b5d7`](https://github.com/synfig/synfig/commit/414b5d7e42ce0822d07989b4851edf072897e8e7) refactor: move workspace methods from App to MainWindow ([#2942](https://github.com/synfig/synfig/issues/2942))
- [`18b6d7f`](https://github.com/synfig/synfig/commit/18b6d7f8b0269b9a3a2ee481de69f3d5c7e7db90) style: some indentation inconsistencies in app.cpp ([#2946](https://github.com/synfig/synfig/issues/2946))
- [`54667f3`](https://github.com/synfig/synfig/commit/54667f34bd7f86fd4fd582b1a70d63b4c5ab10bf) fix: no context menu when right-clicking on waypoint ([#2877](https://github.com/synfig/synfig/issues/2877))
- [`a1f2a55`](https://github.com/synfig/synfig/commit/a1f2a55416c4e99787dcfe1d64617bbf8a697a6b) refactor: rename load_file_window_size() to load_recent_files() ([#2945](https://github.com/synfig/synfig/issues/2945))
- [`04bd002`](https://github.com/synfig/synfig/commit/04bd002911dc1d88f68fa2e551f756c443238fb9) fix: typo in future menubar ([#2948](https://github.com/synfig/synfig/issues/2948))
- [`8ff76d0`](https://github.com/synfig/synfig/commit/8ff76d09afae5458f0ef2ce0d624c06329175f4b) refactor!: move ETL blur files to the new synfig/blur folder ([#2924](https://github.com/synfig/synfig/issues/2924))
- [`a5df2ff`](https://github.com/synfig/synfig/commit/a5df2ffc0f01a90de83d12b85380152dbd84972b) fix: use format string instead of string concatenation ([#2938](https://github.com/synfig/synfig/issues/2938))
- [`9be0e01`](https://github.com/synfig/synfig/commit/9be0e01056834a1841162b924d2dc26575c29818) refactor: switched `MainWindow` to `Gtk::ApplicationWindow` ([#2935](https://github.com/synfig/synfig/issues/2935))
- [`f1ff964`](https://github.com/synfig/synfig/commit/f1ff9649f6c96ad9edcd59c03d26c79193853162) fix: allow to open external editor for tiff, ppm (& variations) and webp ([#2934](https://github.com/synfig/synfig/issues/2934))
- [`9a5d209`](https://github.com/synfig/synfig/commit/9a5d209ca46fd21823956a01adfffb7ca269fa56) fix: wrong Papagayo file extension in Canvas Dependencies dialog ([#2936](https://github.com/synfig/synfig/issues/2936))
- [`26733dc`](https://github.com/synfig/synfig/commit/26733dc3b42cf415e8c63835d1bfac936664c625) refactor: no need to change locale on saving accel map ([#2937](https://github.com/synfig/synfig/issues/2937))
- [`8f28ef7`](https://github.com/synfig/synfig/commit/8f28ef77418b9866352b4c77bb2fb842293019cf) refactor: remove unneeded `using namespace etl` and `Action` ([#2923](https://github.com/synfig/synfig/issues/2923))
- [`b9e389a`](https://github.com/synfig/synfig/commit/b9e389a6e155d8d0429fe7a2c9c4b380cc3be0cb) feat: added support for `Ctr+<num>` hotkey to change animation tabs ([#2731](https://github.com/synfig/synfig/issues/2731))
- [`a2bb1c5`](https://github.com/synfig/synfig/commit/a2bb1c564221e605862b1d9d26ccd449de70bd38) feat: eyedropper tool now takes fill color instead of outline color by default ([#2908](https://github.com/synfig/synfig/issues/2908))
- [`189556c`](https://github.com/synfig/synfig/commit/189556c8ea75d15fa188385055ebff9456d00940) fix: canvas dependencies dialog crashes with empty filenames or without extension ([#2904](https://github.com/synfig/synfig/issues/2904))
- [`e8c2b55`](https://github.com/synfig/synfig/commit/e8c2b5519dbc989c4018d428f2506d5074a2306e) refactor(UI): rename Eyedrop Tool to Eyedropper Tool ([#2902](https://github.com/synfig/synfig/issues/2902))
- [`135f7fe`](https://github.com/synfig/synfig/commit/135f7fe25b3c50d09fb9002fccb70a7c92113781) refactor: use some current C++-11 or gtkmm-3 methods ([#2903](https://github.com/synfig/synfig/issues/2903))
- [`e41f5a7`](https://github.com/synfig/synfig/commit/e41f5a7dfcfed3b255664acba87e7336ea6487a0) fix: don't list empty filenames on Canvas Dependencies dialog ([#2905](https://github.com/synfig/synfig/issues/2905))
- [`3c0c35a`](https://github.com/synfig/synfig/commit/3c0c35ad0aa43c7f1efdf2236259cb66eaafaa8f) feat: New and updated icons for "width interpolation" ([#2882](https://github.com/synfig/synfig/issues/2882))
- [`520bec6`](https://github.com/synfig/synfig/commit/520bec620d3070f110f760aced3bceed3a5c33b4) feat: add Show Canvas External Dependencies dialog ([#2472](https://github.com/synfig/synfig/issues/2472))
- [`72ed46d`](https://github.com/synfig/synfig/commit/72ed46db11a062edad03ffe44b9d19bcb4ca36cb) fix(lang): Spanish translation typo ([#2879](https://github.com/synfig/synfig/issues/2879))
- [`5584006`](https://github.com/synfig/synfig/commit/558400604d215fb91d9984788ecc3313f9f2e0bb) refactor: removed unused Gtk::IconSIze ([#2878](https://github.com/synfig/synfig/issues/2878))
- [`7760dc2`](https://github.com/synfig/synfig/commit/7760dc2db65d0151da61b9c2b56de98ff3aab2ec) refactor: move ETL/misc to synfig/misc.h ([#2874](https://github.com/synfig/synfig/issues/2874))
- [`92b537c`](https://github.com/synfig/synfig/commit/92b537c14a5992b13125aa9c98622e949390cdd5) ui: Rename "Target" dropdown to "Module" in rendering dialog ([#2869](https://github.com/synfig/synfig/issues/2869))
- [`d9a37d3`](https://github.com/synfig/synfig/commit/d9a37d301cbdf0eaadb1bdbd2083ab7a05835b29) refactor: remove unused class `debugclass` ([#2865](https://github.com/synfig/synfig/issues/2865))
- [`1cfeeee`](https://github.com/synfig/synfig/commit/1cfeeee8bcc18bd722a76241b68501db5addc330) chore: fix typos ([#2863](https://github.com/synfig/synfig/issues/2863))
- [`06f4ca8`](https://github.com/synfig/synfig/commit/06f4ca8a72b1792032892194fcf602ab635c6a41) fix: hide bone width handles when they are meaningless ([#2778](https://github.com/synfig/synfig/issues/2778))
- [`ced73c9`](https://github.com/synfig/synfig/commit/ced73c9251724c9ae420a12081b5e2cd8a3c2a93) feat(studio): added buttons to change interpolation for selected waypoints ([#2615](https://github.com/synfig/synfig/issues/2615))
- [`3793e18`](https://github.com/synfig/synfig/commit/3793e18be9493a428ec8258e2ec8df6416efd359) refactor: move non-portable popen code to one place ([#2491](https://github.com/synfig/synfig/issues/2491))
- [`6ae600b`](https://github.com/synfig/synfig/commit/6ae600b7e530e74aaec377336b9d9a824371a49a) perf: improved performance by reducing memory copying when working with valuenodes ([#2831](https://github.com/synfig/synfig/issues/2831))
- [`a747d1c`](https://github.com/synfig/synfig/commit/a747d1cdf902ddd2cb305da9720f438f0b41d3cc) refactor!: etl::bezier and etl::hermite are now in synfig folder and namespace ([#2840](https://github.com/synfig/synfig/issues/2840))
- [`2e3bcd9`](https://github.com/synfig/synfig/commit/2e3bcd9d7dfa6cab8ec1505f06e2bd8469bd5a81) refactor: cleanup, add docs and merge ETL/hermite with ETL/bezier ([#2808](https://github.com/synfig/synfig/issues/2808))
- [`d6dd306`](https://github.com/synfig/synfig/commit/d6dd30671e9abfa1873fb9470601291a0ea6fd14) fix: use runtime check of openGL availability, instead of compile-time ([#2835](https://github.com/synfig/synfig/issues/2835))
- [`630eddc`](https://github.com/synfig/synfig/commit/630eddc0c92c37322aae4dc0309c152ea4bc7f2e) feat: Added support for scrolling through text in text paragraph dialog ([#2810](https://github.com/synfig/synfig/issues/2810))
- [`fbe312d`](https://github.com/synfig/synfig/commit/fbe312da00d7a748b553f4b5b97dc2fe14b546de) feat: reduced displayed floating point precision ([#2809](https://github.com/synfig/synfig/issues/2809))
- [`ef1cb75`](https://github.com/synfig/synfig/commit/ef1cb75f5f187b06d8b39d25d1c2a411fe2140d5) build(cmake): fixed build when path contains non-Latin characters (MSYS2) ([#2821](https://github.com/synfig/synfig/issues/2821))
- [`c6ff86f`](https://github.com/synfig/synfig/commit/c6ff86f0eb722189b7fd3f88afda8cffe0a9d698) refactor: replaced deprecated Gtk::Arrow with Gtk::Button with icon ([#2824](https://github.com/synfig/synfig/issues/2824))
- [`11387aa`](https://github.com/synfig/synfig/commit/11387aa840051300a5c7866b0b8fe89bd9dd731e) fix: "rule of two" : copy constructor and copy assignment operator ([#2823](https://github.com/synfig/synfig/issues/2823))
- [`1ce65b6`](https://github.com/synfig/synfig/commit/1ce65b6f96a210c56c45d309be7310bffac16507) fix: pressing the cancel button still adds the text layer ([#2814](https://github.com/synfig/synfig/issues/2814))
- [`da13b77`](https://github.com/synfig/synfig/commit/da13b77425c833434723dc8d22ce5c25410105e1) build(vcpkg): `cmake --install` now also installs required dependencies ([#2816](https://github.com/synfig/synfig/issues/2816))
- [`c6eb41d`](https://github.com/synfig/synfig/commit/c6eb41d71876092484cf2a814c6a294beb78ac1e) build: Use vcpkg to build synfig ([#2725](https://github.com/synfig/synfig/issues/2725))
- [`9cecd2a`](https://github.com/synfig/synfig/commit/9cecd2abe143e29cf0564e511183beebab7dfafb) feat: added ability to show/hide rulers ([#2634](https://github.com/synfig/synfig/issues/2634))
- [`5aee83b`](https://github.com/synfig/synfig/commit/5aee83b4f54d15f1b4b3b216e1122da064c69d63) fix: params panel doesn't update after layer switch ([#2811](https://github.com/synfig/synfig/issues/2811))
- [`36896b9`](https://github.com/synfig/synfig/commit/36896b9237a3a1e0e73a117b9775a738da6c7446) fix: avoid rebuild ParamTreeStore when animating a parameter ([#2729](https://github.com/synfig/synfig/issues/2729))
- [`9cc796e`](https://github.com/synfig/synfig/commit/9cc796e08727bf478c87dc93a74e46822398a16b) refactor!: add etl::hermite::derivative() and remove ETL/calculus ([#2791](https://github.com/synfig/synfig/issues/2791))
- [`fc78ce7`](https://github.com/synfig/synfig/commit/fc78ce7992df6171e24ebd57292c19a5dfc3a45c) chore: fix source typos ([#2803](https://github.com/synfig/synfig/issues/2803))
- [`2d13c78`](https://github.com/synfig/synfig/commit/2d13c78149795212602d54272a3efaec6e2a2eb2) fix: check whether iterator is valid before dereferencing ([#2798](https://github.com/synfig/synfig/issues/2798))
- [`e049441`](https://github.com/synfig/synfig/commit/e049441d38a714e142a586d73086847c5330aba0) chore: fix various typos ([#2799](https://github.com/synfig/synfig/issues/2799))
- [`0a545cc`](https://github.com/synfig/synfig/commit/0a545ccbbdf1dd255de1c45a23797b428d9c4e75) build(autotools): include UI files created via PR [#2638](https://github.com/synfig/synfig/issues/2638) ([#2786](https://github.com/synfig/synfig/issues/2786))
- [`19e3e5f`](https://github.com/synfig/synfig/commit/19e3e5f51d718dd59d2b65a1104925416380c954) fix: Interface background became white after clicking OK in Preferences dialog ([#2732](https://github.com/synfig/synfig/issues/2732))
- [`0ce508f`](https://github.com/synfig/synfig/commit/0ce508fcfcf32671dab1e6f36d4c4a286ad7034f) refactor: remove deprecated Gtk::StockID used by some Gtk::Image constructors ([#2776](https://github.com/synfig/synfig/issues/2776))
- [`021410d`](https://github.com/synfig/synfig/commit/021410d7ddde74960a4fbdc957b346457b42d7d6) fix: fixed broken synfig.dll debugging in MSVC build ([#2764](https://github.com/synfig/synfig/issues/2764))
- [`f05ee82`](https://github.com/synfig/synfig/commit/f05ee822ec59d47cf019b56aeb054428498175ac) fix: Alpha channel always resets when changing color in HSV wheel ([#2690](https://github.com/synfig/synfig/issues/2690))
- [`f4d73a0`](https://github.com/synfig/synfig/commit/f4d73a08d5d4e6abaca4934d7121b6d6a7666d2a) chore: Fixed a typo in Preferences->Language dropdown ([#2770](https://github.com/synfig/synfig/issues/2770))
- [`4f42a90`](https://github.com/synfig/synfig/commit/4f42a902e5bf5304a71b0afa843560db81f9cfd3) fix: Fix cross-compilation with MinGW on Debian 11 ([#2772](https://github.com/synfig/synfig/issues/2772))
- [`53c5984`](https://github.com/synfig/synfig/commit/53c5984cfcfbc4e73a6c1dd7656f9badf147264f) revert: eliminate the need to set_time() on the search for bones ([#2771](https://github.com/synfig/synfig/issues/2771))
- [`6fb0596`](https://github.com/synfig/synfig/commit/6fb0596575c2755b594e38b76ce9b819e3b8b8e3) fix: synfig studio was not saving synfigapp settings on quit ([#2751](https://github.com/synfig/synfig/issues/2751))
- [`7656b65`](https://github.com/synfig/synfig/commit/7656b65b2dff182e0114b17dce1dbcc529c28901) refactor: removed unused Widget_CompSelect ([#2753](https://github.com/synfig/synfig/issues/2753))
- [`c6075b3`](https://github.com/synfig/synfig/commit/c6075b308b9717c7591ed4b1f1afe4992d131406) Merge PR [#2735](https://github.com/synfig/synfig/issues/2735): refactor!: move strprintf(), strscan(), etc from etl to synfig namespace
- [`0bebfe6`](https://github.com/synfig/synfig/commit/0bebfe665740cc33b13513e8547fea2e3dcb7e64) fix: Spline tool blocks hotkey presses ([#2748](https://github.com/synfig/synfig/issues/2748))
- [`cd4f64e`](https://github.com/synfig/synfig/commit/cd4f64e353fb6875d02cf6300adee4afc47dd669) build(autotools): removed Apple G5-specific flags ([#2745](https://github.com/synfig/synfig/issues/2745))
- [`b142f0e`](https://github.com/synfig/synfig/commit/b142f0e39a89b37e83a4eb6c53932abce110e411) build(autotools): fixed node test build ([#2744](https://github.com/synfig/synfig/issues/2744))
- [`1958902`](https://github.com/synfig/synfig/commit/1958902d74a377987994fb3cc33a6e3f8b0533d9) test: define ‘operator<<’ for operands std::string and std::nullptr_t ([#2742](https://github.com/synfig/synfig/issues/2742))
- [`163100e`](https://github.com/synfig/synfig/commit/163100eb6ca41432e118d1d88aed4ff8ac404b24) fix: Missing menu in Synfig when path to plugins contains non-Latin symbols (Windows) ([#2652](https://github.com/synfig/synfig/issues/2652))
- [`ae38d79`](https://github.com/synfig/synfig/commit/ae38d7928726fcc377fae111016e4d656a5f0647) refactor: Replaced deprecated Gtk::StockID in Sets panel ([#2683](https://github.com/synfig/synfig/issues/2683))
- [`f0acb53`](https://github.com/synfig/synfig/commit/f0acb53c4063513d0f3d89b7320f6068bc1fda0d) Merge PR [#2726](https://github.com/synfig/synfig/issues/2726): fix: Parameter & Library Panels are now more similar to TimeTrack Panel
- [`18bc75f`](https://github.com/synfig/synfig/commit/18bc75fed3c6034b067049cdc6e0012366962738) Merge PR [#2718](https://github.com/synfig/synfig/issues/2718): refactor!: `smach` class is now moved to `studio` namespace
- [`23adb48`](https://github.com/synfig/synfig/commit/23adb486a6a71091cb9bfb71b65a70ca4edd46ea) Merge PR [#2715](https://github.com/synfig/synfig/issues/2715): refactor!: removed etl::angle; replaced by synfig::Angle
- [`e64c7d6`](https://github.com/synfig/synfig/commit/e64c7d6784fa10ab8b1753c0c03ab120269fa1c0) fix: Indicate segments where points are disabled in Timetrack Panel (regression) ([#2719](https://github.com/synfig/synfig/issues/2719))
- [`0cead9d`](https://github.com/synfig/synfig/commit/0cead9d7c05e98f8cf7ab9ea2f4f9cbd3eb23628) refactor: remove unneeded #include <ETL/misc> directives ([#2713](https://github.com/synfig/synfig/issues/2713))
- [`1585dd5`](https://github.com/synfig/synfig/commit/1585dd5840e0b960ca7be0141a6571aa3f837acf) refactor!: rename `etl::clock` to `synfig::clock` ([#2711](https://github.com/synfig/synfig/issues/2711))
- [`4dbf2cd`](https://github.com/synfig/synfig/commit/4dbf2cdf7cacf3b3e0cebb88c0f7a77bdccabaf9) refactor: make use of synfig::clamp instead of std::max(std::min()) ([#2714](https://github.com/synfig/synfig/issues/2714))
- [`5b8a8b9`](https://github.com/synfig/synfig/commit/5b8a8b9c445f85c8faca9308db6e019fe020f5a8) Merge PR [#2385](https://github.com/synfig/synfig/issues/2385): fix: Added missing timetrack marks (animated_file timepoints and active points on/off)
- [`cc59c12`](https://github.com/synfig/synfig/commit/cc59c1247fcdaa1c293bc1fc704922bd9348f7a1) refactor: Replaced deprecated Gtk::StockID in ResolutionDial ([#2697](https://github.com/synfig/synfig/issues/2697))
- [`69dc1f7`](https://github.com/synfig/synfig/commit/69dc1f7b9f06ba36273c393eebc29214e46a3e46) fix: Synfig does not start if the OS username contains non-Latin characters (Windows) ([#2650](https://github.com/synfig/synfig/issues/2650))
- [`e1c9ab6`](https://github.com/synfig/synfig/commit/e1c9ab6f6dc19c410dea4687fdc1d6f1fb596227) refactor: Replaced deprecated Gtk::StockID in Palette Editor ([#2685](https://github.com/synfig/synfig/issues/2685))
- [`16bab1d`](https://github.com/synfig/synfig/commit/16bab1d4d6cc679424ad32f4d60603832e197c32) refactor: remove `ETL_DIRECTORY_SEPARATORS`; use them directly ([#2706](https://github.com/synfig/synfig/issues/2706))
- [`fb75250`](https://github.com/synfig/synfig/commit/fb7525059980eafb361f7bd435e05099271c3dfd) refactor(core)!: rename ValueNode::is_descendant() to is_ancestor_of() ([#2702](https://github.com/synfig/synfig/issues/2702))
- [`9840962`](https://github.com/synfig/synfig/commit/984096283c18f8ba99f78484a3c2f987b05abf92) refactor: use `/` as directory separator where a fixed folder name is used ([#2703](https://github.com/synfig/synfig/issues/2703))
- [`e93442f`](https://github.com/synfig/synfig/commit/e93442f6e2e485572f3dbfa2a68d1ec28ec08d23) test(studio): as in synfig-core, separate test_base.h ([#2701](https://github.com/synfig/synfig/issues/2701))
- [`cd9c265`](https://github.com/synfig/synfig/commit/cd9c265f6a7c70377482d4894552ec5a0d38ddb4) Merge PR [#2699](https://github.com/synfig/synfig/issues/2699): refactor!: remove `etl::ceil_to_int` and `etl::floor_to_int`
- [`334b9a5`](https://github.com/synfig/synfig/commit/334b9a5b40320967d1d8cf89a8f98a3eb15a6bc3) refactor: Replaced deprecated Gtk::StockID (non-visual) ([#2668](https://github.com/synfig/synfig/issues/2668))
- [`6086e34`](https://github.com/synfig/synfig/commit/6086e341d0f382cd0d2f20233938162fcda2acaa) feat: Added support for `Ctr+Enter` to complete text input in Text tool dialog ([#2689](https://github.com/synfig/synfig/issues/2689))
- [`6bb848b`](https://github.com/synfig/synfig/commit/6bb848ba874392232d0a96492371451cb266e6aa) Merge PR [#2691](https://github.com/synfig/synfig/issues/2691): refactor: remove NULL; use nullptr instead
- [`d308459`](https://github.com/synfig/synfig/commit/d308459c9822ac096a0d7f1a9863de0d240ba032) refactor: Replaced deprecated Gtk::StockID in WidgetLink ([#2665](https://github.com/synfig/synfig/issues/2665))
- [`6bf8494`](https://github.com/synfig/synfig/commit/6bf84945486c54423db70dba41200aa26c2dfe2a) refactor: Replaced deprecated Gtk::StockID in Widget Interpolation ([#2666](https://github.com/synfig/synfig/issues/2666))
- [`051a740`](https://github.com/synfig/synfig/commit/051a740a750dcd87675eeb35cf0fc41557ea1f4a) fix: Wrong color in HSV wheel when color was changed with paint bucket ([#2679](https://github.com/synfig/synfig/issues/2679))
- [`ec3fd21`](https://github.com/synfig/synfig/commit/ec3fd21b14f2e175bc7e79fd924310c10bae001a) BREAKING CHANGE: replace `etl::smart_ptr` with `std::shared_ptr` ([#2686](https://github.com/synfig/synfig/issues/2686))
- [`a7039b5`](https://github.com/synfig/synfig/commit/a7039b5a094f1c9b7f4f5210cec6febb2d48a793) refactor: Replaced deprecated Gtk::StockID in Filename widget ([#2682](https://github.com/synfig/synfig/issues/2682))
- [`c13d945`](https://github.com/synfig/synfig/commit/c13d9459607b4698b1c41d6a76bc886d4537a6fb) feat: Reproducible build ([#2613](https://github.com/synfig/synfig/issues/2613))
- [`aa7b21b`](https://github.com/synfig/synfig/commit/aa7b21b810c56cbd4731f455a836e9dbdfe62817) refactor: Replaced deprecated Gtk::StockID in Parameters panel ([#2670](https://github.com/synfig/synfig/issues/2670))
- [`c7417c5`](https://github.com/synfig/synfig/commit/c7417c5bc1ecb211112659eff50d0d87b68f16d3) build(CMake): small refactoring and code cleanup ([#2684](https://github.com/synfig/synfig/issues/2684))
- [`8066c7d`](https://github.com/synfig/synfig/commit/8066c7d0affc94c6e1a2ce3fbfa996f2482e9768) refactor: Replaced deprecated Gtk::StockID in Jack widget ([#2664](https://github.com/synfig/synfig/issues/2664))
- [`c5b37aa`](https://github.com/synfig/synfig/commit/c5b37aa5f5f5e5f1964ae8ddcbd790370ad6ea8e) build: Added Jack audio support to CMake ([#2681](https://github.com/synfig/synfig/issues/2681))
- [`b53134d`](https://github.com/synfig/synfig/commit/b53134d6bfd3f8e8917337e6e95b03fdc11b9b61) refactor: Replaced deprecated Gtk::StockID in Layers panel ([#2669](https://github.com/synfig/synfig/issues/2669))
- [`de23e01`](https://github.com/synfig/synfig/commit/de23e01a471674071062035de211af826ba83318) Fixed build warnings (GCC 9.4.0) ([#2671](https://github.com/synfig/synfig/issues/2671))
- [`1db0bff`](https://github.com/synfig/synfig/commit/1db0bff5c89424eac20c0b8cd2c4cf2378d3f859) chore: missing files in POTFILES.in for synfig-studio ([#2675](https://github.com/synfig/synfig/issues/2675))
- [`eab541c`](https://github.com/synfig/synfig/commit/eab541c5b9e153cc543a5be20689f608a7a387b9) build: Use CMake's PkgConfig imported targets ([#2676](https://github.com/synfig/synfig/issues/2676))
- [`a18ac7b`](https://github.com/synfig/synfig/commit/a18ac7be69c99923536ccc2e5761903de2a72ab2) fix(bone-tool): new bone position when active bone is invalid ([#2673](https://github.com/synfig/synfig/issues/2673))
- [`3db1b82`](https://github.com/synfig/synfig/commit/3db1b821ba146c8a9b61bcb715c851a85897353e) fix: No context menu shown for Transformation parameter of Group Layer ([#2674](https://github.com/synfig/synfig/issues/2674))
- [`17b8f43`](https://github.com/synfig/synfig/commit/17b8f43ab44d80b2d84ee9741b0b3b591f94c31d) Merge PR [#2465](https://github.com/synfig/synfig/issues/2465): Refactoring and bugfix for ValueDescBoneSetParent
- [`3bf0203`](https://github.com/synfig/synfig/commit/3bf0203ba1fc3f093945820d6512130263c79cb3) Replaced deprecated Gtk::StockID in Preview window ([#2663](https://github.com/synfig/synfig/issues/2663))
- [`e7b7757`](https://github.com/synfig/synfig/commit/e7b7757fe86441711045e4c9637cecb2f567fa47) Replaced deprecated Gtk::StockID in Dockables ([#2662](https://github.com/synfig/synfig/issues/2662))
- [`f00ba2e`](https://github.com/synfig/synfig/commit/f00ba2e9bcbcb81c0874dfbf173e2b3db0941b87) Refactored KeyFrameDial class ([#2661](https://github.com/synfig/synfig/issues/2661))
- [`86a3346`](https://github.com/synfig/synfig/commit/86a334636a1d6f2913addce98bf15674d03e6a1b) Replaced deprecated Gtk::StockId in DuckDial icons ([#2656](https://github.com/synfig/synfig/issues/2656))
- [`af4e43b`](https://github.com/synfig/synfig/commit/af4e43b554b5e771e7a543637427b40d214e82ee) Replaced deprecated Gtk::StockId in FrameDial icons ([#2655](https://github.com/synfig/synfig/issues/2655))
- [`592424e`](https://github.com/synfig/synfig/commit/592424eeb83206dc2ec2f64c0d559f7053e5e35f) Replaced deprecated Gdk::Color with Gdk:RGBA ([#2654](https://github.com/synfig/synfig/issues/2654))
- [`7860f93`](https://github.com/synfig/synfig/commit/7860f93effebc3640789b640a0689d3254978449) Added a mnemonic for the text layer input dialog ([#2582](https://github.com/synfig/synfig/issues/2582))
- [`9345566`](https://github.com/synfig/synfig/commit/93455660e70bdcf938b0c3f7e40d340f619e7b7c) Refactored python search algorithm ([#2658](https://github.com/synfig/synfig/issues/2658))
- [`e7ee1ca`](https://github.com/synfig/synfig/commit/e7ee1ca4be9bd252fccbdaec67c66add84c7b3f5) Fixed incorrect lines offset in Graphs Panel ([#2653](https://github.com/synfig/synfig/issues/2653))
- [`9765397`](https://github.com/synfig/synfig/commit/9765397cc9714bc8a108678721069000d80fb744) fix behavior after Tool process a key event: only proceeds when RESULT_OK ([#2509](https://github.com/synfig/synfig/issues/2509))
- [`789db47`](https://github.com/synfig/synfig/commit/789db47e71dce200982ba52bb662dab8ba4a784e) Fixed issue with python search on Ubuntu 18 ([#2657](https://github.com/synfig/synfig/issues/2657))
- [`3740966`](https://github.com/synfig/synfig/commit/3740966de2709348ad5c0793453e09b0d6ea2a69) Fixed an issue with plugins not working when there are spaces in the Python path (Windows) ([#2651](https://github.com/synfig/synfig/issues/2651))
- [`d2cad43`](https://github.com/synfig/synfig/commit/d2cad432cdcf60de20e123b8965413d32bab1665) [Studio] Hide "Make Parent To Active Bone" menu item when not using Skeleton Tool ([#2064](https://github.com/synfig/synfig/issues/2064))
- [`8b2950e`](https://github.com/synfig/synfig/commit/8b2950e88fec2d50e1fcad0af188e07643e5f6af) Fix ValueNode local name not being translated ([#2569](https://github.com/synfig/synfig/issues/2569))
- [`32a4153`](https://github.com/synfig/synfig/commit/32a4153e567cce245dbb41add47ead8838b0db28) Merge PR [#2398](https://github.com/synfig/synfig/issues/2398): Make Node::parent_set private
- [`ba0352c`](https://github.com/synfig/synfig/commit/ba0352c215db8470cd7da4c9b01c347aec965bc8) Returned the ability to set a GTK theme using an environment variable ([#2645](https://github.com/synfig/synfig/issues/2645))
- [`b14ade5`](https://github.com/synfig/synfig/commit/b14ade5f1c3c82035e7621a4d6766fb427108539) Fixed empty "Icon Theme" dropdown in Preferences ([#2642](https://github.com/synfig/synfig/issues/2642))
- [`7c2183e`](https://github.com/synfig/synfig/commit/7c2183ed978266d64119b488ec5ff6664a6fb08a) Fixed missing icons in tool options ([#2640](https://github.com/synfig/synfig/issues/2640))
- [`0b455f3`](https://github.com/synfig/synfig/commit/0b455f370fc7fcf3d640eecd4c988729af0d25d8) Added .glade/xml files for gtk::builder ([#2638](https://github.com/synfig/synfig/issues/2638))
- [`865f197`](https://github.com/synfig/synfig/commit/865f1977d0a3e4129a1031cc39d7ea7514bc7158) Merge PR [#2632](https://github.com/synfig/synfig/issues/2632): Added basic support for Gtk theme
- [`78f08a4`](https://github.com/synfig/synfig/commit/78f08a426835a98dcc40c4cc458218b05710b939) [CMake] Added option to link with tcmalloc library ([#2602](https://github.com/synfig/synfig/issues/2602))
- [`ead44ed`](https://github.com/morevnaproject/morevna-builds/commit/ead44ed5a5e8ac6fb20815b3cc37a452c0953acf) Fix issue [#2410](https://github.com/synfig/synfig/issues/2410) - Can't import file into a saved SIF animation (if both are on the same disk)
- [`05f5108`](https://github.com/synfig/synfig/commit/05f51084218d75c4317a7c9533dcc0a756b052b7) Fix various typos ([#2614](https://github.com/synfig/synfig/issues/2614))
- [`368a50f`](https://github.com/synfig/synfig/commit/368a50f9f322bf0083067af9b4aaf113816b063b) Fix crash when switching workspaces ([#2591](https://github.com/synfig/synfig/issues/2591))
- [`e54c25d`](https://github.com/synfig/synfig/commit/e54c25dc051f6ad38f8ec2ed8ca95371be4a3cd4) Update contributor name list ([#2600](https://github.com/synfig/synfig/issues/2600))
- [`f64f99f`](https://github.com/synfig/synfig/commit/f64f99f020f0689fb006969a7c649c101c52d066) Added hotkey for grouping layers (Ctrl+G). Grid toggle hotkey changed to #. ([#2581](https://github.com/synfig/synfig/issues/2581))
- [`0dbad45`](https://github.com/synfig/synfig/commit/0dbad4502e861f4433afd989f338224966692d0f) Added the ability to select the parent layer through the keyboard shortcut Alt+Page Up.  ([#2567](https://github.com/synfig/synfig/issues/2567))
- [`4fd97a8`](https://github.com/synfig/synfig/commit/4fd97a849ef6fc2941c04b10471138acb4b0becd) simplify Widget_Sublayer by using Gtk::ComboBoxText ([#2578](https://github.com/synfig/synfig/issues/2578))
- [`e5afcb5`](https://github.com/synfig/synfig/commit/e5afcb56c565eefd32838998a2247fe91e1c2a5b) eliminate the need to set_time() on the search for bones ([#2504](https://github.com/synfig/synfig/issues/2504))
- [`dbbdd87`](https://github.com/synfig/synfig/commit/dbbdd87373d629c7370bebb5f5959c00cba57c28) WIP - basic support for importing .kra (Krita) and .ora (OpenRaster) ([#2513](https://github.com/synfig/synfig/issues/2513))
- [`1344831`](https://github.com/synfig/synfig/commit/1344831a0043b67ddc4e13051b67a43b60991dcd) Fixed PVS-Studio warning v730 ([#2522](https://github.com/synfig/synfig/issues/2522))
- [`b618efd`](https://github.com/synfig/synfig/commit/b618efd13447c12e6a1700029a2933b5cecad5c3) Simplify "Render Mode ComboBox Changed" callback & add GL if available ([#2552](https://github.com/synfig/synfig/issues/2552))
- [`e430652`](https://github.com/synfig/synfig/commit/e430652f0d46c8507a7fbdce3e4a343ca4533420) Merge PR [#2535](https://github.com/synfig/synfig/issues/2535): Fix Bone Shape of Skeleton Deformation affected by Transformations
- [`2a3d339`](https://github.com/synfig/synfig/commit/2a3d3398b58421132a109345309e1becae94dfdc) Add "destructive-action" and "suggested-action" to dialog when trying to quit before saving changes ([#2498](https://github.com/synfig/synfig/issues/2498))
- [`cd97b9f`](https://github.com/synfig/synfig/commit/cd97b9fe87b60e6609b128e2e3469c9e7a62db49) add missing Widget_Interpolation files in POTFILES.in ([#2556](https://github.com/synfig/synfig/issues/2556))
- [`12a342b`](https://github.com/synfig/synfig/commit/12a342bc2edafb9f76a329a871218a68f6adf817) Added ability to set custom FFmpeg codec ([#2541](https://github.com/synfig/synfig/issues/2541))
- [`027338a`](https://github.com/synfig/synfig/commit/027338a1fa258d96bf39b0a43a945f1b0a4aa6e9) Added description to FFmpeg units for "Video Bit Rate" field (kbps) ([#2542](https://github.com/synfig/synfig/issues/2542))
- [`4af3ca7`](https://github.com/synfig/synfig/commit/4af3ca76fe3c544d4cad12e0483961539b5fe98b) Create Widget_Interpolation: avoid code duplication and ease maintenance ([#2543](https://github.com/synfig/synfig/issues/2543))
- [`d870ad1`](https://github.com/synfig/synfig/commit/d870ad1069940a5f6389637c76c3990c679a175b) Removed unused "using namespace etl;" (Part 2) ([#2537](https://github.com/synfig/synfig/issues/2537))
- [`e054801`](https://github.com/synfig/synfig/commit/e0548010697637acc2c5a187434a937b262f94d2) remove not-implemented and unused method ([#2533](https://github.com/synfig/synfig/issues/2533))
- [`0c47007`](https://github.com/synfig/synfig/commit/0c470076473be12a5ea00c12858fbe3284ce945c) Merge PR [#2534](https://github.com/synfig/synfig/issues/2534): Minor icon cleanup
- [`c7a9167`](https://github.com/synfig/synfig/commit/c7a91678022226e1e645f4b61a586fdd4d1e1b04) Use gtkmm Gtk::Settings instead of plain GtkSettings ([#2532](https://github.com/synfig/synfig/issues/2532))
- [`462ea80`](https://github.com/synfig/synfig/commit/462ea802524e9e13bfa2aefdd213a7fc03c5adcb) Merge PR [#2518](https://github.com/synfig/synfig/issues/2518):  Added the ability to select a compression method for zstreambuf
- [`a5ec91d`](https://github.com/synfig/synfig/commit/a5ec91db5b751dc12e4400ccfb5c063fd6d2d928) Removed "using namespace std;" ([#2520](https://github.com/synfig/synfig/issues/2520))
- [`668e8c4`](https://github.com/synfig/synfig/commit/668e8c410f9bedd7f4faa7abba61da16163ed305) Fixed PVS-Studio warning v656 ([#2524](https://github.com/synfig/synfig/issues/2524))
- [`f71cdee`](https://github.com/synfig/synfig/commit/f71cdee789baa73e1e8978bcb53dd060b96494a3) Bone Tool: Fix selection of active bone when clicking on a bone control point ([#2488](https://github.com/synfig/synfig/issues/2488))
- [`62743b7`](https://github.com/synfig/synfig/commit/62743b7de5647ed3a6939493af764fd565383dd8) Show bone shape when Skeleton Deformation layer is disabled ([#2467](https://github.com/synfig/synfig/issues/2467)). Closes [#1625](https://github.com/synfig/synfig/issues/1625).
- [`efe9326`](https://github.com/synfig/synfig/commit/efe9326992418f9fbc1c9a654fa0050c35c2641e) Fixed PVS-Studio warning v817 ([#2523](https://github.com/synfig/synfig/issues/2523))
- [`61eba07`](https://github.com/synfig/synfig/commit/61eba079c983db043f787d3c318bac3b60796673) Merge PR [#2497](https://github.com/synfig/synfig/issues/2497): Porting to Gtk::Application - part 1
- [`78081fd`](https://github.com/synfig/synfig/commit/78081fd256b6a4a095f7240dd9875e6f82028415) make "Background" (layer description) string translatable ([#2515](https://github.com/synfig/synfig/issues/2515))
- [`7ae9d4a`](https://github.com/synfig/synfig/commit/7ae9d4a900ee8cadcf44606f9b050c96cde4bdb7) Re-enable "Create Child Bone" action ([#2507](https://github.com/synfig/synfig/issues/2507))
- [`d581517`](https://github.com/synfig/synfig/commit/d581517237410a685ac24dd86ee35a019294d7f5) Remove unused variables ([#2502](https://github.com/synfig/synfig/issues/2502))
- [`e3ba578`](https://github.com/synfig/synfig/commit/e3ba5788d727b3497c0441d71799727af2412bab) Bone Tool: Fixed issue where skeleton "name" wasn't updated as new Layers are created ([#2493](https://github.com/synfig/synfig/issues/2493))
- [`20b7035`](https://github.com/synfig/synfig/commit/20b7035fbad2212f5aa3e76447a87a2b612cd0c1) make UIInterface::confirmation() implementation consistent to signature ([#2487](https://github.com/synfig/synfig/issues/2487))
- [`4c64fe5`](https://github.com/synfig/synfig/commit/4c64fe5ab1b45a9683a78b78718ac77e2de4a335) avoid decimal point in Distance strings due to i18n issues ([#2489](https://github.com/synfig/synfig/issues/2489))
- [`ad4c714`](https://github.com/synfig/synfig/commit/ad4c71486d24cb7abe5c8bb757266eb7e6b64b48) Removed unused alert message about experimental features ([#2490](https://github.com/synfig/synfig/issues/2490))
- [`237e968`](https://github.com/synfig/synfig/commit/237e96811fd829e2b7f8e3dd798248389d595470) Minor cleanup on TypePair<Bone,Bone> usage ([#2486](https://github.com/synfig/synfig/issues/2486))
- [`97abc46`](https://github.com/synfig/synfig/commit/97abc463015fe57c7b14691d3bb60ab95f2d68ab) Bone Tool: fix regression on Bone width auto change requested in [#1658](https://github.com/synfig/synfig/issues/1658) ([#2483](https://github.com/synfig/synfig/issues/2483))
- [`db4f941`](https://github.com/synfig/synfig/commit/db4f9418d248b074a070d4257818371049f22b24) Bone Tool:remove deprecated method set_alignment that use default values ([#2484](https://github.com/synfig/synfig/issues/2484))
- [`34e1eba`](https://github.com/synfig/synfig/commit/34e1eba0e95f802bdb1b8c3dc80af19d6a2502bf) fix regression on loading and saving of settings Distance type (i18n) ([#2485](https://github.com/synfig/synfig/issues/2485))
- [`a8278a3`](https://github.com/synfig/synfig/commit/a8278a3f82fbab3b823ec08f524552b14afdb4f3) Fixed bug introduced in [#2458](https://github.com/synfig/synfig/issues/2458): it should not return at that point ([#2470](https://github.com/synfig/synfig/issues/2470))
- [`d5b4443`](https://github.com/synfig/synfig/commit/d5b44434512f02fb198017aab3b8d8cd41cb31fe) Added ability for escape key to close  editing box in Value column in the Parameters panel ([#2455](https://github.com/synfig/synfig/issues/2455))
- [`bddb813`](https://github.com/synfig/synfig/commit/bddb8134e9d890ebbf7c549bfc1b3791a1a1d0d4) Merge PR [#2466](https://github.com/synfig/synfig/issues/2466): Fix bone width handle visibility. Closes [#2088](https://github.com/synfig/synfig/issues/2088).
- [`310aaad`](https://github.com/synfig/synfig/commit/310aaad378224b6db22cc0639e66e36dfc45368c) ValueDescSet for Skeleton Deformation bone: Minor refactoring and add return ([#2458](https://github.com/synfig/synfig/issues/2458))
- [`98b2bab`](https://github.com/synfig/synfig/commit/98b2babfd41319c0d06380251408e6a67c716830) Bone Tool: Correctly apply offset to Second bone when First bone of Skeleton Deformation Layer changed ([#2457](https://github.com/synfig/synfig/issues/2457))
- [`c5fbb27`](https://github.com/synfig/synfig/commit/c5fbb27b3e817a1fb0e846e1dd98d9bdf7a6bb17) [Studio] Bone Tool: fix how to check for skeleton deformation ([#2217](https://github.com/synfig/synfig/issues/2217))
- [`bea6969`](https://github.com/synfig/synfig/commit/bea6969f273a6bd2716a6c36c2dafde46a94df1a) Fixed potential null pointer dereferencing ([#2454](https://github.com/synfig/synfig/issues/2454))
- [`d37e72a`](https://github.com/synfig/synfig/commit/d37e72ac3dcb42bbf64deb0ae6b9d1c90649f229) Refactored import file: added is_same_file method ([#2451](https://github.com/synfig/synfig/issues/2451))
- [`55d09c2`](https://github.com/synfig/synfig/commit/55d09c27f3dd81bdf79c9d43303f5412280938f9) Added ability to import multiple files ([#2439](https://github.com/synfig/synfig/issues/2439))
- [`0015d71`](https://github.com/synfig/synfig/commit/0015d71a723c7a0f3314cdfeee5d33f56a79c2a6) Wider time track space at start and end. Closes [#2417](https://github.com/synfig/synfig/issues/2417). ([#2438](https://github.com/synfig/synfig/issues/2438))
- [`d312076`](https://github.com/synfig/synfig/commit/d3120764b4f8715b17d485353fededd5aac471be) Fixed build warnings ([#2425](https://github.com/synfig/synfig/issues/2425))
- [`2ce7109`](https://github.com/synfig/synfig/commit/2ce7109e2f8a2973c8c85255d74516b052004bee) Fix distance values on settings ([#2402](https://github.com/synfig/synfig/issues/2402))
- [`9b6004e`](https://github.com/synfig/synfig/commit/9b6004eb4f9d829c8f606d5657ee893f2b029444) Move variable closer to its use and rename it to avoid confusion ([#2421](https://github.com/synfig/synfig/issues/2421))
- [`5a40a64`](https://github.com/synfig/synfig/commit/5a40a6436024b87c19a9ee551c5aae77ad83b94b) Don't let user drag a waypoint to a time lower than current minimum ([#2420](https://github.com/synfig/synfig/issues/2420))
- [`e795752`](https://github.com/synfig/synfig/commit/e7957520c2622cbca0acc5c82210eae1a9a0244d) Add completion to Widget_FontFamily ([#2414](https://github.com/synfig/synfig/issues/2414))
- [`61d95f9`](https://github.com/synfig/synfig/commit/61d95f97b3439268beef6def86dc9af5984ba19a) Fix dragging area of a waypoint in CellRenderer_Timetrack ([#2419](https://github.com/synfig/synfig/issues/2419))
- [`177d4aa`](https://github.com/synfig/synfig/commit/177d4aa38bdb9a96811ef1932fec3157d993b13a) Clear Redo History on new action by default; new user preference ([#2395](https://github.com/synfig/synfig/issues/2395))
- [`055e0f9`](https://github.com/synfig/synfig/commit/055e0f940dd8b8e22fac1a89e3c8351076e2f10d) Studio: avoid lambda functions for signal callbacks ([#2294](https://github.com/synfig/synfig/issues/2294))
- [`cbc06c9`](https://github.com/synfig/synfig/commit/cbc06c90c135bdaadd2e48794d855e5ab4bd150c) Merge PR ([#2296](https://github.com/synfig/synfig/issues/2296)): Moved layer and valuenode iteration methods to synfig-core
- [`e2e1cb2`](https://github.com/synfig/synfig/commit/e2e1cb213a43312364150f1ace72b704a8c6cdd1) Tab/Shift-Tab support for Widget_Vector ([#2404](https://github.com/synfig/synfig/issues/2404))
- [`e4a48c0`](https://github.com/synfig/synfig/commit/e4a48c07dfee329ee2b4b7f0ed52d49a9018649a) Added support for MLT 7 for CMake build system ([#2386](https://github.com/synfig/synfig/issues/2386))
- [`aa3c69d`](https://github.com/synfig/synfig/commit/aa3c69d9dd30db8a42f1ae1ae63e764781f37e93) Fix various typos ([#2396](https://github.com/synfig/synfig/issues/2396))
- [`6bea935`](https://github.com/synfig/synfig/commit/6bea935646041a54536d896c8ef01e8a29ee0423) Merge PR ([#2372](https://github.com/synfig/synfig/issues/2372)): Fix Orientation parameter display on Text Tool Options Panel
- [`fd16669`](https://github.com/synfig/synfig/commit/fd166696bc0e7e800f1ab366c0cdac2b8053e1af) Add margins to TimeTrack to ease handling of initial waypoint and keyframe ([#2400](https://github.com/synfig/synfig/issues/2400))
- [`78e045f`](https://github.com/synfig/synfig/commit/78e045f940364f2754a09956c7990b5d270db833) CMake/Brew removed cairo/pango requirements ([#2387](https://github.com/synfig/synfig/issues/2387))
- [`65850b9`](https://github.com/synfig/synfig/commit/65850b9ffa24dc048e6b3acd9e9dd29230f558bc) CellRenderer_TimeTrack now uses TimePlotData too ([#2384](https://github.com/synfig/synfig/issues/2384))
- [`71a3455`](https://github.com/synfig/synfig/commit/71a34552401999d1fa7083b38301e4b40865c08a) fix Gtk warning "'GTK_IS_WIDGET (widget)' failed" ([#2388](https://github.com/synfig/synfig/issues/2388))
- [`333182e`](https://github.com/synfig/synfig/commit/333182e6d904251d6788da9f9c92b1f5eb79bec4) Merge PR ([#1793](https://github.com/synfig/synfig/issues/1793)): 'Update' file headers: license notices, \file and other minor changes
- [`f6b3f24`](https://github.com/synfig/synfig/commit/f6b3f24e9048a0eb1fd8b0061d8cf612a2b6d767) Merge PR ([#2382](https://github.com/synfig/synfig/issues/2382)): Widget_Keyframe_List: clean up (and make use of TimePlotData)
## Version 1.5.2
- [`938cfc0`](https://github.com/synfig/synfig/commit/938cfc08f9453464f0ea78bbb7ccfb2ea0850263) fix Debian 9 building ([#2517](https://github.com/synfig/synfig/issues/2517))
## Version 1.5.1
- [`876ed89`](https://github.com/synfig/synfig/commit/876ed89d9c6602d9cf1acc12a9a72bdd060e8884) Merge PR ([#2376](https://github.com/synfig/synfig/issues/2376)): Remove dead/dummy translations
- [`dd7a1c4`](https://github.com/synfig/synfig/commit/dd7a1c4c2fa38c51935e1daea703605a1bd736e0) TimeTrack: Fix missing context menu for waypoints at Canvas Parameter ([#2363](https://github.com/synfig/synfig/issues/2363)). Closes [#2357](https://github.com/synfig/synfig/issues/2357).
- [`9a248d3`](https://github.com/synfig/synfig/commit/9a248d3f03f1d29cd45fbed9435292285245f31d) Fix active bone selection for Skeleton Deformation Layer ([#2340](https://github.com/synfig/synfig/issues/2340))
- [`188126e`](https://github.com/synfig/synfig/commit/188126edecefe08270959ee60fb2f6777d2b4889) Fix broken bone selection for Skeleton Deformation Layer ([#2365](https://github.com/synfig/synfig/issues/2365))
- [`09bdfc6`](https://github.com/synfig/synfig/commit/09bdfc6435acd890bb0d2aa1a819695b382ba8ad) Refresh Widget_RendDesc on width/height link toggling ([#2368](https://github.com/synfig/synfig/issues/2368))
- [`ef56525`](https://github.com/synfig/synfig/commit/ef565258e3317d35a58b6534526219aad63882bd) Circle Tool: remove deprecated falloff option ([#2366](https://github.com/synfig/synfig/issues/2366))
- [`2f91d69`](https://github.com/synfig/synfig/commit/2f91d69bde04939d0f93cca8b0570e73bb1d726e) Fix typos in translation strings ([#2370](https://github.com/synfig/synfig/issues/2370))
- [`e0cdef3`](https://github.com/synfig/synfig/commit/e0cdef39ec5e91947a44c59d0679c0c558832a87) Merge PR ([#2364](https://github.com/synfig/synfig/issues/2364)): Refactored Canvas class
- [`fe640ca`](https://github.com/synfig/synfig/commit/fe640ca8dccdee12613bc28490c348d6bba08502) Removed unused variables ([#2361](https://github.com/synfig/synfig/issues/2361))
- [`4f80ad1`](https://github.com/synfig/synfig/commit/4f80ad1f48d63d3c47ad16dd4bc1dd17f913de75) Use Widget_FontFamily in Text Tool toolbox and reorder widgets ([#2355](https://github.com/synfig/synfig/issues/2355))
- [`f9db3ee`](https://github.com/synfig/synfig/commit/f9db3eeae3d75f123caf34db0947aeea9899b6c2) fix crash on ValueDescSet action: not every list is a dynamic one ([#2354](https://github.com/synfig/synfig/issues/2354))
- [`1210f50`](https://github.com/synfig/synfig/commit/1210f50b67ffa33d34f6312c7e6a14bf12e87a91) Add Handle type to Skeleton and SkeletonDeformation layers ([#2348](https://github.com/synfig/synfig/issues/2348))
- [`d7fcc40`](https://github.com/synfig/synfig/commit/d7fcc40d177250ae3a5b646b2dac8889e6c3f6d7) Bone Tool: Fix crash when undoing Child Bone until first one ([#2341](https://github.com/synfig/synfig/issues/2341))
- [`61a290b`](https://github.com/synfig/synfig/commit/61a290b1aaf58366149662ae0ad224127711aea8) Fixed crash of test on Void Linux ([#2265](https://github.com/synfig/synfig/issues/2265))
- [`269d895`](https://github.com/synfig/synfig/commit/269d895a128b947130f4b91a3e498b6070a5b4fd) Select parent group after image import ([#2339](https://github.com/synfig/synfig/issues/2339))
- [`84f1241`](https://github.com/synfig/synfig/commit/84f124171763b449efb9dca024b1ba4abaa79051) Bone Tool: fix default bone width preference loading ([#2343](https://github.com/synfig/synfig/issues/2343))
- [`fcaa6fb`](https://github.com/synfig/synfig/commit/fcaa6fb5f05886e48ffac315ead3767a1104c0b2) Merge PR [#2325](https://github.com/synfig/synfig/issues/2325): Skeleton Tool cleanup
- [`fb374ca`](https://github.com/synfig/synfig/commit/fb374cabd9db10cd4d49e1ad83ffbb5bb5d0be91) minor cleanup in ValueDescBoneSetParent action ([#2331](https://github.com/synfig/synfig/issues/2331))
- [`cbdc86a`](https://github.com/synfig/synfig/commit/cbdc86ad63aefe27253a883a49435fbd8eebe44b) Fix *again* dialog responses. Mistakes made in 5ffa7928dd55ae66f77b8ea4e61f2864f0f72b10 ([#2329](https://github.com/synfig/synfig/issues/2329))
- [`e0cfca4`](https://github.com/synfig/synfig/commit/e0cfca4bb12e033bdf59b592379f84c13be013cb) add explicit namespace synfigapp for Action macros ([#2334](https://github.com/synfig/synfig/issues/2334))
- [`5ffa792`](https://github.com/synfig/synfig/commit/5ffa7928dd55ae66f77b8ea4e61f2864f0f72b10) Fix dialog responses for user pressing Esc key ([#2309](https://github.com/synfig/synfig/issues/2309))
- [`c78c447`](https://github.com/synfig/synfig/commit/c78c4479e66b9f3dff14deb2356921079bdeb1fb) Minor cleanup in CreateChildBone action ([#2315](https://github.com/synfig/synfig/issues/2315))
- [`7f1444e`](https://github.com/synfig/synfig/commit/7f1444e46825ce3eca2493589f422145f4f59541) Don't let inner layer be duplicated twice when copying ([#2317](https://github.com/synfig/synfig/issues/2317))
- [`039ec6f`](https://github.com/synfig/synfig/commit/039ec6f690bfa74126dac92c3527c6458bfdf712) When the user imports the file the imported layer becomes selected ([#2308](https://github.com/synfig/synfig/issues/2308))
- [`db9db14`](https://github.com/synfig/synfig/commit/db9db14fb9d1513c8c84c68dab7c5aeba3b8b35b) Create a new vertex on a Spline on double-click ([#2312](https://github.com/synfig/synfig/issues/2312))
- [`96f9856`](https://github.com/synfig/synfig/commit/96f9856dda598a3d6a5baeac557613ffe4708d04) Update time track area when keyframe is changed from keyframe header ([#2289](https://github.com/synfig/synfig/issues/2289))
- [`2cbce01`](https://github.com/synfig/synfig/commit/2cbce018087fe63227afa099760ce83ecb4005f3) Fixed soundwave for some audio files that couldn't be loaded ([#2301](https://github.com/synfig/synfig/issues/2301))
- [`1e94508`](https://github.com/synfig/synfig/commit/1e94508a38e0f14800dabea9fe6a86baa24ae99f) Remove unused classes ([#2298](https://github.com/synfig/synfig/issues/2298))
- [`0cb03f3`](https://github.com/synfig/synfig/commit/0cb03f306ce8f12c92faa0349434177801dbb511) Replaced using std/etl namespaces with explicit namespace name ([#2292](https://github.com/synfig/synfig/issues/2292))
- [`3c8ae63`](https://github.com/synfig/synfig/commit/3c8ae63c0fa0fa8a47c5cc213e012753f8098efe) Merge PR [#2166](https://github.com/synfig/synfig/issues/2166): Add Onion Skin ability to choose between Keyframes and Frames
- [`e074b30`](https://github.com/synfig/synfig/commit/e074b30da70e61b8b95ad9be2698f72853b4f1e0) Removed unused std/etl namespaces ([#2290](https://github.com/synfig/synfig/issues/2290))
- [`9a86ba4`](https://github.com/synfig/synfig/commit/9a86ba492f04d23b1bb9a8410a49a2ac47750c8e) Fix crash when moving origin point of child bone in Skeleton Deformation Layer using Bone Tool ([#2049](https://github.com/synfig/synfig/issues/2049))
- [`3ede603`](https://github.com/synfig/synfig/commit/3ede60357ad029f4376519fb2a1b85bd74e36624) Extracted layer size update as a separate function ([#2282](https://github.com/synfig/synfig/issues/2282))
- [`c29dddf`](https://github.com/synfig/synfig/commit/c29dddf3485204724f407a211888085cf734efac) Merge PR [#2278](https://github.com/synfig/synfig/issues/2278): Fix "files left after uninstall" error for "distuninstallcheck" target
## Version 1.5.0
- [`4c3f97d`](https://github.com/synfig/synfig/commit/4c3f97dfd4340b74e72f0b2a033aeed70b6efc5a) fix importing into unsaved SIF file ([#2243](https://github.com/synfig/synfig/issues/2243))
- [`4b26b30`](https://github.com/synfig/synfig/commit/4b26b30a6ae4f76bbc3ce8ac21f915f9c1f14b9e) Refresh rend_desc of canvas interface when end time is changed from toolbar ([#2213](https://github.com/synfig/synfig/issues/2213))
- [`101a5aa`](https://github.com/synfig/synfig/commit/101a5aa178019fddcaadf6436ea0c37cc1f5162f) Merge PR [#2236](https://github.com/synfig/synfig/issues/2236): [Lottie exporter] Add animation to addition/deletion of Bline points
- [`f32ae7f`](https://github.com/synfig/synfig/commit/f32ae7fbb91f037b0203e1709c32261ee749ee92) [Lottie exporter] Add animation to addition/deletion of Width points and Dash items in advanced outline ([#2233](https://github.com/synfig/synfig/issues/2233))
- [`1dce9a1`](https://github.com/synfig/synfig/commit/1dce9a1c5282edd13feb35f417b2e5663e3759b0) Pass param_desc only if value_desc is a layer ([#2234](https://github.com/synfig/synfig/issues/2234))
- [`bc658a2`](https://github.com/synfig/synfig/commit/bc658a2aa0610b61477b5b9dffa7b0ad75d56b89) Merge PR [#2215](https://github.com/synfig/synfig/issues/2215): Layers in sets can now be selected with a single click, rather than a double click
- [`a195452`](https://github.com/synfig/synfig/commit/a195452d01409e1a395f35679be1228c17a9e867) Fixed accidentally removed Brush widget in Widget_Defaults ([#2218](https://github.com/synfig/synfig/issues/2218))
- [`87d79b0`](https://github.com/synfig/synfig/commit/87d79b060a3a4542adb757517da13e88f8321fe9) Merge PR [#2207](https://github.com/synfig/synfig/issues/2207): Added support for Rhubarb Lip Sync TSV and XML file formats for ValueNode_AnimatedFile
- [`132b09e`](https://github.com/synfig/synfig/commit/132b09e0a9936168c217f818843a271fe20e82e6) Removed excessive use of std namespace (part 2) ([#2194](https://github.com/synfig/synfig/issues/2194))
- [`9acfd9c`](https://github.com/synfig/synfig/commit/9acfd9c0e1b42b5bdf6a31747930d2be855224ee) Merge PR [#2206](https://github.com/synfig/synfig/issues/2206): Clean synfigapp::ValueDesc a bit
- [`4f6cbf3`](https://github.com/synfig/synfig/commit/4f6cbf3f045806b169408f66b28195e1e2f7cb5e) Replaced deprecated Gtk::Alignment class using Widget margins ([#2187](https://github.com/synfig/synfig/issues/2187))
- [`c3e196e`](https://github.com/synfig/synfig/commit/c3e196e1974108a264016c61909cf12f8d802560) Replaced `Gtk::Alignment` spaces with CSS margins ([#2195](https://github.com/synfig/synfig/issues/2195))
- [`4273435`](https://github.com/synfig/synfig/commit/4273435309266fa4181269fdb3e9cc454cf14337) Removed excessive use of std namespace ([#2193](https://github.com/synfig/synfig/issues/2193))
- [`bd86b81`](https://github.com/synfig/synfig/commit/bd86b81940487d3b4d4682f6e01df341211b97c3) New arrows icons ([#2192](https://github.com/synfig/synfig/issues/2192))
- [`9b6c3a2`](https://github.com/synfig/synfig/commit/9b6c3a2a62796647f0937c6ad8354f1411c8776c) Merge PR [#2184](https://github.com/synfig/synfig/issues/2184): Fixed CMake icons build
- [`7d22123`](https://github.com/synfig/synfig/commit/7d22123c58d729146c0728414e07105eb649e8cd) Fixed [issue](https://github.com/synfig/synfig/issues/1803) with closed docks appearing after application restart ([#2185](https://github.com/synfig/synfig/issues/2185))
- [`b75ef5e`](https://github.com/synfig/synfig/commit/b75ef5ed7a8eaa5409aba84cdb3e8f2afdcf9f97) Make sure sequence separator string is always in sync with Preferences ([#2171](https://github.com/synfig/synfig/issues/2171))
- [`7ba303a`](https://github.com/synfig/synfig/commit/7ba303a3afab3edd5816b6a39d4af41a7f45d158) [Synfig Studio] Split top horizontal toolbar in two toolbars (horizontal+vertical) ([#1958](https://github.com/synfig/synfig/issues/1958))
- [`f5daba4`](https://github.com/synfig/synfig/commit/f5daba4a909b2bc989bd674ab9a21bc99584a4bc) Removed accels for no-more-existent actions (Change Preview Quality) ([#2164](https://github.com/synfig/synfig/issues/2164))
- [`46ed36c`](https://github.com/synfig/synfig/commit/46ed36c9a100857b2f2b0a87de40c6ee734e5744) Merge PR [#2054](https://github.com/synfig/synfig/issues/2054): Removed unused CairoRenderer
- [`2ef1e6f`](https://github.com/synfig/synfig/commit/2ef1e6f6553b2c6dd844a6b94014350b1b64ea83) [CMake] Disable the use of MLT if MLT library not found ([#2138](https://github.com/synfig/synfig/issues/2138))
- [`14eccd4`](https://github.com/synfig/synfig/commit/14eccd4c009557a03c536fc56761ce577a95ab40) Added the ability to create Plant and Curve Gradient layer from other Splines ([#1476](https://github.com/synfig/synfig/issues/1476))
- [`6afeb2f`](https://github.com/synfig/synfig/commit/6afeb2f5c81e5a643e2a528979e626e809521b83) Align close button of animation tabs to the right for better looking layout ([#2136](https://github.com/synfig/synfig/issues/2136))
- [`6329a76`](https://github.com/synfig/synfig/commit/6329a76d914718b74922c475b6c7f80cdb934068) [Synfig Studio] Replacing Gtk::HBox with Gtk::Box ([#2126](https://github.com/synfig/synfig/issues/2126))
- [`8b1bc8c`](https://github.com/synfig/synfig/commit/8b1bc8c1aa7bbb7222b1539c5029ad13458e5ec9) [CMake] Fixed splash screen creation when build type is differs from debug/release. ([#2130](https://github.com/synfig/synfig/issues/2130))
- [`e6bbcab`](https://github.com/synfig/synfig/commit/e6bbcabf2273bfe67909a2bb3ef63036c8eebda7) [CMake] Bump minimum required CMake version to 3.5 ([#2128](https://github.com/synfig/synfig/issues/2128))
- [`b277312`](https://github.com/synfig/synfig/commit/b2773121ccd27694b8b86f01e896db25647bef56) [Synfig Studio] Replace some other deprecated Gtk libraries ([#2113](https://github.com/synfig/synfig/issues/2113))
- [`d667744`](https://github.com/synfig/synfig/commit/d66774460d52b3a5b237cae04b81585c45970476) Replace deprecated get_vbox() method ([#2112](https://github.com/synfig/synfig/issues/2112))
- [`d15df18`](https://github.com/synfig/synfig/commit/d15df1895026e4b6161056f6fec40cc664ae9e1c) Added Ctrl+E as keyboard shortcut for the "Save All" menu action ([#2114](https://github.com/synfig/synfig/issues/2114))
- [`c76ede2`](https://github.com/synfig/synfig/commit/c76ede2b0f8625886ae5c7a2b4f243d56b4b8ca1) Merge PR [#2104](https://github.com/synfig/synfig/issues/2104): MSVC compilation fixes (04-2021)
- [`83f6394`](https://github.com/synfig/synfig/commit/83f6394ea858248bae7e80c117580a9340a46968) [Synfig Studio] Replace set_alignment and set_padding deprecated methods ([#2105](https://github.com/synfig/synfig/issues/2105))
- [`f9ab463`](https://github.com/synfig/synfig/commit/f9ab46339ebd13f73b947d790617f3197687008e) Seek to begin/end follow playback bounds set by user ([#2097](https://github.com/synfig/synfig/issues/2097))
- [`6c8966e`](https://github.com/synfig/synfig/commit/6c8966e6bb7550c904a49a5329409e8a0348f29e) Replace Render and Preview dialogs deprecated methods ([#2101](https://github.com/synfig/synfig/issues/2101))
- [`dc3e10a`](https://github.com/synfig/synfig/commit/dc3e10a398f336bddeeff1f113f9660232352747) Replace deprecated methods and disable window resizing ([#2100](https://github.com/synfig/synfig/issues/2100))
- [`1d88a3d`](https://github.com/synfig/synfig/commit/1d88a3d8d903218e51e7d5fdcfdc960d3fda5f97) Replace deprecated Gtk::HScale with Gtk::Scale and fine-tune step increments ([#2098](https://github.com/synfig/synfig/issues/2098))
- [`41b7682`](https://github.com/synfig/synfig/commit/41b7682921c0a83576d116a5f9b57991860620af) Changed the order of buttons in various dialog boxes (Color, Paragraph, Gradient, Target options) ([#2090](https://github.com/synfig/synfig/issues/2090))
- [`ef901e4`](https://github.com/synfig/synfig/commit/ef901e498d8a9653b06971f034b9641946ba4f50) Reset progress bar in Info window as Preview rendering is stopped ([#2083](https://github.com/synfig/synfig/issues/2083))
- [`0b5e1d2`](https://github.com/synfig/synfig/commit/0b5e1d29174f6b2e348a5560a7bd5b513b639b5e) [Synfig Studio] Stop rendering button has been moved to the right of the progress bar ([#2078](https://github.com/synfig/synfig/issues/2078))
- [`53153ef`](https://github.com/synfig/synfig/commit/53153efa00f93bd9e31e4c6c37676acec4875f83) [Synfig Studio] Toolbox migration from Gtk::Table to Gtk::Grid ([#2079](https://github.com/synfig/synfig/issues/2079))
- [`25e03d1`](https://github.com/synfig/synfig/commit/25e03d14d0eacb471f06724e7a22e0fe8b720190) [Core/Studio] Fix coverity warnings ([#2045](https://github.com/synfig/synfig/issues/2045))
- [`431ab77`](https://github.com/synfig/synfig/commit/431ab77d7a34d59b888a8b24fb572267b3761e48) [Synfig Studio] The canvas properties dialog now displays values correctly after being closed with the window close button. ([#2076](https://github.com/synfig/synfig/issues/2076))
- [`3f608be`](https://github.com/synfig/synfig/commit/3f608be77e6ffd44f3dee93aa12b463801d290da) [Synfig Studio] Duckmatic: minor cleanup ([#2056](https://github.com/synfig/synfig/issues/2056))
- [`17d685c`](https://github.com/synfig/synfig/commit/17d685c6a81b483cb5c1475c25207f119bc960f9) [Synfig Studio] Bone Tool: fix bone width on wrong situations ([#2048](https://github.com/synfig/synfig/issues/2048))
- [`ae6925b`](https://github.com/synfig/synfig/commit/ae6925bd26e03d15e566b96c42ce169801d40821) [Core] Fixed warnings ([#2044](https://github.com/synfig/synfig/issues/2044))
- [`bc2e3e5`](https://github.com/synfig/synfig/commit/bc2e3e570a1e47a5e2b0245ad44f31efffcf35f8) [Synfig Studio] Noticeable progress bar ([#2019](https://github.com/synfig/synfig/issues/2019))
- [`c7e0960`](https://github.com/synfig/synfig/commit/c7e0960da15c8dde969880c182940d2e85d283fd) [Synfig Studio] Remember the Number of rendering thread ([#2023](https://github.com/synfig/synfig/issues/2023))
- [`94d8c47`](https://github.com/synfig/synfig/commit/94d8c476189891c0fab33fdff31f04b89db47daf) [Core/Studio] use std::thread::hardware_concurrency() instead of g_get_num_processors() ([#2042](https://github.com/synfig/synfig/issues/2042))
- [`5664a71`](https://github.com/synfig/synfig/commit/5664a7140e1f9e6120b747f2c22583d905fcd7a7) Merge PR [#2040](https://github.com/synfig/synfig/issues/2040): [CLI] minor cleanup in command-line option parser
- [`7f67cc2`](https://github.com/synfig/synfig/commit/7f67cc22dc831edb199b82c71aab22b407aa3292) [Autotools] Fixed `make distcheck`. Reduced build output for synfigstudio-release.sh script. ([#2004](https://github.com/synfig/synfig/issues/2004))
- [`05b1ee2`](https://github.com/synfig/synfig/commit/05b1ee273f564b1422b2e14c039e22455b380a5a) [ETL/Core] Fixed warnings ([#2013](https://github.com/synfig/synfig/issues/2013))
- [`17c9a70`](https://github.com/synfig/synfig/commit/17c9a7080ad52e40b50f176b590e7a6d37d63de9) Turn off color dialog's resizability ([#2031](https://github.com/synfig/synfig/issues/2031))
- [`a9f00b7`](https://github.com/synfig/synfig/commit/a9f00b73fc61a14cc4f1ed2c793547206c77d938) [Synfig Studio] Improve style context code to one line ([#2032](https://github.com/synfig/synfig/issues/2032))
- [`10b7715`](https://github.com/synfig/synfig/commit/10b7715872763b7b488e43fb2284f6535336a895) Merge PR [#2012](https://github.com/synfig/synfig/issues/2012): [Synfig Studio] Added support for merge/split tangents for multiple vertices of object
- [`4c33e75`](https://github.com/synfig/synfig/commit/4c33e75956ae62185f0b5103d0d0b03af437f628) [Core/Studio] Added support for user-installed fonts on Windows 10 (1809) ([#1997](https://github.com/synfig/synfig/issues/1997))
- [`fe6dd29`](https://github.com/synfig/synfig/commit/fe6dd2941ea77709ddf7f0ca0a98fb5a1b82917d) [Synfig Studio] Allow to set number of rendering threads from Preferences dialog ([#1999](https://github.com/synfig/synfig/issues/1999))
- [`39a0ab4`](https://github.com/synfig/synfig/commit/39a0ab456021155a85d2936fbedff59464c74023) Merge PR [#1970](https://github.com/synfig/synfig/issues/1970): [Synfig Studio] Implement Ctrl+Shift+Scroll to zoom horizontally in panels
- [`34127e8`](https://github.com/synfig/synfig/commit/34127e88e94ea3ec36a39a1246ee1d946093f58d) Merge PR [#1974](https://github.com/synfig/synfig/issues/1974): [Synfig Studio] Set Enum parameters to Static by default
- [`53aebba`](https://github.com/synfig/synfig/commit/53aebba8412d1c28a3218365bf18d4105e955cd2) Merge PR [#1950](https://github.com/synfig/synfig/issues/1950): [ETL/Core] `rect` class moved from ETL to core.
- [`cf42eb4`](https://github.com/synfig/synfig/commit/cf42eb4ffc769737c43893877f92d8404cb63af4) [Synfig Studio] destructors should not call virtual methods ([#2003](https://github.com/synfig/synfig/issues/2003))
- [`cc4aa73`](https://github.com/synfig/synfig/commit/cc4aa73b6114faec56afb7b7ac1c69fa9dea4a33) [Synfig Studio] remove unused variable mod_palette_ from App ([#2002](https://github.com/synfig/synfig/issues/2002))
- [`a9b80ea`](https://github.com/synfig/synfig/commit/a9b80ea7e1531ccd2eaed074930526a246dce7df) [Synfig Studio] Improve layout of Workspaces editor ([#1991](https://github.com/synfig/synfig/issues/1991))
- [`d75cd9f`](https://github.com/synfig/synfig/commit/d75cd9fd91a9702af3d49db64197a5298a45c728) [Synfig Studio] Removed unnecessary explicit cast std::string to Glib::ustring ([#1993](https://github.com/synfig/synfig/issues/1993))
- [`99fe201`](https://github.com/synfig/synfig/commit/99fe201d203c450e69a9123a14f70b4d8a07069b) Merge PR [#1992](https://github.com/synfig/synfig/issues/1992): [Synfig Studio] Fix parameter values of several layers shown as distance metrics when they are not
- [`12b29c7`](https://github.com/synfig/synfig/commit/12b29c735a62f1896e557361f5dfcc3de41a0a11) Merge PR [#1945](https://github.com/synfig/synfig/issues/1945): [Synfig Studio] Make Preview tooltips and titles consistent with other dialogs
- [`c1e6ca0`](https://github.com/synfig/synfig/commit/c1e6ca001861dd5d815b91f9c6e35ccb0c59a84c) [Synfig Studio] fix states accelerator shortcut in tooltips ([#1959](https://github.com/synfig/synfig/issues/1959))
- [`6d407c2`](https://github.com/synfig/synfig/commit/6d407c2c7a6e86eed34687214123fddc6fbc4a66) autotools: fix POTFILES.in again and Makefile.am ([#1981](https://github.com/synfig/synfig/issues/1981))
- [`456bf8c`](https://github.com/synfig/synfig/commit/456bf8c80d8d78bbc37b6fb9eb92ca017e5a4813) [Synfig Studio] Fixed build error ([#1976](https://github.com/synfig/synfig/issues/1976))
- [`0672879`](https://github.com/synfig/synfig/commit/06728793ad0432d8350ff7886ba7f7da16d7c180) Scroll step size set to 1 frame and 10 with Ctrl ([#1967](https://github.com/synfig/synfig/issues/1967))
- [`8a893b8`](https://github.com/synfig/synfig/commit/8a893b8e2821da000d9a5feebd60b730b558c235) [CMake/MSVC] Added required packages ([#1962](https://github.com/synfig/synfig/issues/1962))
- [`55ec4cc`](https://github.com/synfig/synfig/commit/55ec4ccb3160783c2d2a5aeb0655be38cd036eb4) [Synfig Studio] Removed Win32 mkdir() redefinition ([#1960](https://github.com/synfig/synfig/issues/1960))
- [`0954a7f`](https://github.com/synfig/synfig/commit/0954a7f07803855ab3c20ec2c83e615eaeb0a8c9) [Synfig Studio] remove unused headers ([#1957](https://github.com/synfig/synfig/issues/1957))
- [`4b7f89b`](https://github.com/synfig/synfig/commit/4b7f89beab97bd565df50d7dd559124ebb163b52) [Synfig Studio] Make sure Show/Snap Guides toolbar buttons are always working ([#1949](https://github.com/synfig/synfig/issues/1949))
- [`d6ab408`](https://github.com/synfig/synfig/commit/d6ab4088273205931a69363fae2016bd77bb3d75) [Synfig Studio] Add Show/Snap Guides to Toolbar ([#1928](https://github.com/synfig/synfig/issues/1928))
- [`70c5ff6`](https://github.com/synfig/synfig/commit/70c5ff6cc55eab34d86142b00d6d0f0d132b0af0) [Synfig Studio] Duckmatic: signal_grid_changed never emitted ([#1937](https://github.com/synfig/synfig/issues/1937))
- [`4690620`](https://github.com/synfig/synfig/commit/4690620760afb60540ac52ee063eda3bafcc04e9) Merge PR [#1939](https://github.com/synfig/synfig/issues/1939): [Synfig Studio] app.cpp : some cleanup
- [`a9ef157`](https://github.com/synfig/synfig/commit/a9ef15773780308e462c55add44f445227097054) [Synfig Studio] refactored URI code in CanvasView ([#1943](https://github.com/synfig/synfig/issues/1943))
- [`e320613`](https://github.com/synfig/synfig/commit/e3206139323757abdc878acc9cd5651ae0e24ce1) [Synfig Studio] Disabled resizing of the Preview Options dialog ([#1942](https://github.com/synfig/synfig/issues/1942))
- [`20f4bda`](https://github.com/synfig/synfig/commit/20f4bda968b7ca87901685f1a9fb86072fd95d34) [Synfig Studio] Add Eyedrop Tool legend in Toolbox ([#1925](https://github.com/synfig/synfig/issues/1925))
- [`ca869b1`](https://github.com/synfig/synfig/commit/ca869b1cf3d6c602c9c8432022b2950a2c30df60) [Synfig Studio] Don't expand File Format Version drop-down list ([#1933](https://github.com/synfig/synfig/issues/1933))
- [`6676204`](https://github.com/synfig/synfig/commit/6676204d88abf9f213d6fa5b342477c8afcadddb) [Synfig Studio] remove unused headers ([#1923](https://github.com/synfig/synfig/issues/1923))
- [`a4327a8`](https://github.com/synfig/synfig/commit/a4327a87e36aaf19c71e143c7cfb642cddb0b7e1) [Synfig Studio] Don't expand Interpolation widget more than allocated width ([#1927](https://github.com/synfig/synfig/issues/1927))
- [`9f51f5e`](https://github.com/synfig/synfig/commit/9f51f5ecafad570c64e38fdecaf455d7e44e3e1c) [Synfig Studio] Center "Scale to fit Canvas" switch vertically to avoid stretching ([#1926](https://github.com/synfig/synfig/issues/1926))
- [`4aac1b8`](https://github.com/synfig/synfig/commit/4aac1b85c241b3b5b000e7cd82a5139864efbcc2) [Synfig Studio] remove unused headers ([#1907](https://github.com/synfig/synfig/issues/1907))
- [`4ed6b79`](https://github.com/synfig/synfig/commit/4ed6b79edc201011e7fa2aefc78f78c1db95caf0) [Synfig Studio] remove unused headers ([#1906](https://github.com/synfig/synfig/issues/1906))
- [`bc33af8`](https://github.com/synfig/synfig/commit/bc33af859718feb026d064daa3db118313cad818) Merge PR [#1894](https://github.com/synfig/synfig/issues/1894): Minor cleanup for Dials
- [`cadeed3`](https://github.com/synfig/synfig/commit/cadeed3e2812fbb63158515db7d84f261ed8be7e) [Synfig Studio] Added ability to select available Sets when adding Layers to Sets ([#1878](https://github.com/synfig/synfig/issues/1878))
- [`0febc74`](https://github.com/synfig/synfig/commit/0febc749210a7611880afd3139701455d04bdd3c) [Synfig Studio] Added extended information about possible errors in ValueDescCreateChildBone ([#1892](https://github.com/synfig/synfig/issues/1892))
- [`05181f8`](https://github.com/synfig/synfig/commit/05181f850b9ca959e8d39b43a1d5902b781bbba4) [Synfig Studio] Removed unused headers ([#1893](https://github.com/synfig/synfig/issues/1893))
- [`dd3dcd6`](https://github.com/synfig/synfig/commit/dd3dcd6ca133f9124063a812b7fb65956be5e15e) [Synfig Studio] Eyedropper tool: Added ability to select fill color using Ctrl+click ([#1872](https://github.com/synfig/synfig/issues/1872))
- [`5156403`](https://github.com/synfig/synfig/commit/5156403d193864c9afb76c24326f56c509ea9e15) Center vertically empty tool options label ([#1879](https://github.com/synfig/synfig/issues/1879))
- [`bbb2dd7`](https://github.com/synfig/synfig/commit/bbb2dd7c274785398d7f46475175053a9a7d9bf0) [Synfig Studio] Removed some unused headers ([#1863](https://github.com/synfig/synfig/issues/1863))
- [`3f90ae2`](https://github.com/synfig/synfig/commit/3f90ae2b9b16692e547335e0bd913b14e94b882a) Moving `ui` folder to `resources` folder ([#1865](https://github.com/synfig/synfig/issues/1865))
- [`d80d64c`](https://github.com/synfig/synfig/commit/d80d64cc09c7f5f405da6686fd564704841a014e) Removed old CVS ID field from layers, importers, ([#1792](https://github.com/synfig/synfig/issues/1792))
- [`f41490a`](https://github.com/synfig/synfig/commit/f41490ac58de26500dabbe7097c2cde2b8bd3a7e) Fixed build on GitHub Actions (MacOS 11) ([#1870](https://github.com/synfig/synfig/issues/1870))
- [`a1e4a17`](https://github.com/synfig/synfig/commit/a1e4a17a042fb648eea5719ca89fb612182151ec) Minor cleanup in WorkArea Renderers ([#1862](https://github.com/synfig/synfig/issues/1862))
- [`24e6f86`](https://github.com/synfig/synfig/commit/24e6f868d63b1bbc8f37d0905b7f5c6ebdbe99c4) Removed unused `ETL/stringf` headers. Preparing to move stringf from ETL to core. ([#1856](https://github.com/synfig/synfig/issues/1856))
- [`3d32977`](https://github.com/synfig/synfig/commit/3d329775ff210eea3b5ce390485654e472bf1bc1) Merge PR [#1445](https://github.com/synfig/synfig/issues/1445): Restore Defaults is applied only on OK pressed
- [`bac00ea`](https://github.com/synfig/synfig/commit/bac00ea77cc0c318e22a85da266ea5e6e097e952) Removed `etl::trivial` class. Refactored `Param` class. ([#1839](https://github.com/synfig/synfig/issues/1839))
- [`67c3f77`](https://github.com/synfig/synfig/commit/67c3f77828ce2bdd26472bbc7ca11e8ac98f1533) Limit background rendering to playback bounds ([#1852](https://github.com/synfig/synfig/issues/1852))
- [`ebf2eea`](https://github.com/synfig/synfig/commit/ebf2eeac25a9f2b73920569e646bd959bf82002b) Merge PR [#1844](https://github.com/synfig/synfig/issues/1844):  Fix doxygen
- [`5b37e43`](https://github.com/synfig/synfig/commit/5b37e43f9cccf160c7424d8a94a71206e2e5e657) Fixed clang warnings (unused variables, reorder) ([#1822](https://github.com/synfig/synfig/issues/1822))
- [`677c1a7`](https://github.com/synfig/synfig/commit/677c1a78fc26933d1531daef105d9b92c7c3dd52) [Autotools] Verbose mode is disabled by default ([#1815](https://github.com/synfig/synfig/issues/1815))
- [`2a5d837`](https://github.com/synfig/synfig/commit/2a5d8371ef5c95fb4a3fb7fbc2e96a01d5bb89a5) Migrate old containers from widget classes to new containers. Table->Grid ([#1816](https://github.com/synfig/synfig/issues/1816))
- [`8e712de`](https://github.com/synfig/synfig/commit/8e712deee58f4750161088b5cfc90e1c3364a5ed) Don't hold layer selection for Draw Tool ([#1812](https://github.com/synfig/synfig/issues/1812))
- [`dd2d919`](https://github.com/synfig/synfig/commit/dd2d919f617e01eef993b2551e38c4b948eb63b4) Added ability to stylize Synfig using a CSS file ([#1789](https://github.com/synfig/synfig/issues/1789))
- [`1d1c166`](https://github.com/synfig/synfig/commit/1d1c1660a077d3e50ffd7671c27b8f7855d89f07) [Skeleton Tool] Fixed console warning when adding bone with a parent (PR [#1695](https://github.com/synfig/synfig/issues/1695))
- [`31516f4`](https://github.com/synfig/synfig/commit/31516f4ec6788335749d80b1662b0664e41d69a7) [CMake] Added FontConfig support to Synfig Studio build ([#1799](https://github.com/synfig/synfig/issues/1799))
- [`9664b8c`](https://github.com/synfig/synfig/commit/9664b8c8273d36335bb3ed2d7c6c01cc9d0a9a96) [Skeleton Tool] Second bone follows first bone (PR [#1698](https://github.com/synfig/synfig/issues/1698))
- [`5a28c15`](https://github.com/synfig/synfig/commit/5a28c1593cb36bd94c76eea19a576db670c220a0) Merge PR [#1797](https://github.com/synfig/synfig/issues/1797): [MSVC] Added export variables
- [`144524a`](https://github.com/synfig/synfig/commit/144524a50d25bfd1b4bfdd43824bf7e3d972367e) Merge PR [#1791](https://github.com/synfig/synfig/issues/1791): Remove some old CVS/SVN stuff
- [`4b50b78`](https://github.com/synfig/synfig/commit/4b50b782d1f063b41d0e3107fee5cac655757812) [#1722](https://github.com/synfig/synfig/issues/1722): Set modal property on AboutDialog ([#1788](https://github.com/synfig/synfig/issues/1788))
- [`581535b`](https://github.com/synfig/synfig/commit/581535b971875e100bd715bf00b8725359e6bd46) Merge PR [#1783](https://github.com/synfig/synfig/issues/1783): MSVC build improvements [#2](https://github.com/synfig/synfig/issues/2)
- [`b01d549`](https://github.com/synfig/synfig/commit/b01d549b87f4ae118a792cf1f40304e167696cff) Merge PR [#1781](https://github.com/synfig/synfig/issues/1781): MSVC build improvements
- [`139da75`](https://github.com/synfig/synfig/commit/139da756c6c39bda8a34a8d375fa11a49b87ac5a) Resolve misleading indentation warning ([#1780](https://github.com/synfig/synfig/issues/1780))
- [`0576fa8`](https://github.com/synfig/synfig/commit/0576fa82b92210aacdc9b8ed6d32a3dfbceea9b7) Fixing GCC Wreorder warnings ([#1750](https://github.com/synfig/synfig/issues/1750))
- [`6cba5a6`](https://github.com/synfig/synfig/commit/6cba5a65be4a6dac6a8a87ba756f2ea196b06631) Merge PR [#1774](https://github.com/synfig/synfig/issues/1774): Replaced gtk::HBox and gtk::VBox with gtk::Grid in synfig-studio CanvasView
- [`8b31696`](https://github.com/synfig/synfig/commit/8b31696ad26fa9f1139506c36e424aeb354147c6) Fix whitespace indentation in duckmatic.cpp ([#1773](https://github.com/synfig/synfig/issues/1773))
- [`37fe404`](https://github.com/synfig/synfig/commit/37fe4048f2b412865b1fe21e68b4e30143f8186a) [CMake] Fixed incomplete information in About dialog ([#1770](https://github.com/synfig/synfig/issues/1770))
- [`30f6878`](https://github.com/synfig/synfig/commit/30f687850e3766f9b4251e100ffbc604b3209657) Add braces to avoid ambiguous else on extractBorders. Fixes [-Wdangling-else] warning ([#1771](https://github.com/synfig/synfig/issues/1771))
- [`5d0abc1`](https://github.com/synfig/synfig/commit/5d0abc1f718ad67469afb0252a9ce42a946cabf3) Fixed wrong documented comment (FrameDial=>JackDial)
- [`c48f248`](https://github.com/synfig/synfig/commit/c48f248795f091f2bc06405f3c87d00931dbe88e) Fix GCC multi-line comment warning (-wcomment) ([#1759](https://github.com/synfig/synfig/issues/1759))
- [`65d47b3`](https://github.com/synfig/synfig/commit/65d47b33fc8672a638b42115e04a324a133d82de) Fixed GCC warnings (different signedness comparison) ([#1739](https://github.com/synfig/synfig/issues/1739))
- [`60dc5b6`](https://github.com/synfig/synfig/commit/60dc5b6b29c215e73c38bd3da4d2884696faf49e) Remove unused headers (should reduce build time) ([#1740](https://github.com/synfig/synfig/issues/1740))
- [`75f78f2`](https://github.com/synfig/synfig/commit/75f78f249e76c70453c992f5795908979f8dd40d) Removed unused headers ([#1729](https://github.com/synfig/synfig/issues/1729))
- [`306f756`](https://github.com/synfig/synfig/commit/306f7562b2b5e29524647698c5a40918333bce2f) [CMake] Fixed MSYS2 installer (removed unnecessary folders, required folders added) ([#1728](https://github.com/synfig/synfig/issues/1728))
- [`43019c6`](https://github.com/synfig/synfig/commit/43019c68d71882b643b0d22bde257f7a19b5aea1) Corrected keyframe tooltip position for Wayland ([#1725](https://github.com/synfig/synfig/issues/1725))
- [`7268fc8`](https://github.com/synfig/synfig/commit/7268fc8009f10265fc4ebfcf856def876400246f) Corrected thumbnail position for Wayland ([#1726](https://github.com/synfig/synfig/issues/1726))
- [`41fda6c`](https://github.com/synfig/synfig/commit/41fda6cf928e46e6ac3915d74ffdd599842afa6b) Merge PR [#1711](https://github.com/synfig/synfig/issues/1711): CMake improvements
- [`9d39d47`](https://github.com/synfig/synfig/commit/9d39d478857bc81ec1fafdc3cc04a234c4975b25) Merge PR [#1696](https://github.com/synfig/synfig/issues/1696): [Skeleton Tool] Fix crash when editing control point. Closes 1685.
- [`adaac77`](https://github.com/synfig/synfig/commit/adaac77070225cea746626760ae8425c28899287) Don't hold layers selection when creating a new layer ([#1699](https://github.com/synfig/synfig/issues/1699))
- [`f1d830a`](https://github.com/synfig/synfig/commit/f1d830afc790f775fc020a78383adaaa7ebfe8e6) Fixed: Order by Name has no effect in Parameters Panel ([#1703](https://github.com/synfig/synfig/issues/1703))
- [`e7441e4`](https://github.com/synfig/synfig/commit/e7441e4efba0c8f70fa63b67ad9771278a8356a3) [CMake] Fixed path for splash screen image and added Adwaita icons for MSYS2 builds. ([#1689](https://github.com/synfig/synfig/issues/1689))
- [`9f1362c`](https://github.com/synfig/synfig/commit/9f1362c72392080df90a25231422054db2e9ee11) [Skeleton Tool] Fix for [#1680](https://github.com/synfig/synfig/issues/1680): Can't load saved file that has layers made with skeleton tool ([#1681](https://github.com/synfig/synfig/issues/1681))
- [`2124e6a`](https://github.com/synfig/synfig/commit/2124e6aa8ca7ebf6371ed8a92a84cdcaa812ad70) [Skeleton Tool] Fixed crash when switching to Skeleton Tool ([#1684](https://github.com/synfig/synfig/issues/1684))
- [`2b8ea4d`](https://github.com/synfig/synfig/commit/2b8ea4dff492cba62f5df026a8b04c19ba40da36) [Lottie Exporter] Export outlines without variable widths ([#1647](https://github.com/synfig/synfig/issues/1647)) (shipped in 1.4.2, but UI was not available)
- [`4906e91`](https://github.com/synfig/synfig/commit/4906e9188f025ab31d17d46500f277080853f2f6) [Skeleton Tool] Synfig crashes when we try to edit any other duck other than a bone's ([#1679](https://github.com/synfig/synfig/issues/1679))
- [`3d14739`](https://github.com/synfig/synfig/commit/3d147391b22e871f8e7f8b85d002ea5b52500dcd) [Skeleton Tool] Rename 'Make parent to active bone' ([#1676](https://github.com/synfig/synfig/issues/1676)). Closes [#1673](https://github.com/synfig/synfig/issues/1673).
- [`afb5d3c`](https://github.com/synfig/synfig/commit/afb5d3cfb0782ada635d61f36d245722e7a7d769) Added proper Clang info to About dialog ([#1675](https://github.com/synfig/synfig/issues/1675))
- [`6385086`](https://github.com/synfig/synfig/commit/63850863f68f56e85bed296fbddc8a12a6e9e042) Fixed unused/redefined variables warnings ([#1672](https://github.com/synfig/synfig/issues/1672))
- [`d345097`](https://github.com/synfig/synfig/commit/d345097c64e0975132035b7aade09081bb7b53ee) [Skeleton Tool] Fixed 'Make parent to active bone' crash ([#1671](https://github.com/synfig/synfig/issues/1671)). Closes [#1670](https://github.com/synfig/synfig/issues/1670).
- [`8cd3084`](https://github.com/synfig/synfig/commit/8cd3084e7e4f1f6dfade4c8bf5ea307f63793f2e) [CMake] Added basic support for MSVS 2019 and vcpkg ([#1646](https://github.com/synfig/synfig/issues/1646))
- [`c7737d6`](https://github.com/synfig/synfig/commit/c7737d6dba84eafe6cf59a7c23615eb08c9337c7) [Skeleton Tool] Remove "Create Child Bone" action menu ([#1663](https://github.com/synfig/synfig/issues/1663))
- [`61d81cb`](https://github.com/synfig/synfig/commit/61d81cb74db228c042e2c0e4114fddf7f585f3cf) [Skeleton Tool] Fixed active bone setting while pressed on Duck ([#1662](https://github.com/synfig/synfig/issues/1662)). Closes [#1656](https://github.com/synfig/synfig/issues/1656).
- [`db77ed1`](https://github.com/synfig/synfig/commit/db77ed10b3c8a15aa07d69f1d31ea8fa6bc587c6) Fixed memory leak with Widget_Timetrack: row_info now stored by value instead of pointer ([#1652](https://github.com/synfig/synfig/issues/1652))
- [`0b210b5`](https://github.com/synfig/synfig/commit/0b210b5862669115295580007ed2a428203df4be) Skeleton tool: Use single parameter to define bone width ([#1604](https://github.com/synfig/synfig/issues/1604))
- [`a480643`](https://github.com/synfig/synfig/commit/a480643a5953fd193d4a82f9bec2b314348bd068) [Skeleton Tool] Do not switch to Arrow tool when user selects other layer ([#1618](https://github.com/synfig/synfig/issues/1618)). Closes [#1603](https://github.com/synfig/synfig/issues/1603).
- [`d8388ca`](https://github.com/synfig/synfig/commit/d8388cabf95fefa21d6d950798a58b841dc3b652) Make position of dialog buttons consistent ([#1638](https://github.com/synfig/synfig/issues/1638))
- [`d58e958`](https://github.com/synfig/synfig/commit/d58e95803a06560fd5529211c3b7b1bbcba4fa91) Fix usage of locale_from_utf8() instead locale_to_utf8() ([#1642](https://github.com/synfig/synfig/issues/1642))
- [`c3bd657`](https://github.com/synfig/synfig/commit/c3bd65788e3807a8ed3840666b909bf67a0f5fd0) Merge PR [#1507](https://github.com/synfig/synfig/issues/1507): Added "Scale to fit canvas" button to Import dialog
- [`2beffbe`](https://github.com/synfig/synfig/commit/2beffbeb8918309ded223e4be97bc56ce7c928bd) [Skeleton Tool] Fixed bone placement in Skeleton Deformation ([#1641](https://github.com/synfig/synfig/issues/1641))
- [`9880e14`](https://github.com/synfig/synfig/commit/9880e148c54c6073368cc0a79c6338dd5f923c40) Update POTFILES.in ([#1640](https://github.com/synfig/synfig/issues/1640))
- [`723e88d`](https://github.com/synfig/synfig/commit/723e88d40fc4d3cc3acf1053f8f2235bb6e64e3a) [Skeleton Tool] Conditional disable/enable of Deformation layer on tool switch ([#1635](https://github.com/synfig/synfig/issues/1635))
- [`85aed48`](https://github.com/synfig/synfig/commit/85aed489ed967149c09dce14c7c76d9c0f01fd79) [Skeleton Tool] Creating new Skeleton layer without a bone ([#1620](https://github.com/synfig/synfig/issues/1620))
- [`4e0e245`](https://github.com/synfig/synfig/commit/4e0e245c51da09b634093f32d275d5b81e3e10cc) Skeleton Tool: Trigger visibility of Width Points depending on conditions ([#1616](https://github.com/synfig/synfig/issues/1616))
- [`0485671`](https://github.com/synfig/synfig/commit/048567137d1235fd4f46754adb6f126d0c1a3eb4) CMake NSIS Installer ([#1582](https://github.com/synfig/synfig/issues/1582))
- [`b92a370`](https://github.com/synfig/synfig/commit/b92a3708db735f18c45534066fe158c960978a35) Skeleton Tool: Fixed Skeleton Deformation layer Highlighting ([#1628](https://github.com/synfig/synfig/issues/1628))
- [`8d27d97`](https://github.com/synfig/synfig/commit/8d27d97bfd709cecd5f52ca77b5693fac338df43) Added button to stop rendering process ([#1585](https://github.com/synfig/synfig/issues/1585))
- [`8cece27`](https://github.com/synfig/synfig/commit/8cece276ec0891f3573a4975a1ab1d444e5b3985) Merge PR [#1617](https://github.com/synfig/synfig/issues/1617): Skeleton Tool - Skeleton Deformation Layer created as "disabled". Closes [#1615](https://github.com/synfig/synfig/issues/1615).
- [`80d63a7`](https://github.com/synfig/synfig/commit/80d63a75ee19b63272b0b9f2e69cf850debd8eed) Merge PR [#1611](https://github.com/synfig/synfig/issues/1611): Skeleton Tool - Fixed Active Bone rendering. Closes [#1610](https://github.com/synfig/synfig/issues/1610).
- [`28422b8`](https://github.com/synfig/synfig/commit/28422b8505dfaf47487e1e9f7730163f20a58f05) Merge PR [#1605](https://github.com/synfig/synfig/issues/1605): Skeleton Tool - Use dashed outline to show parent-child relationships for bones
- [`0948ac4`](https://github.com/synfig/synfig/commit/0948ac4b5883d4d10563a98fd0b38459ff7b6a38) GSoC 2020: Skeleton tool - basic implementation ([#1485](https://github.com/synfig/synfig/issues/1485))
- [`bcc84f1`](https://github.com/synfig/synfig/commit/bcc84f1c47090ff1dbb4eccc8e05231754195a57) [CMake] Icon and program info integrated into synfigstudio.exe Windows binary. ([#1581](https://github.com/synfig/synfig/issues/1581))
- [`6d3f1cb`](https://github.com/synfig/synfig/commit/6d3f1cb89cce05cb95341b38284b537975935a50) Merge PR [#1596](https://github.com/synfig/synfig/issues/1596): Fixed warnings
- [`5fe1258`](https://github.com/synfig/synfig/commit/5fe125846e4e5bdd8702eda3bbcb30089f0340ec) MergePR [#1491](https://github.com/synfig/synfig/issues/1491): Changes for Appveyor build using CMake and ninja.
- [`7ebb19b`](https://github.com/synfig/synfig/commit/7ebb19b0b2cf693a756feeeb670943cc7dc7cc8f) don't crash debug version when rotating vertex order ([#1583](https://github.com/synfig/synfig/issues/1583))
- [`8b93aa1`](https://github.com/synfig/synfig/commit/8b93aa1c2baf37ca687010c617db988632df79fb) Merge PR [#1432](https://github.com/synfig/synfig/issues/1432): Fixed text layer family search and allow user selection
- [`bad6e68`](https://github.com/synfig/synfig/commit/bad6e688072b8d430792a5a8d4d66cf84a557c45) Improved documentation of exception_guard.h ([#1578](https://github.com/synfig/synfig/issues/1578))
- [`7ece93c`](https://github.com/synfig/synfig/commit/7ece93c86ea09475ea123fda59a02e588f3c5997) Merge PR [#1571](https://github.com/synfig/synfig/issues/1571): fix uncaught exceptions in destructors
- [`2b0a887`](https://github.com/synfig/synfig/commit/2b0a8874afafb0881a466e595d99cad74d2fafdd) Merge PR [#1413](https://github.com/synfig/synfig/issues/1413): Added toggleable option for thumbnail preview
- [`6e9e095`](https://github.com/synfig/synfig/commit/6e9e095c5b4c3beb203b49c2bd0d416a6b9f6e59) Fixed crash when user deletes the sound layer displayed in Sound panel ([#1564](https://github.com/synfig/synfig/issues/1564))
- [`acde8c3`](https://github.com/synfig/synfig/commit/acde8c3a7d81b52716598fa6eadc8ae6fb68b312) [CMake] CPack added ability to generate .deb package ([#1519](https://github.com/synfig/synfig/issues/1519))
- [`978905c`](https://github.com/synfig/synfig/commit/978905c8facd6d084baec50c545fad72372ca8e5) [CMake] Fixed MacOS build ([#1534](https://github.com/synfig/synfig/issues/1534))
- [`d82b5ae`](https://github.com/synfig/synfig/commit/d82b5aeab7df3fb5b183d442affa8ecf5f7ce3e5) [Vectorization] Bezier enhance ([#1240](https://github.com/synfig/synfig/issues/1240))
- [`99981e8`](https://github.com/synfig/synfig/commit/99981e8cfdf07c9f4485e8076d8d7323ccdd221e) don't re-add the first brush path to brush path list !
- [`f538260`](https://github.com/synfig/synfig/commit/f538260216b4268cb61302f624e05d358e353f5d) Brush paths moved to ResourceHelpre ([#1528](https://github.com/synfig/synfig/issues/1528))
- [`fb84c92`](https://github.com/synfig/synfig/commit/fb84c922518ecd6a0e5c49fb7a2657cb39b559a5) [CMake] Copy logo.sif to build-dir for building splash_screen ([#1525](https://github.com/synfig/synfig/issues/1525))
- [`2af6b11`](https://github.com/synfig/synfig/commit/2af6b11f8e30efce45a7d67c3a470702305330c8) Cleanup general.h ([#1526](https://github.com/synfig/synfig/issues/1526))
- [`2fb1e65`](https://github.com/synfig/synfig/commit/2fb1e659f70ede5ba97ff149efdb2b352680a5b1) Copy plugins, brushes and sounds to the appropriate place in CMake build. ([#1501](https://github.com/synfig/synfig/issues/1501))
- [`15080f9`](https://github.com/synfig/synfig/commit/15080f98a5fb3490865d006c2c250f6e316c71a1) Different CMake builds based on CMAKE_BUILD_TYPE. ([#1500](https://github.com/synfig/synfig/issues/1500))
- [`0b965c0`](https://github.com/synfig/synfig/commit/0b965c0f2e5acf60ae7bf4e4e1426ae772295974) Avoid deadlock when converting vector to 'dynamic' ([#1073](https://github.com/synfig/synfig/issues/1073)) 
- [`2e0b896`](https://github.com/synfig/synfig/commit/2e0b89692ba6a881b79f5bd71b15871bd6acd1a4) Updated CMake icons directory ([#1512](https://github.com/synfig/synfig/issues/1512))
- [`13dab06`](https://github.com/synfig/synfig/commit/13dab0681156014e7c0c84db0e6750c284decfc8) Generate l10n files from .po files. ([#1462](https://github.com/synfig/synfig/issues/1462))
- [`2ce6c92`](https://github.com/synfig/synfig/commit/2ce6c92c88dbb039e3d4b2df6df6884f81c63aba) Not using modules/layer_std/import/ but synfig/layers/layer_bitmap for importing sequences
- [`67b1ab7`](https://github.com/synfig/synfig/commit/67b1ab7fc451c2d201da6bfc6b31083125481537) Make titles and spacings consistent across tool options ([#1369](https://github.com/synfig/synfig/issues/1369))
- [`5a3f423`](https://github.com/synfig/synfig/commit/5a3f4232224bbf9d3524158682bd7eb0ff7166c7) Use ScrolledWindow and label wrapping for message dialog ([#1496](https://github.com/synfig/synfig/issues/1496))
- [`8081eb8`](https://github.com/synfig/synfig/commit/8081eb89d66dfdefb20d3d88ac2fd2e928e882df) Check if target output has same name as existing files ([#1461](https://github.com/synfig/synfig/issues/1461))
- [`48ac6ff`](https://github.com/synfig/synfig/commit/48ac6ffa41b74e649f6208b0004005a1e0987830) Resource path changes for CMake build. ([#1484](https://github.com/synfig/synfig/issues/1484))
- [`b7884bb`](https://github.com/synfig/synfig/commit/b7884bb9287d546acd7dfdddaabeb91bbf1a54aa) Replace deprecated set_margin method ([#1482](https://github.com/synfig/synfig/issues/1482))
- [`5d3056e`](https://github.com/synfig/synfig/commit/5d3056e28e19413136e321b320edfb30c0a56a3f) Merge PR[#1487](https://github.com/synfig/synfig/issues/1487): minor improvements in Info panel
- [`633d54d`](https://github.com/synfig/synfig/commit/633d54dc90d54f2e78b42160635a5c70f11d16e6) Merge PR [#1483](https://github.com/synfig/synfig/issues/1483): Change installation folder of synfig images and icons
- [`7ab41fa`](https://github.com/synfig/synfig/commit/7ab41fa0a9bfdcddaecb579e4cf84eafe9e3e803) fix build_images target's rebuilding behavior ([#1478](https://github.com/synfig/synfig/issues/1478))
- [`35c3012`](https://github.com/synfig/synfig/commit/35c3012b8e1d57a493a109924f6c04942ad609a9) Merge PR [#1477](https://github.com/synfig/synfig/issues/1477): Simplify access to resource
- [`068c884`](https://github.com/synfig/synfig/commit/068c884e8a10638cd625fbd3b42bfc6605eb2f34) Merge PR [#1466](https://github.com/synfig/synfig/issues/1466): fix POTFILES.in
- [`4c519a9`](https://github.com/synfig/synfig/commit/4c519a9539905788b66101b4b440880949733a6b) Merge PR [#1450](https://github.com/synfig/synfig/issues/1450): Improved warning dialog UI
- [`6d3f75f`](https://github.com/synfig/synfig/commit/6d3f75ffc8a3450587c8105a738e1b6db79f7956) quick workaround to fix crash in new timetrack ([#1439](https://github.com/synfig/synfig/issues/1439))
- [`7684be8`](https://github.com/synfig/synfig/commit/7684be864f20b5cda39dd07833e74e78a874e6d3) Removing Duplicate frames while importing an image sequence
- [`454ac39`](https://github.com/synfig/synfig/commit/454ac396850dd6ac58360f14039a7419460c4700) REVISION_ID with 7 characters instead of 6
- [`34d75aa`](https://github.com/synfig/synfig/commit/34d75aaadf70b62e5afa78cdcb74d791d57324b2) Merge PR [#1427](https://github.com/synfig/synfig/issues/1427): [Timetrack] fix in rectangle-selection bottom-top
- [`b680ec9`](https://github.com/synfig/synfig/commit/b680ec970f1fc28b359816e0376218277b933827) Don't try to delete/move/copy zero waypoints ([#1424](https://github.com/synfig/synfig/issues/1424))
- [`0e5aca0`](https://github.com/synfig/synfig/commit/0e5aca00d20380923e6f7ffb02888ca02235a9ca) Fixed smach (state machine) compilation on MSVC ([#1423](https://github.com/synfig/synfig/issues/1423))
- [`6d32e5b`](https://github.com/synfig/synfig/commit/6d32e5b21f53cf86bef1a420cbd34debf4aa35e9) hide GUID int constructor ([#1404](https://github.com/synfig/synfig/issues/1404))
- [`b6efff5`](https://github.com/synfig/synfig/commit/b6efff5fb8e3f7ee91829b24520a4cc2d6b87f32) Merge PR [#1370](https://github.com/synfig/synfig/issues/1370): Soundwave dock now loads sound layers from canvas
- [`b5b8239`](https://github.com/synfig/synfig/commit/b5b8239a7b7b1d896e125a2d7c4d7a70b98000e5) Minor cleanup on color dialog ([#1396](https://github.com/synfig/synfig/issues/1396))
- [`2349d94`](https://github.com/synfig/synfig/commit/2349d947bbcceafe9dcdc782e2bb8fafb090f91f) PR [#1356](https://github.com/synfig/synfig/issues/1356): Add option to playback animation in realtime
- [`d972346`](https://github.com/synfig/synfig/commit/d9723460cf84db0363f5afe7ba783f219ac710cf) studio: CMake: Add include & library dirs for each pkg_config module (PR [#1399](https://github.com/synfig/synfig/issues/1399))
- [`8dc4c06`](https://github.com/synfig/synfig/commit/8dc4c0642176ec57679cb5b2ac7fdb5897efef23) Merge PR [#1354](https://github.com/synfig/synfig/issues/1354): Make first vertex selectable when creating spline. Fixes [#1281](https://github.com/synfig/synfig/issues/1281).
- [`51ba106`](https://github.com/synfig/synfig/commit/51ba10644bd4aab01866bb5a2c8dad4805556e41) Merge PR [#1313](https://github.com/synfig/synfig/issues/1313): Rework the plugin system
- [`d234429`](https://github.com/synfig/synfig/commit/d23442958d9b5546f9ba1dea21b150e52c424cd3) Moved state machine (smach) from ETL to synfig-studio/src/gui
- [`1141307`](https://github.com/synfig/synfig/commit/114130756fc5b43c04b09c11252bfa600a7ada3d) Fix typo in source code
- [`52eb2c8`](https://github.com/synfig/synfig/commit/52eb2c84ab8c34ca5701648b89241276e6c3d014) Workarea: replace deprecated Gtk::Table ([#1357](https://github.com/synfig/synfig/issues/1357))
- [`d2821dd`](https://github.com/synfig/synfig/commit/d2821ddcf1c09f453a0cfca2b7110e8399af6fac) Merge PR [#1373](https://github.com/synfig/synfig/issues/1373): don't let user delete waypoints while dragging them in Timetrack panel
- [`892c6e2`](https://github.com/synfig/synfig/commit/892c6e2338c1bf2c535180619d6c1099498150fa) Merge PR [#1372](https://github.com/synfig/synfig/issues/1372): don't let user delete waypoints while dragging them in Graph panel
- [`788d72d`](https://github.com/synfig/synfig/commit/788d72dea3fb5769bdcf85583a15053ba2031c06) Merge PR [#1344](https://github.com/synfig/synfig/issues/1344): Different look for indirect waypoints
- [`b3ae782`](https://github.com/synfig/synfig/commit/b3ae782bc2c234f171c482009cff1d197d87d01e) Show workarea task messages as tooltip too ([#1338](https://github.com/synfig/synfig/issues/1338))
- [`8abcd40`](https://github.com/synfig/synfig/commit/8abcd4001cca830379259a6e4b1719c6dc38d53c) Improved generation of recent files list. Fixed MAX_PATH on Windows. ([#1335](https://github.com/synfig/synfig/issues/1335))
- [`81dc3b6`](https://github.com/synfig/synfig/commit/81dc3b66b7c525aca19782e8b802eb0bb542ef36) Minor fixes for timeplotdata ([#1321](https://github.com/synfig/synfig/issues/1321))
- [`c9b53c3`](https://github.com/synfig/synfig/commit/c9b53c3c142b2ed56e07246983bde26170492024) Fixed: [CMake Build] Import Image Layer has no icon. ([#1320](https://github.com/synfig/synfig/issues/1320))
- [`f584626`](https://github.com/synfig/synfig/commit/f584626f07efbc655800eb5b4af2a81450015718) Fixed compiling with Cairomm 1.15
- [`c157348`](https://github.com/synfig/synfig/commit/c157348d9d0dca81b9b5ddbf2b416e90773b6360) Single Copy Layer visible for Bitmap layers only
- [`4817575`](https://github.com/synfig/synfig/commit/48175757bfea0999912c3d595c9c6eafa5410224) fix indentation
- [`fb59acf`](https://github.com/synfig/synfig/commit/fb59acf1638c0b4eb328bb0b8e285f9508493aad) added copyright to vectorizer
- [`91431ee`](https://github.com/synfig/synfig/commit/91431ee6741db839cf357f951e8eeb5bd1d43edf) Do not use "realpath" command in build process (Autotools)
- [`e32f5b5`](https://github.com/synfig/synfig/commit/e32f5b50b6aae90bf044531d2d954437a535111b) Updated po file
- [`48729c7`](https://github.com/synfig/synfig/commit/48729c71839993fd71c9ddeed1aad92dc9773f93) Merge PR [#1289](https://github.com/synfig/synfig/issues/1289): Export plugins. Closes [#1218](https://github.com/synfig/synfig/issues/1218).
- [`97acd21`](https://github.com/synfig/synfig/commit/97acd21167910c34c809a4363ea2e7a0746cf0ac) Code cleanup. Added MSVC compiler detection to About dialog. ([#1303](https://github.com/synfig/synfig/issues/1303))
- [`abb7beb`](https://github.com/synfig/synfig/commit/abb7beb4ec08f5052c8dcccd125c283d8b196034) Fixed uninitialized members and memory leak in vectorizer ([#1294](https://github.com/synfig/synfig/issues/1294))
- [`102dace`](https://github.com/synfig/synfig/commit/102daceabb934a50f2a8d337c950fbba052047f9) Deleted GCC __attribute__ ((unused)) (fixes MSVC compilation)
- [`0acaf30`](https://github.com/synfig/synfig/commit/0acaf30b90b0730dc1f80be9ab47af8f6d8e8e26) Removed unnecessary headers and variables ([#1295](https://github.com/synfig/synfig/issues/1295))
- [`faa52c9`](https://github.com/synfig/synfig/commit/faa52c974ba8211f29dde123afcae1f648354245) Merge PR [#1273](https://github.com/synfig/synfig/issues/1273): [MSYS2] Enable building of images (Autotools)
- [`1db7f4d`](https://github.com/synfig/synfig/commit/1db7f4d4952355dd844a6e0fb4924ecda2f3df3c) add option Link Origins to Draw tool - fix [#344](https://github.com/synfig/synfig/issues/344)
- [`ae11655`](https://github.com/synfig/synfig/commit/ae11655a9bba068543be7a5df9090958579de78e) Fixed assertion 'GDK_IS_WINDOW (window)' failed ([#1257](https://github.com/synfig/synfig/issues/1257))
- [`9be0c34`](https://github.com/synfig/synfig/commit/9be0c34235d4899e937b70ace413bd6c63904fa2) fix uninitialized geometry
- [`2503cc4`](https://github.com/synfig/synfig/commit/2503cc440f8377a29beaa80f11e9338a5d7f15cd) fix bad overrides reported by Coverity
- [`d20d830`](https://github.com/synfig/synfig/commit/d20d830c7483d8500f5f821e3eef1af9abb8f9ae) remove unneeded #include
- [`b57b280`](https://github.com/synfig/synfig/commit/b57b2809af3e52f16bc5d67b351e79fd04d9b222) "Lock Selection" parameter of Group Layer should be static by default ([#1259](https://github.com/synfig/synfig/issues/1259))
- [`a12bbfb`](https://github.com/synfig/synfig/commit/a12bbfbee316953834e17d8a0acd134ad5979471) fix missing breaks in switch ([#1268](https://github.com/synfig/synfig/issues/1268))
- [`75029fb`](https://github.com/synfig/synfig/commit/75029fb7b942c66eaefbbd5a0fdaa4cb8f4c8624) Merge PR [#1248](https://github.com/synfig/synfig/issues/1248): Restore defaults now reset all settings
- [`70c851e`](https://github.com/synfig/synfig/commit/70c851e9028527208109f7cb49a90576f068d616) Merge PR [#1135](https://github.com/synfig/synfig/issues/1135): New timetrack
- [`2dbc760`](https://github.com/synfig/synfig/commit/2dbc76041d379ea1232788dd5157a2eb2d5425a7) Merge PR [#1247](https://github.com/synfig/synfig/issues/1247): [CMake] build_images target now places images in the correct folder
- [`77164e8`](https://github.com/synfig/synfig/commit/77164e8371269afb0490287f200f6c35fe067e88) Fix issue [#1216](https://github.com/synfig/synfig/issues/1216)
- [`5370add`](https://github.com/synfig/synfig/commit/5370add11d6a2aa6bcf56a64470e39c9041646fd) Merge PR [#1232](https://github.com/synfig/synfig/issues/1232): [CMake] Fixed images search logic in case SYNFIG_ROOT is undefined.
- [`15ad054`](https://github.com/synfig/synfig/commit/15ad054f18c37c0e36caca3c15b69d25ac51b04d) Fix typos and non translatable strings ([#1162](https://github.com/synfig/synfig/issues/1162))
- [`1f08cfc`](https://github.com/synfig/synfig/commit/1f08cfca9c70ea940609324520ecab5559eea885) Remove references to missing translation files ([#1239](https://github.com/synfig/synfig/issues/1239))
- [`b380d8a`](https://github.com/synfig/synfig/commit/b380d8a35d882f5d5d839b396a7d3912b8488c9f) keep undo history clean when deleting multiple curve waypoints ([#1134](https://github.com/synfig/synfig/issues/1134))
- [`c3054c4`](https://github.com/synfig/synfig/commit/c3054c4d648783a1877e42801f97d435ba184303) Merge PR [#1228](https://github.com/synfig/synfig/issues/1228): [CMake] Update CMake script for /share and /etc.
- [`9210f30`](https://github.com/synfig/synfig/commit/9210f307e3cf24be53070cc739f52fd8b5e6d48d) Fix typo
- [`691b81b`](https://github.com/synfig/synfig/commit/691b81b364b7bfc7abc518c2bbc07b8daf804f55) Merge PR [#1201](https://github.com/synfig/synfig/issues/1201): Rename "vizualization" test app to "synfigplayer"
- [`9e189c3`](https://github.com/synfig/synfig/commit/9e189c35d3167a71048f9b7fe4a16d86f58871b4) Merge PR [#1209](https://github.com/synfig/synfig/issues/1209): fix i18n for Set Keyframe Description dialog
- [`5390415`](https://github.com/synfig/synfig/commit/5390415e58a9c2229a19aa487b9a945945d83622) Merge PR [#1211](https://github.com/synfig/synfig/issues/1211): Fixed wrong filename in plugins dialog box
- [`a983515`](https://github.com/synfig/synfig/commit/a98351568cfe8bd1403b4dfcf6d817f680b05ae9) Merge PR [#1202](https://github.com/synfig/synfig/issues/1202): allow glade UI files to be translated
- [`6c234ce`](https://github.com/synfig/synfig/commit/6c234ce5d078f6cd44be71da6c68f0a5e7ffd5cd) minor fixes for test visualization
- [`c4ee388`](https://github.com/synfig/synfig/commit/c4ee388ab95f87c55d628399734b7957242f7cf8) time measure for test visualization
- [`9ea54ae`](https://github.com/synfig/synfig/commit/9ea54ae2ce09b5cd2ff00b559fb0f2bd77243650) simple visualization test
- [`7cea642`](https://github.com/synfig/synfig/commit/7cea64284d1326d05039b76648cf113040889b10) libmng made optional, fixed build using 2-build-cmake.sh
- [`2cccbf4`](https://github.com/synfig/synfig/commit/2cccbf43557fd68b297a7b4b18b618ea4078581f) Merge PR [#1166](https://github.com/synfig/synfig/issues/1166): Do not require to explicitly call FileSystemTemporary::discard_changes() 
- [`4df4085`](https://github.com/synfig/synfig/commit/4df4085e997213b6072364e9f36da6ab14746571) Update translations
- [`09220ed`](https://github.com/synfig/synfig/commit/09220ed3bbae82a2a9f601b554d5b1aea3af3581) Added PACKAGE_NAME macro
- [`b4b6a75`](https://github.com/synfig/synfig/commit/b4b6a752214c5f56f51788b78f3b71fcfdec2492) Fix some typos and some non translatable strings (#1159)
- [`8339ee0`](https://github.com/synfig/synfig/commit/8339ee07b9edc8bd7ad29cdb58fc9e86ba13aee7) Merge PR [#1096](https://github.com/synfig/synfig/issues/1096): remove strange #include in Dialog_Setup
- [`52d58fa`](https://github.com/synfig/synfig/commit/52d58faa57366f79d86c3d1b26590d9cd042baaf) Merge PR #1157: Fix some ui typos
- [`2d453f2`](https://github.com/synfig/synfig/commit/2d453f288a651a1142d46f2f45d13850db428e5e) Fix typo
- [`fe24023`](https://github.com/synfig/synfig/commit/fe240231c01c2bd3102ef901b2001a923cc86095) Fix previous commit
- [`7c08f5b`](https://github.com/synfig/synfig/commit/7c08f5b8717000a1662754b0ce7d4706873c292d) Fix typo
- [`d974ed5`](https://github.com/synfig/synfig/commit/d974ed5af43b762a1d9c4e44f4c57cfcd17e562b) Update translations (new pot)
- [`86eaf56`](https://github.com/synfig/synfig/commit/86eaf560d1eb7f4f3a14391c75a6474997fd051b) Update translations
- [`58cf959`](https://github.com/synfig/synfig/commit/58cf959a34436bcf4b54acfd476f179c821f61f9) remove unused code : commented since 2005
- [`859cc1a`](https://github.com/synfig/synfig/commit/859cc1a3a720dae09cd61e76cbe567a93e85ce3e) Merge PR [#1128](https://github.com/synfig/synfig/issues/1128): Travis: Add distcheck job
- [`ee74a24`](https://github.com/synfig/synfig/commit/ee74a24c8ae4d8295d1e1c1ef5b9c5bf478271ce) Bump version to 1.5.0
## Version 1.4.5
- [`5e0476b`](https://github.com/synfig/synfig/commit/5e0476bcc263b8906eb3855821a59f336d6be8ab) Fix distortions at the end of lines made with the drawing tool ([#2471](https://github.com/synfig/synfig/issues/2471))
- [`015305a`](https://github.com/synfig/synfig/commit/015305ae9fd56ff23a7b0b25c27e7f159a555d3d) fix: crash on moving a layer following a bline reference ([#2971](https://github.com/synfig/synfig/issues/2971))
- [`feb62c5`](https://github.com/synfig/synfig/commit/feb62c586f9b8c5378ce724854c7180d674e8326) Replaced `abs` with `std::fabs` for float values and `std::abs` for templates and int values ([#2311](https://github.com/synfig/synfig/issues/2311))
- [`4c3f97d`](https://github.com/synfig/synfig/commit/4c3f97dfd4340b74e72f0b2a033aeed70b6efc5a) fix importing into unsaved SIF file ([#2243](https://github.com/synfig/synfig/issues/2243))
- [`86d3434`](https://github.com/synfig/synfig/commit/86d3434b9356064015d4dfe4fffd57ef25a1f9c8) Fixed Synfig Studio crash on exit (MacOS) ([#2540](https://github.com/synfig/synfig/issues/2540))
- [`3e130dc`](https://github.com/synfig/synfig/commit/3e130dc3de7161fa8385b8cd9f3a5920d3c20f18) fix: crash with a bline containing only 2 points that are too close ([#2855](https://github.com/synfig/synfig/issues/2855))
- [`2f4b441`](https://github.com/synfig/synfig/commit/2f4b441d4b04f4e20cd1c0f40e18c7f4afe13903) chore: bump year to 2024 ([#3299](https://github.com/synfig/synfig/issues/3299))
- [`784dbb1`](https://github.com/synfig/synfig/commit/784dbb1c773e9f1e6c145fa571b7083613106027) fix: crash occurs under Wayland when using tablet ([#2988](https://github.com/synfig/synfig/issues/2988))
- [`b5c8aa4`](https://github.com/synfig/synfig/commit/b5c8aa4dfc0546fe5a9b5c9ea64969f50ff1aaa0) fix: crash when clicking on rows of "Library Panel"  ([#3046](https://github.com/synfig/synfig/issues/3046))
- [`0e662dd`](https://github.com/synfig/synfig/commit/0e662dd1a22c6d9ff87699546bb2ffb900e85f37) fix: button `Open With History` is enabled only for .sfg files ([#3101](https://github.com/synfig/synfig/issues/3101))
- [`87e1315`](https://github.com/synfig/synfig/commit/87e131531c9f91be512650134227522fba756d72) fix: selecting a handle while the Graphs window tooltip is open crashes the GUI ([#3207](https://github.com/synfig/synfig/issues/3207))
- [`566fd7f`](https://github.com/synfig/synfig/commit/566fd7fa09f780caa7015196dc6c468944503c3b) perf: avoid canvas introspection when DockInfo is not shown ([#3328](https://github.com/synfig/synfig/issues/3328))
## Version 1.4.4
- [`0ab9d69`](https://github.com/synfig/synfig/commit/0ab9d69e4ce0b923d22185b2f6508b71ea7162cd) Merge PR ([#2445](https://github.com/synfig/synfig/issues/2445)): Fixed crash when using Draw tool (Fedora/Flatpak)
- [`bb36171`](https://github.com/synfig/synfig/commit/bb361718bc6d061d010e5d6ab5bebeeaae59ad71) fix: Right-clicking a layer on a just opened file shows empty menu ([#2781](https://github.com/synfig/synfig/issues/2781))
- [`e06c83f`](https://github.com/synfig/synfig/commit/e06c83fbdcf01e6c73d67321926a52cc92ebaa38) build(autotools): allow to compile release build with debug info ([#2838](https://github.com/synfig/synfig/issues/2838))
- [`091ac5c`](https://github.com/synfig/synfig/commit/091ac5c820f3bc6c9db773bfdd8669cc3ae23eb0) Fixed messed up translations for Russian language
## Version 1.4.3
- [`ac8b5e0`](https://github.com/synfig/synfig/commit/ac8b5e02e3ab36fd0f49708086837cc36be9de62) chore: Enabled some strings for translation ([#2768](https://github.com/synfig/synfig/issues/2768))
- [`68d8a25`](https://github.com/synfig/synfig/commit/68d8a25c1e10905acd2b28ab23f255c08ed4615d) Fixed crash when deleting last waypoint ([#2587](https://github.com/synfig/synfig/issues/2587))
- [`e23b229`](https://github.com/synfig/synfig/commit/e23b229208f2cc9e8b37c46857eeaf629b4d8e1a) perf: improved file opening speed in Windows ([#2826](https://github.com/synfig/synfig/issues/2826))
- [`3015a77`](https://github.com/synfig/synfig/commit/3015a77900d9aebb759dd907f5825c4d5e720903) fix: don't allow to Connect to exported value node if it has wrong type ([#2694](https://github.com/synfig/synfig/issues/2694))
- [`3ea8fe6`](https://github.com/synfig/synfig/commit/3ea8fe60ec87a489a7dda3e0882222f339124dd2) Fixed issue with autosave not working when interval is set to 15 seconds. ([#2647](https://github.com/synfig/synfig/issues/2647))
- [`2a11e92`](https://github.com/synfig/synfig/commit/2a11e920a6a8394184aaa3085d6150718657a451) fix regression: importing papagayo file didn't show the expected layers ([#2495](https://github.com/synfig/synfig/issues/2495))
- [`61c6f49`](https://github.com/synfig/synfig/commit/61c6f49d79f1cc562e1171fe3638664d846508e0) Bumped year ([#2623](https://github.com/synfig/synfig/issues/2623))
- [`9ef1c59`](https://github.com/synfig/synfig/commit/9ef1c59fc345350461dfa3fef8f45d0dc091a177) Fix module search path for Lottie Exporter ([#2621](https://github.com/synfig/synfig/issues/2621))
- [`65303bc`](https://github.com/synfig/synfig/commit/65303bc518cef3381bb537b0e29d61d1f3849e31) fix crash when using Width Tool on Skeleton Layer ([#2500](https://github.com/synfig/synfig/issues/2500))
- [`2943fdc`](https://github.com/synfig/synfig/commit/2943fdc0191b081c90d2ce6cd34c226ef76719cf) BoneLink: Ask if user wants to link transformation instead of origin ([#2468](https://github.com/synfig/synfig/issues/2468))
- [`3d47605`](https://github.com/synfig/synfig/commit/3d47605f69b0758397c0a2f69c2fd0c08089b2de) Make sure flags are correctly updated when setting renddesc or toggling ([#2463](https://github.com/synfig/synfig/issues/2463))
- [`33cc306`](https://github.com/synfig/synfig/commit/33cc30613bf0586a5abe74decf787bbbf786a37a) Parameters and Timeline panels show the same row selected ([#2422](https://github.com/synfig/synfig/issues/2422))
- [`83828f0`](https://github.com/synfig/synfig/commit/83828f0da7b5e6a72976eb298fa0eae9eab7f4e2) Revert changes for Panel Tabs made in [#2189](https://github.com/synfig/synfig/issues/2189) ([#2436](https://github.com/synfig/synfig/issues/2436))
- [`27ea632`](https://github.com/synfig/synfig/commit/27ea632ec8b214ccdbc37034dcda563672010a1d) Usability tweaks ([#2189](https://github.com/synfig/synfig/issues/2189))
- [`5e19882`](https://github.com/synfig/synfig/commit/5e19882b8cf3a0ea67de5c394e9f350b96d81a39) Enable "Link width and height" by default in Render Settings ([#2351](https://github.com/synfig/synfig/issues/2351))
- [`87cc5d2`](https://github.com/synfig/synfig/commit/87cc5d28090b172eabdf7f92baaded3bd20cd01e) Apply action to all selected layers from pop-over menu ([#2352](https://github.com/synfig/synfig/issues/2352))
- [`e6ae677`](https://github.com/synfig/synfig/commit/e6ae677cbea5a9e81b7ef9764576381625da4629) Dock widget shortcuts have priority over App Accels - fix [#1820](https://github.com/synfig/synfig/issues/1820) ([#1827](https://github.com/synfig/synfig/issues/1827))
- [`21e1a3e`](https://github.com/synfig/synfig/commit/21e1a3e0e7e42dafc8c959d54ac461d325f680d2) Fix regression on Link To Spline: Vertex should be linkable ([#2345](https://github.com/synfig/synfig/issues/2345)). Closes [#2344](https://github.com/synfig/synfig/issues/2344).
- [`798bfbf`](https://github.com/synfig/synfig/commit/798bfbf95983ff6c01ca019ac72b390fbc259eab) Fixed a crash when trying to import a file into yourself ([#2239](https://github.com/synfig/synfig/issues/2239))
- [`dda0317`](https://github.com/synfig/synfig/commit/dda03175bad54c445fdf671636335c6cd59380ec) Fix regression: importing image making it upside-down ([#2333](https://github.com/synfig/synfig/issues/2333))
- [`5c930dc`](https://github.com/synfig/synfig/commit/5c930dc8a3d71f7bcba9d4b71deed297642baf74) Fix image size when importing onto canvas with non-standard size ([#2252](https://github.com/synfig/synfig/issues/2252))
## Version 1.4.2
- [`ba211ba`](https://github.com/synfig/synfig/commit/ba211bafbe5963bc863ad4e99d38e73a3d96fe92) remove some unneeded headers ([#1963](https://github.com/synfig/synfig/issues/1963))
- [`dbd27fb`](https://github.com/synfig/synfig/commit/dbd27fb50fedf129a7ea05a87297505ae13da55a) Remove old commented-out code (gui/layertree) ([#1429](https://github.com/synfig/synfig/issues/1429))
- [`29d8878`](https://github.com/synfig/synfig/commit/29d887824118dc8372994fdf27f73a3a9074a459) Merge PR [#1337](https://github.com/synfig/synfig/issues/1337): Single click for parameter editing
- [`2df3379`](https://github.com/synfig/synfig/commit/2df33799b30f777b6ff3818578ed376111094b49) Merge PR [#1351](https://github.com/synfig/synfig/issues/1351): Canvas, bone & sublayer parameters now pops up in one single click
- [`c2371f7`](https://github.com/synfig/synfig/commit/c2371f7955abb21edd716da45f5552ab9b5a0e38) Merge PR [#1979](https://github.com/synfig/synfig/issues/1979): [Synfig Studio] Minor cleanup on LayerTree (Improve LayerTree speed)
- [`4ddd22d`](https://github.com/synfig/synfig/commit/4ddd22d8de1f4729c83fe0b0e8cde5b46fd84e87) Merge PR [#1995](https://github.com/synfig/synfig/issues/1995): [Core] create stringhelper
- [`ab8cd14`](https://github.com/synfig/synfig/commit/ab8cd14891a389142695c47e0f9be68adbbca1a9) Merge PR [#2059](https://github.com/synfig/synfig/issues/2059): [Synfig Studio] fix action LayerDuplicate for skeleton and its bone links
- [`bbdd853`](https://github.com/synfig/synfig/commit/bbdd8536c7512d47724c8c166257ab416facf103) Merge PR [#2046](https://github.com/synfig/synfig/issues/2046): [Synfig Studio] some cleanup on synfigapp::ValueDescSet
- [`b660807`](https://github.com/synfig/synfig/commit/b6608075a87fe17e3615947b08a73ad91be05726) [Core/Studio] Fix missing const qualifier for some relational operators overrides ([#2001](https://github.com/synfig/synfig/issues/2001))
- [`0f7fb39`](https://github.com/synfig/synfig/commit/0f7fb391fb4c682515aaa94098ae85c180a92dbb) [Core] LinkableValueNode now provides methods for inverse manipulation ([#2057](https://github.com/synfig/synfig/issues/2057))
- [`b1468c7`](https://github.com/synfig/synfig/commit/b1468c7dead6f12e0882ac4cd364c445074d4cf7) [Synfig Studio] make TimeLoop valuenode editable via workspace ([#2066](https://github.com/synfig/synfig/issues/2066))
- [`6b5a3c8`](https://github.com/synfig/synfig/commit/6b5a3c8900916fe0a092ba37b9743333c7aa0906) [Synfig Studio] fix format string for synfigapp exception guard ([#2084](https://github.com/synfig/synfig/issues/2084))
- [`61bd68a`](https://github.com/synfig/synfig/commit/61bd68a78fbe0912b226b24217085c8ef35a52b4) Exported canvas can be reopened again after closing ([#2092](https://github.com/synfig/synfig/issues/2092))
- [`fd1e5ec`](https://github.com/synfig/synfig/commit/fd1e5ecdc3cf2cf9cb2ee642ca7f7b89aa04b40b) sometimes Widget_Vector didn't use locale for decimal separator ([#2102](https://github.com/synfig/synfig/issues/2102))
- [`48959a9`](https://github.com/synfig/synfig/commit/48959a99ad979ff72fc07280e814d87ef2932690) Merge PR [#1929](https://github.com/synfig/synfig/issues/1929): [Synfig Studio] Added ability to undock panel using the context menu command
- [`8fdfae6`](https://github.com/synfig/synfig/commit/8fdfae6877260c265ffb8a60567740441f77d413) [Synfig Studio] fix 'Undock Panel' menu item always showing ([#2109](https://github.com/synfig/synfig/issues/2109))
- [`81b13a4`](https://github.com/synfig/synfig/commit/81b13a488b9d958d53a2bd910a47ac896d0071eb) Close tabs with middle mouse click ([#2107](https://github.com/synfig/synfig/issues/2107))
- [`b2b4b91`](https://github.com/synfig/synfig/commit/b2b4b918511463cbd50813366e9e73b9003341de) Fixed an issue due to which menus were not displayed on all panels except the canvas ([#2120](https://github.com/synfig/synfig/issues/2120))
- [`926d5e2`](https://github.com/synfig/synfig/commit/926d5e2ea8a70c1fde86e4949bcba9302a7fdece) Fixed crash when user drags a group to a child group ([#2116](https://github.com/synfig/synfig/issues/2116))
- [`d40c745`](https://github.com/synfig/synfig/commit/d40c74522e701d866abd4b1f2209a562c9fb169a) Merge PR [#1769](https://github.com/synfig/synfig/issues/1769): Improve Canvas Zoom Keyboard Shortcut UX
- [`fa4021d`](https://github.com/synfig/synfig/commit/fa4021de0c7df32af1420880a23aa95bff27bffd) improved navigation hotkeys - partially backported ([#1776](https://github.com/synfig/synfig/issues/1776))
- [`207f7d7`](https://github.com/synfig/synfig/commit/207f7d7814df7d56bfffa6e4436b890b51c44647) Changed redo shortcut to Ctr+Y (Win)/Shift+Ctrl+Z (Linux) ([#1811](https://github.com/synfig/synfig/issues/1811))
- [`2d4d8b0`](https://github.com/synfig/synfig/commit/2d4d8b01dd59912587b2b1f0a59c4908553f7306) Improving Keyboard Shortcuts for the toolbox items ([#1823](https://github.com/synfig/synfig/issues/1823))
- [`9343c01`](https://github.com/synfig/synfig/commit/9343c01913e9617dfb672d490151f28b59006fb8) Implementing Canvas Zoom Legacy Keyboard shortcuts ([#1848](https://github.com/synfig/synfig/issues/1848))
- [`3c71750`](https://github.com/synfig/synfig/commit/3c71750e8b0f6ade2f7bf0fea71e0a3e3f8d144f) Add accelerator key for Cutout tool ([#1855](https://github.com/synfig/synfig/issues/1855))
- [`86cb9ce`](https://github.com/synfig/synfig/commit/86cb9ce0e412a2e58750516e63370ed1f0cfb86b) Merge PR [#1953](https://github.com/synfig/synfig/issues/1953): [Synfig Studio] Clean default accel map implementation
- [`505d8c5`](https://github.com/synfig/synfig/commit/505d8c55081d9c50b9c318a728b2fd35c7ddf678) [Synfig Studio] Implemented toggle animate hotkey ([#2033](https://github.com/synfig/synfig/issues/2033))
- [`2b7587d`](https://github.com/synfig/synfig/commit/2b7587d24bbcf797bcbb3397fc3a132394c3e8d5) Improved error reporting ([#2156](https://github.com/synfig/synfig/issues/2156))
- [`41d6ac0`](https://github.com/synfig/synfig/commit/41d6ac086e2bfc1ffed6bdd3d8bffd6e8326780c) Basic implementation of Keyboard Shortcut Editor ([#2160](https://github.com/synfig/synfig/issues/2160))
- [`cad2917`](https://github.com/synfig/synfig/commit/cad291722c6d41ce46bfdbdc48db15552a332fec) Merge PR [#2172](https://github.com/synfig/synfig/issues/2172): Fix some shortcuts/accels - for item deletion and animation stop
- [`833307f`](https://github.com/synfig/synfig/commit/833307fe6c88d6db75502b187b1c6f7ba620b1ba) Merge PR [#2173](https://github.com/synfig/synfig/issues/2173): Shortcut editor more organized and asks for user confirmation
- [`8091554`](https://github.com/synfig/synfig/commit/8091554d4ac86edc960083a93e267540b915d90a) Middle click on a tab now closes the root canvas only when all child canvases are closed ([#2210](https://github.com/synfig/synfig/issues/2210))
- [`4f6e09c`](https://github.com/synfig/synfig/commit/4f6e09c576477df12dc2726efbcaee25f1914288) Merge PR [#1195](https://github.com/synfig/synfig/issues/1195): [Lottie exporter] Convert methods working with radius of simple circle layer
- [`afe6dc8`](https://github.com/synfig/synfig/commit/afe6dc83a4b30a59c5b93ad81c37c29e865fcfc1) [Lottie exporter] Add variable gamma correction (PR [#1179](https://github.com/synfig/synfig/issues/1179))
- [`5e800fa`](https://github.com/synfig/synfig/commit/5e800fa9325f6558ed96882c2071741b69869148) Changes made to offsetKeyFrame file ([#1233](https://github.com/synfig/synfig/issues/1233))
- [`786f25f`](https://github.com/synfig/synfig/commit/786f25f7f3985f14005d48cb7b0956f4435092d3) Merge PR [#1236](https://github.com/synfig/synfig/issues/1236): [Lottie Exporter] Add support for Sine convert method
- [`3b66367`](https://github.com/synfig/synfig/commit/3b66367e6217013c2b21377bf4ce64c4534a4a66) Add support for Cos convert and Integer convert method ([#1254](https://github.com/synfig/synfig/issues/1254))
- [`eede90c`](https://github.com/synfig/synfig/commit/eede90c6a874eced59b77b3855a5f04a033813ed) [Lottie exporter] Add support for linear gradient ([#1286](https://github.com/synfig/synfig/issues/1286))
- [`14667dd`](https://github.com/synfig/synfig/commit/14667ddf6f9b495b76517b276cb26f4b09aece17) [Lottie Exporter] Add support for aTan2 convert method ([#1363](https://github.com/synfig/synfig/issues/1363))
- [`c9e9d2f`](https://github.com/synfig/synfig/commit/c9e9d2f0d3021779ea351f37ddf0665a4a1d76bb) [Lottie Exporter] Add support for Vector Angle convert method ([#1409](https://github.com/synfig/synfig/issues/1409))
- [`9fc95fe`](https://github.com/synfig/synfig/commit/9fc95fe147179dac8f779881236d18fb76fa604c) [Lottie exporter] Refactor radial_composite convert method ([#1447](https://github.com/synfig/synfig/issues/1447))
- [`c51cef4`](https://github.com/synfig/synfig/commit/c51cef4a4381edc249884c2ff4fd2efdb94b69c4) [Lottie Exporter] Add support for radial gradient layer ([#1446](https://github.com/synfig/synfig/issues/1446))
- [`5102d5e`](https://github.com/synfig/synfig/commit/5102d5e149811ec9832736e5f3851f82ebe0f9cb) [Lottie Exporter] Added support for Vector X and Vector Y convert method ([#1516](https://github.com/synfig/synfig/issues/1516))
- [`d2083d6`](https://github.com/synfig/synfig/commit/d2083d656aaa17490b7b8278be5686dd9a22cb22) [Lottie Exporter] Added support for Power Convert method ([#1515](https://github.com/synfig/synfig/issues/1515))
- [`faad4ab`](https://github.com/synfig/synfig/commit/faad4ab5abc79d23fb189a99ee6d18cedf37b4d1) [Lottie Exporter] Add support for dot product convert method ([#1593](https://github.com/synfig/synfig/issues/1593))
- [`6269d8f`](https://github.com/synfig/synfig/commit/6269d8f98ea130c9ad657aef12c09609226f125f) [Lottie Exporter] Add support for Logarithm convert method ([#1586](https://github.com/synfig/synfig/issues/1586))
- [`7cd80d2`](https://github.com/synfig/synfig/commit/7cd80d2166ce088ccf25c39ca9ad8621d3ea83bc) [Lottie Exporter] Added support for reciprocal convert method ([#1619](https://github.com/synfig/synfig/issues/1619))
- [`905994a`](https://github.com/synfig/synfig/commit/905994a7fb626cf53174c9365fa04b7b5ec428ee) [Lottie Exporter] Add support for range convert method ([#1606](https://github.com/synfig/synfig/issues/1606))
- [`43ced7b`](https://github.com/synfig/synfig/commit/43ced7b9c8851a262a7c0a517fcec1c277698559) [Lottie Exporter] Add support for vectorlength convert method ([#1650](https://github.com/synfig/synfig/issues/1650))
- [`d31d62d`](https://github.com/synfig/synfig/commit/d31d62da1a288798cb9423226be3c2a0c3c6f1bd) [Lottie Exporter] Add support for not convert method ([#1587](https://github.com/synfig/synfig/issues/1587))
- [`ee4e533`](https://github.com/synfig/synfig/commit/ee4e533ed85f704e2f2f7ef4efbb08410424bc82) Merge PR [#1505](https://github.com/synfig/synfig/issues/1505): [Lottie Exporter] Add support for blur layers
- [`fd00d1c`](https://github.com/synfig/synfig/commit/fd00d1c9e559d79ce5fb43c3b60caf55f0a634ec) [Lottie exporter] Implement use-defs ([#2182](https://github.com/synfig/synfig/issues/2182))
- [`7d83a44`](https://github.com/synfig/synfig/commit/7d83a445870fecc20a10851fbd99b822930735e6) Merge PR [#1199](https://github.com/synfig/synfig/issues/1199): [Lottie Exporter] Code cleanup for Lottie exporter plugin
- [`eaafbcb`](https://github.com/synfig/synfig/commit/eaafbcbd2a9afc17c88ff0c888a5ee21eb70be29) [Lottie exporter] Important comments regarding effects/fill.py ([#1213](https://github.com/synfig/synfig/issues/1213))
- [`5d8a08b`](https://github.com/synfig/synfig/commit/5d8a08be5c8a257b8c32dcb23764487681cf7442) [Lottie Exporter] Code cleanup for Lottie exporter plugin ([#1226](https://github.com/synfig/synfig/issues/1226))
- [`8943867`](https://github.com/synfig/synfig/commit/894386769881efe2702ff18b71054e6b1e9224fa) [Lottie exporter] Refactor lottie modules/Added named constants ([#1456](https://github.com/synfig/synfig/issues/1456))
- [`71de9ff`](https://github.com/synfig/synfig/commit/71de9ff60b337c952abd983563cc7736a00ad714) Fix various typos ([#2061](https://github.com/synfig/synfig/issues/2061))
- [`1c1c429`](https://github.com/synfig/synfig/commit/1c1c4292ca82c8387adf92b4192c1da7e424ba16) [Lottie exporter] Add support for export of Advanced outline ([#2199](https://github.com/synfig/synfig/issues/2199))
- [`3573345`](https://github.com/synfig/synfig/commit/35733456a5744e0392a7dd556618760ad9753264) Fixed crash in rare cases caused by race condition when rebuilding LayerTreeStore ([#2209](https://github.com/synfig/synfig/issues/2209))
- [`2c2062c`](https://github.com/synfig/synfig/commit/2c2062c5d11551394126a995b7107d0c85c3cc1b) Add non-minified bodymovin.js ([#2202](https://github.com/synfig/synfig/issues/2202))
- [`223026f`](https://github.com/synfig/synfig/commit/223026f67509dab082509842a215366e2ebe1abf) Resolved 'nan' exception ([#2227](https://github.com/synfig/synfig/issues/2227))
- [`541a5ca`](https://github.com/synfig/synfig/commit/541a5ca1e380622496d5dd9f11557db2fd9cc89f) [Lottie exporter] Remove minor error ([#2229](https://github.com/synfig/synfig/issues/2229))
## Version 1.4.1
- [`74a9f4b`](https://github.com/synfig/synfig/commit/74a9f4b707585387bd0f04e07fcfebd910f85871) Change order of Waypoint Editor buttons to match other dialogs ([#1880](https://github.com/synfig/synfig/issues/1880))
- [`ef2da51`](https://github.com/synfig/synfig/commit/ef2da51e6eaa456d8806735a04432f443efc57e5) Merge PR ([#1182](https://github.com/synfig/synfig/issues/1182)): Improved dialog waypoint UX
- [`b555b22`](https://github.com/synfig/synfig/commit/b555b228a6a574babad9a6aeebc46353795313b2) Waypoint Editor didn't properly support enums ([#1968](https://github.com/synfig/synfig/issues/1968))
- [`ca04f3d`](https://github.com/synfig/synfig/commit/ca04f3dfa23ea14d53ea281dd1ff832750ab5fce) fix mainwindow not showing when is offscreen ([#1973](https://github.com/synfig/synfig/issues/1973))
- [`39807ad`](https://github.com/synfig/synfig/commit/39807ad99f89c0f626c98006e40e855c62a26a32) Bumped year in About dialog ([#1977](https://github.com/synfig/synfig/issues/1977))
- [`c526bf2`](https://github.com/synfig/synfig/commit/c526bf2186871d5b4133f3527b3da54390e44f78) don't let inner layer be duplicated twice ([#2050](https://github.com/synfig/synfig/issues/2050))
- [`d8e1837`](https://github.com/synfig/synfig/commit/d8e183799995c5ade40bfac4a031e3d9c25266ea) Merge PR[#1971](https://github.com/synfig/synfig/issues/1971): Fix action LayerDuplicate with layers "duplicate"
- [`03fd60f`](https://github.com/synfig/synfig/commit/03fd60fe879f9be0619f68cd9fbffec5ba243830) fix "Link to Spline" showing when a vertex of spline itself is selected ([#1988](https://github.com/synfig/synfig/issues/1988))
- [`06d71c5`](https://github.com/synfig/synfig/commit/06d71c59856fb40951235a478f7d996191404e91) exception-guard now lists SynfigApp exception too ([#2028](https://github.com/synfig/synfig/issues/2028))
- [`ba9149a`](https://github.com/synfig/synfig/commit/ba9149aaf3839cd205560fad2630daa23131554e) avoid dereference of invalid TreeIter on Layer TreeView ([#2043](https://github.com/synfig/synfig/issues/2043))
- [`349810e`](https://github.com/synfig/synfig/commit/349810e2f9a25af3297b776ee88c6c035abdb717) Fixed issue with rendering to file when using non-Latin filenames ([#1940](https://github.com/synfig/synfig/issues/1940))
- [`f47d674`](https://github.com/synfig/synfig/commit/f47d6740bacae90b52019aee338c272cef02f49a) Merge PR [#1861](https://github.com/synfig/synfig/issues/1861): Fixed crash when frame rendering throws exception while animating
- [`9653378`](https://github.com/synfig/synfig/commit/9653378d5f91f1539a8ab5d4d6c4b17dff2578ce) Fixed crash when right-clicking on group in the Sets panel ([#1920](https://github.com/synfig/synfig/issues/1920))
- [`9f9a09e`](https://github.com/synfig/synfig/commit/9f9a09e67711728ccbdb54028f2a22a0f952bed5) Fixed non-working command "Edit image editing in external tool..." ([#1912](https://github.com/synfig/synfig/issues/1912))
- [`0bd6fd5`](https://github.com/synfig/synfig/commit/0bd6fd5bde72abe358f841c8a06cc56f3c1f8f86) Merge PR [#1889](https://github.com/synfig/synfig/issues/1889): [Synfig Studio/Windows] Fixed load/save operations for Palette editor
- [`f7e71c9`](https://github.com/synfig/synfig/commit/f7e71c95d4aa0b2fd63e40fdc43fc5e1b2168f63) Fixed problem with non-working plugins when using paths containing non-Latin characters ([#1882](https://github.com/synfig/synfig/issues/1882))
- [`7deb121`](https://github.com/synfig/synfig/commit/7deb121deaf940c269f71b11c15fdf11e23e6b7e) Restore ctrl-c ctrl+v ctrl+a in Color and Gradient Dialogs ([#1821](https://github.com/synfig/synfig/issues/1821))
- [`bbd7a85`](https://github.com/synfig/synfig/commit/bbd7a85b1f65d2ac02397853b79c19d0f8b672e0) Return true only if id=1 (accept) is clicked ([#1573](https://github.com/synfig/synfig/issues/1573))
- [`9ad7d22`](https://github.com/synfig/synfig/commit/9ad7d22d857c42b49bde109af298c77d661a68b4) Merge PR [#1386](https://github.com/synfig/synfig/issues/1386): Toolbar menu
- [`053841b`](https://github.com/synfig/synfig/commit/053841be1bb8b6c75a1dd098c40948d74c22bd46) Year is fixed in About dialog ([#1238](https://github.com/synfig/synfig/issues/1238))
- [`fb03700`](https://github.com/synfig/synfig/commit/fb037008607153b239cbe7d56fa378cc50655330) Fix crash on unsuccessful action with a clean undo history ([#1643](https://github.com/synfig/synfig/issues/1643))

--------------------------

 1.4.0 (git tag "v1.4.0") - Major release.
 
  * Curves in Graphs Panel now can be edited.
  * New Sound Panel to display waveform.
  * Vectorization of bitmaps (algorithm is ported from OpenToonz animation software).
  * Export to Lottie JSON format.
  * Playback cache - Synfig now remembers already rendered frames, which is greatly improves experience of playback and timeline scrubbing.
  * Background rendering. Synfig now does background rendering of all frames in current animation and the result of rendering is saved into cache.
  * Added "Preview" rendering mode for workarea.
  * Simple way to import image sequences vi "File" -> "Import sequence..." menu command.
  * Transformation widget got a special control point to easily change origin of transformation.
  * New "Bake" command allow to bake animation for any parameter.
  * Now it is possible to open images in external editor (right click -> "Edit image in external tool...").
  * Workspace layout can be saved ("Workspace" - "Save workspace"/"Edit workspace list..." menu commands).
  * Hovering mouse cursor over timetrack now shows frame preview.
  * Now it is possible to select playback range on the timeline and make playback looped.
  * Workarea handles now hidden during playback.
  * Playback is stopped when user clicks on timeline (issue #415).
  * Now it is possible to set default background for newly created documents (issue #636). The background can be a solid color or image. You can configure this via “Edit” -> “Preferences” -> “Document”.
  * Rendering status is now indicated with a progress bar at Info Panel (issues #383, #626).
  * A sound notification is played when rendering is done (issue #648).
  * Now it is possible to configure color of transparent areas in Preview Window (issue #636).
  * Default render settings: now we use avi format with popular mpeg4 codec by default (issue #464).
  * Do not waste space for dropdowns in combo boxes (issue #650).
  * When new Text Layer is created, its name is set the same as text content (issue #407).
  * Vertex handles now placed above tangent handles (issue #645).
  * Color dialog now opens with HSV tab active (issue #672).
  * Fixed "No disc in drive" error (issues #489, #724).
  * Autosave now enabled by default (issue #657).
  * Removed "Cancelled by user" dialog that happens when the user tries to move an animated object (issue #693).
  * Fixed incorrect behavior of Draft rendering mode in some circumstances (issue 582).
  * Timebar is not hidden anymore for cases when timeline is only 1 frame long.
  * Fixed issue with incorrect GUI font on some Windows systems (issue #667).
  * Fixed issues with incorrect window placement on Windows (issue #523).
  * Fixed issue which was preventing to change parameters at some circumstances (issues #659, #526, #520).
  * Fixed crash when exported value is set from parameters panel in animation mode (issue #588).
  * Fixed crash when user cancels parameter changing (issue #671).
  * Disabled scientific notation when displaying numbers (issue #635).
  * Fixed bug with empty floating windows appearing after workspace switching (issue #1143).
  * Show interpolation type directly in waypoint’s context menu.
  * Fixed popup menu disappearing right after button release for Widget Gradient/Spline (issue #1274).
  * Fixed hang when opening a second .sif file from Explorer on Windows (issue #291).
  * Fixed issue when copying skeletons from one file to another. Previously this was resulting in corrupted file, but now it isn’t.
  * Fixed issues opening and exporting of files with multibyte (i.e. Arabic) symbols in filename.
  * Removed unused Change Preview Quality menu item.
  * Activate widget_filename right after user chooses file via button/file dialog (issue #1425).
  * Fixed crash when unexporting value node (issue #231).
  * Fixed renaming layer set affecting other names (issue #1146).

 1.2.2 (git tag "1.2.2") - Bugfix release.
 
  * Remove cairo-rendering from preview dialog (issue #370). Thanks to Ivan Mahonin.
  * Fix issue with interface elements consuming too much space on Windows (issue #348). Thanks to Ivan Mahonin.
  * Auto-recovery now works again (issue #363). Thanks to Ivan Mahonin.
  * Fix Low-Res rendering mode (issue #401). Thanks to Ivan Mahonin.
  * Allow to zoom canvas by holding Ctrl and middle mouse button. Thanks to Alyssa Rosenzweig.
  * New feature: Draft rendering mode (issue #409). Thanks to Ivan Mahonin.
  * Fix disconnect of Transformation Parameter - it was impossible to disconnect linked (as opposed to converted) nodes of transformation type using "disconnect" action (issue #438). Thanks to Caryoscelus.
  * Fix color wheel being stuck to red on zero saturation (issue #452). Thanks to Caryoscelus.
  * New feature: Filter Groups (issue #462). Thanks to Ivan Mahonin.
  * Implemented correct sorting in Sets Panel (issue #372). Thanks to Caryoscelus.
  * Fixed crash when user press Esc key during the rotation of the object (issue #470). Thanks to Artem Konoplin.
  * Fixed crash with Spline Tool tangent menu (issue #485). Thanks to Artem Konoplin.
  * Fix crash on attempt to run plugin (issue #502). Thanks to Artem Konoplin.
  * Fixed error preventing user to move keyframe at certain circumstances (issue #503). Thanks to Artem Konoplin.
  * Automatically select new layer when image is imported (issue #368). Thanks to Artem Konoplin.
  * Allow to rename layers with F2 key (issue #465).  Thanks to Artem Konoplin.
  * Allow to delete layers by pressing Del key. Thanks to Artem Konoplin.
  * New feature: Live image reloading (issue #513). Thanks to Artem Konoplin.
  * Keyframe widget now available in Curves Panel (issues #504, #505). Thanks to Artem Konoplin.

 1.2.1 (git tag "1.2.1") - September 11, 2017 - Bugfix release.

  * Basic support for CMake build system. Thanks to Caryoscelus.
  * Fix size of dock area drop buttons for Gtk >= 3.20 (issue #227). Thanks to Caryoscelus.
  * Fix support for graphic tablets in Windows version (issue #241). Thanks to Ivan Mahonin.
  * Initial value of quality in Preview Dialog now independent from current zoom level and set to 1.0 by default. Thanks to Ivan Mahonin.
  * Fixed crash of Skeleton plugin (issue #334). Thanks to Caryoscelus.
  * Fix: filename with international characters not saved in “Recent Files” menu. Thanks to Ivan Mahonin.
  * Fix crash with XP-Pen G540 tablet (issue #351).
  * Fixed “FFmpeg not found” error in Linux AppImages (issue #332).
  * JACK support is now available for Linux AppImages (issue #395).
  

 1.2.0 (git tag "1.2.0") - December 22, 2016 - Major release.
 
  * Feature: Rendering engine completely rewritten and optimized. Thanks to Ivan Mahonin.
  * Feature: Integration with Papagayo lipsync software. Demonstration - https://www.youtube.com/watch?v=-Y0Ox0cnlL4. Thanks to Ivan Mahonin.
  * New layer: Free Time. Thanks to Ivan Mahonin.
  * New converter: Animated File - allows to read waypoints from external files (only PGO files supported right now). Thanks to Ivan Mahonin.
  * Switch Group now displays "ghost" elements for missing switch elements. Thanks to Ivan Mahonin.
  * Split and merged tangents now displayed in different way. Thanks to Jerome Blanchi.
  * Selecting handle on the workarea now highlights the corresponding parameter in the Parameters Panel. Thanks to Jerome Blanchi.
  * Alt+0 used to show/hide all handles. Thanks to Jerome Blanchi.
  * Synfig code now compatible with C++11 (see issue #904). Thanks to Jerome Blanchi.
  * Tooltips for group transformation widget. Thanks to Jerome Blanchi.
  * Completely reworked preferences dialogue. Thanks to Yu Chen (concept), Jerome Blanchi (implementation) and Caryoscelus (fixes).
  * Fixed behavior of “Insert Item” action for Splines (it should be different from “Insert item & Keep shape” action). Thanks to Ivan Mahonin.
  * Fix crash when manipulating with guides. Allow to remove guides by dragging them back to onto rulers. Thanks to Jerome Blanchi.
  * Zoom level now can be edited via dedicated widget in the bottom-left corner of Canvas Window. Thanks to Caryoscelus.
  * Now it is possible to hide File buttons on the toolbar to save horizontal space. Available via “Edit” -> “Preferences” -> “Preferences”. Thanks to Caryoscelus.
  * Fixed readability of “Current Time” text widget when using dark theme. Thanks to Chris London.
  * Time Loop Layer, Free Time Layer and Stroboscope Layer placed into separate “Time” category. Thanks to Caryoscelus.
  * Fix HSV color panel not updated when opened. Thanks to Jerome Blanchi.
  * Fix #234: Objects created with opacity less than 1.0. Thanks to Caryoscelus.
  * Fixed crash on attempt to edit “spline point”, “width point” or “dash item” in Parameters Panel. Thanks to Caryoscelus.

 1.0.2 (git tag "1.0.2") - October 9, 2015 - Bugfix release.
 
  * Dropdown list for Switch Group to choose active layer. Thanks to Max May.
  * Allow to load Gimp Palette files (.gpl) in Palette Editor Panel (issue #830). Thanks to Tony (aka BobSynfig).
  * Fix crash on linking regular vertex and width point center (issue #889). Thanks to Jerome Blanchi.
  * Fix crash of "Link to Spline" operation when trying to link vertex to the spline it belongs to (issue #574). Thanks to Jerome Blanchi.
  * The "Add" convert type now supports reverse manipulations for Real and Angle values.
  * Rendering optimizations (every workarea update is faster by 50ms now).
  * Forbid creating recursive (looped) connections for parameters (issue #48). Thanks to Jerome Blanchi.
 
 1.0.1 (git tag "1.0.1") - July 21, 2015 - Bugfix release.
 
  * Fix switching bone parent.
  * Interactively highlight handles during bounding box selection.
  * Update icons for "New", "Open", "Save/As/All" and "Undo/Redo".
  * Keyframes widget: Double click opens keyframe properties dialog box.
  * Keyframe properties dialog: Show keyframe description and active status.

 1.0 (git tag "1.0") - April 27, 2015 - Major release.
 
  * Single-Window UI.
  * UI migrated from Gtk2 to Gtk3.
  * Reworked Toolbox and Tool Options Panel.
  * Allow to select interface language via preferences.
  * New transformation widget for Group Layer.
  * "Link to Bone" action: Allows to link Group Layers to Bones.
  * "Link to Skeleton" action: Allows automatically to link Spline vertices to the Skeleton (based on the bone Widths).
  * New Layer: Skeleton Distortion.
  * Z-Range feature for Group Layer: Hides all child layers with Z-Depth values outside of specified range.
  * New file format (SFG) which can store embed data.
  * All linked images are packed into single file when saving as SFG.
  * Allow to embed/extract images.
  * New Switch Group layer.
  * Brush Tool: Allows to paint on bitmaps with MyPaint brushes.
  * "Add New Frame" action.
  * Sound: Timeline can be synchronized with global JACK transport.
  * Sound: Integrate MLT framework for sound Playback.
  * New layer: Sound Layer.
  * Allow to modify animated parameters when Animation Mode is off (shift operation applied).
  * Improved Spline Tangents: Now it is possible to split angle or radius independently.
  * Now it is possible to insert new vertex into spline without distorting its shape.
  * Keyframe widget improvements: tooltips, context menus, selection synchronized with Keyframes Panel.
  * MetaData Panel improvements: Allow to change Guides and Grid colors.
  * HSV color wheel in the color selection dialog.
  * Improved spritesheet export.
  * New tool: Cutout.

 0.64.3 (git tag "0.64.3") - December 24, 2014 - Bug fixes.
 
  * Use frames as default time format.
  * Use pixels as default unit of measurement (closes #710).
  * Always use "By Layer Default" blend method on startup.
  * Fix glib 2.42 compatibility issues.

 0.64.2 (git tag "0.64.2") - October 18, 2014 - Minor features, bug fixes.
  
  * Rendering: "Extract Alpha" mode.
  * Rendering: Lossles H.264 encoding profile.
  * Align rows of Params Panel and Timetrack Panel (bug #161).
  * Fix file saving in Windows (bug #572).
  * Show rendering time in status bar (benchmark).
  * Fix compatibility issues for OSX 10.9.

 0.64.1 (git tag "0.64.1") - November 4, 2013 - Features, bug fixes.
 
  * Core Bones implementation / Skeleton layer.
  * Implement Cairo rendering for all layers.
  * Default interpolation could be defined specifically for parameter.
  * Option to exclude layers from rendering.
  * Allow to interactively scale group using control point (handle).
  * Easy way to convert Regions to Outlines or Advanced Outlines (and vice versa).
  * Import files by drag'n'drop (Linux only).
  * "Enable experimental features" option. Currently allows to enable/disable bones functionality.
  * Add distinction for disabled keyframes on time track panel and keyframe widget.
  * Toolbox: Display shortcuts in tooltips.
  * Automatically add first keyframe when new document created.
  * Add support for Magick++ in Windows and OSX builds.
  * Fix bug #455: Keyframe widget indicator remains white after drag and drop operation.
  * Fix ffmpeg target in Windows build (bug #118).

 0.64.0 (git tag "synfigstudio-0.64.0") - May 06, 2013 - Major features, bug fixes.

  * New plugin system
  * New Cairo render engine
  * Terminology renaming
  * Translation is now handled by intltool
  * Keyframes can now be enabled and disabled
  * New sequence separator option
  * Fix bug ID: 2684968: render is one frame short.
  * Fix bug ID: 3474332: Play/pause by shortcut causes canvas to stop updating.
  * Fix bug #420: The Add keyframe button shouldn't be active if there is not timeline

 0.63.05 (git tag: "synfigstudio-0.63.05") - April 09, 2012 - Feaures, bug fixes.

 * Fix bug ID: 3486075. Add new panel on Preferences Dialog ('Render') and include one option for separator string on image sequence render. Default is a dot '.'.
 * Fix bug  ID: 3486412 Shortcut inconsistence.
 * Fix typos and misspelling on various messages. Patch thanks to Bertrand Gregoire
 * Fix bug 3512887: Crash when drag and drop panels on OSX Lion
 * Fix bug 3475624: Startup crash on Ubuntu 12.04. Patch thanks to Denis Washington (denis_w)
 * Fix bug: Warning dialogs hangs if the message is to long. It uses a scrolled window when needed.
 * Fix bug ID: 3486723: Info Panel not updated when Guides dragged to Canvas WindowInfo.
 * Fix bug: When grid size is negative, use its positive value.
 * Rework of the Preview window (thanks to Yu Chen aka jcome):
 ** Artwork content can be zoomed in/out
 ** Add a zoom widget, so that user can change zoom factor from a dropdown list to select a factor or type the a specified value the user prefers
 ** Scrollbars are size of artwork content and window sensitived now
 ** Toolbar can be hidden to have a simpler UI
 ** A set of accelerator keys (hard-coded at the moment):
    a) a-prev frame, s-play/pause, d-next frame,
    b) h-show/hide toolbar
    c) 1,2,3,4,5 mapped to zoom factors: 25%, 50% ,100%, 200%, Fit
 ** Dark background for preview window (hard-coded at the moment)
 ** Rewording some UI strings
 * New Outline Grow parameter on Paste Canvas layer. For inline canvases it increases (decreases) the width of the children layers by a exponential factor.
 * Support for load Gimp palettes. Patch thanks to Bretrand Gregoire.
 * Improve contrast on color sliders for Color Edit and Gradient Edit widgets. Patch thanks to Bertrand Gregoire
 * Rename icon source from zoom to scale. Patch thanks to Bertrand Gregoire

 0.63.04 (git tag: "synfigstudio-0.63.04") - February 08, 2012 - Features, bug fixes.

  * Fix bug 3472549. When editing the parameter don't parse the keyboard shortcuts.
  * Fix several bugs in the Groups Panel
  * Allow Loop and Unloop actions when value description is a Tangent of a BLine Point.
  * Allow merge and split tangents when using a tangent as value node.
  * Allow split/merge tangents loop/unloop bline and delete vertex every where possible in the BLine Tool.
  * Include any of the sub parameters of the Composite Value Node to the candidates of remove multiple items smart.
  * Allow remove item smart when a child of a composite value node is selected and the composite is child of a dynamic list.
  * Redesign of the preview window updating the slider widget, adding new start/stop button and a new toggle loop button. Close button for Gnome 3 users is also included.

 0.63.03 (git tag: "synfigstudio-0.63.03") - December 05, 2011 - Features, bug fixes.

  * Use Widget::Distance for feather spin button on Draw Tool options.
  * Enable tool tips for Tool Options dialogue buttons.
  * Make Draw Tool options greyed when not usable.
  * Full support to create Advanced Outlines with the Draw Tool. Stylus pressure used.
  * Widthpoint position duck shows a text with its value when mouse hovers.
  * Don't stretch button in file selection widget. Use shorter text. Patch by Konstantin Dmitriev
  * Fix bug https://pivotaltracker.com/story/show/18136743: BLine linked objects get wrong initial position
  * Use Gtk::Tooltip instead of deprecated Gtk::Tooltips. This fully fix tooltips for Layer parameter panel.
  * When modify a value that has a waypoint at the current time, don't modify its interpolations, only the value.
  * Widthpoint position duck now allows 'Edit Waypoint' contextual menu.
  * Add feature to delete multiple vertices at the same time on blines and other list types.
  * Enum Widget allows icons now. Add icons to Default Interpolation widget.
  * Insert Item smart is allowed now over empty lists.
  * Fix bug #1863133: Metadata doesn't work.
  * Update for all the languages.
  * Update on the splash screen. Patch from Yu Chen.

 0.63.02 (git tag: "synfigstudio-0.63.03") - September 28, 2011 -No changes

 0.63.01 (git tag: "synfigstudio-0.63.01") - September 24, 2011 - Bub fixes, features

  * Refactor duck creation for selected layers into duckmatic.
  * Guides are saved now between sessions. Fix bug
  * Guides are not dragged if not visible. Fix bug
  * Add undo capability for guides.
  * Snap to guides is now relative to zoom.
  * OptionMenu (deprecated) has been replaced by ComboBox.
  * When change the Setup Dialog, spread it immediately to the canvas's rules.
  * Circle, Rectangle, Star and Polygon Tools allows create Advanced Outlines Layers.
  * Linked to BLine has the option of be curve length based. On by default.
  * New icons for canvas navigation, preview, render and animate mode buttons.
  * Canvas window buttons rearranged.
  * Imported canvases are now 'Children Locked' by default.
  * New language support: Persian, Lituanian
  * Updated existing translations.

 0.63.00 (git tag: "synfigstudio-0.63.00") - June 5, 2011 - Bug fixes, major features

  * Fix bug #31044763: fps rounding to integer.
  * Fix bug: Change default bline width spin button without first focus a canvas
    produces undesired changes to the width size.
  * Fix tool tips for layer parameters and add tool tip support for linkable
    value node parameters.
  * New cairo renderer for ducks, timecode, preview, navigator, grid and guides.
  * New beizer dragging system pulling from the bezier itself.
  * Fix workarea guides usage.
  * New advanced outline layer. Slidable variable width support and other features.
  * Fix Width Tool adding influence radius feedback and duck influence position visibility.
  * Fix bug: Avoid Crash when reversed manipulation for certain converted types.
  * Fix bug #3000536: Press ALT+5 when using Width Tool causes Studio to hang.
  * Fix bug #3000535: ALT+2 when using Draw Tool causes Studio to hang.
  * New languages support: Portuguese (Brazilian) and Slovakian
  * Updates for Spanish, French, Italian, Chinese and German.
  * Updates and fixes for autobuild script.
  * Added support for 256x256 icons needed by Gnome 3.
  * Set priorities for duck selection with mouse when they are at the same place.
  * Fix #2175043: Crash when rendering in directory without write permission.
  * Use high resolution by default at the work area.
  * Enable restrict radius duck to top right quadrant by default.
  * Install freedesktop.org mime info.
  * Combine Name column with Icon column to clean up layer dock.
  * Don't show debug info in about dialog for stable releases.
  * Various fixes in the windows NSIS installer scripts.

 0.62.02 (git tag: "synfigstudio-0.62.02") - November 13, 2010 - Features

  * Code restructure into folders grouping common files for easy coding,
    and cleaning dead code. Use of Makefile inserts for each folder.
  * Add load and save palette buttons. File extension is spal
  * Don't limit bitrate to 1000 in target parameters.
  * Britain English translation. Robert Readman.
  * Full rework of the Synfig Studio icons. Yu Chen
  * More translatable strings.
  * Simplified Chinese translation. Yu Chen
  * New "By Layer Default" blend method. Now some layers define its own
    blend method instead of Composite or the selected by user.
    For example Shade->Behind
  * Added "Static" option for individual parameters.
    If "Static" is on, then in animation mode it is no created any waypoint
    when modified. Only valid for layer parameters and constant value nodes.
  * Smart linking bline tangents implementation. Now all tangents are yellow ducks.
  * Move reverse manipulation code to Value Desc.
    This allows recursive reverse manipulation for valuenodes which has
    inverse manipulation implemented.
  * Splash Screen for development snapshots. Konstantin Dmitriev
  * Make Work Area rulers even smaller.
  * Spanish translation update.

 0.62.01 (git tag: "synfigstudio-0.62.01") - May 31, 2010 - Bug fixes, features.

  * Enable reverse manipulation to range value nodes. Fix bug in value node range.
  * Add new functionalities to the Normal tool. It can rotate (CTRL), scale, (ALT)
  as well as translate. Using SHIFT constraints the three operations.
  * Update Mirror tool to allow use SHIFT to alternate between horizontal and vertical
  mirrors.
  * Enable single threaded renderer for windows version. It increases stability.
  * Fix file chooser label to fit into button size.
  * Stop button now works properly.
  * By default disable extended input devices. Fix a previous introduced bug.
  * Suit custom mouse cursors for some tools.
  * Add code to make possible pass parameters to the renderers. Implementation for ffmpeg.
  * Repack rulers and caret menu to get less space.
  * New italian and German translations.
  * New parameters for Motion Blur layer. Now allows linear and constant interpolation too.
  * New icons for actions and layers. Thanks to several authors.
  * Fixed feature that reset windows docks to default size and position.
  * Separate the reset setup values to original values feature in a new menu entry.
  * Updated Russian, French and Spanish translation.
  * Automatic build script for linux system. Please report success of usage.
  * Update Help menu entries according to new website.

 0.62.00 (git tag: "synfigstudio-0.62.00") - October 12, 2009 - Bug fixes, major features.

  * Migration to git repository.
  * Bugs fixed: #2205700, #2112320, #2116947, #1814151, launchpad.net/ubuntu/#195447
  * Bugs fixed: #2256600, #2119775, #1826376, #1848018, #1901753, #1829182
  * Bugs fixed: #2315706, #2321845, #2350636, #1501383, #2378787, #2435346
  * Bugs fixed: #2579838, #2652974, #1677510, #2175043.
  * Build rectangular blines using the rectangle tool.
  * Updated time ruler properly when modified the start or end time.
  * New layer Curve Warp.
  * Updated options for Polygon, Circle and Star Tools.
  * New option: Scale New imported Images to Fit Canvas.
  * Fixed the rendered position of a polygon under a transform layers.
  * Fixed zoom to fit button result. Now border is visible.
  * Better errors when opening a file that doesn't exist.
  * Paste canvases now update when the canvas parameter changes.
  * Paste canvas with unset canvas parameter can be exported now.
  * If holding control in the zoom tool when releasing the mouse button to
    complete a drawing, a box will zoom out such that the currently displayed
    area is zoomed out to fill the drawn box.
  * Enabled the Focus Point parameter in the Paste canvas layer.
  * Reordered ducks render stack and preferences from mouse interaction.
  * Fixed crash with LC_ALL=fr@euro
  * Improved Color Dialog.
  * Input Device configuration can be saved/loaded now.
  * Fill/Outline instead of Background/Foreground.
  * Additions to the Canvas Window: Update Zoom Dial, Frame Dial, Keyframe Dial
    Toggle Ducks Dial, Resolution Dial, Quality Buttons, Show/Snap to Grid,
    Onion Skinning buttons.
  * Past and future onion skins enabled and selectable.
  * Improved UI on crash recovery dialog.
  * Added Preferred and Predefined FPS in the Setup Dialog.
  * Keyframes are shown now in the Curves dialog too.
  * Keyframe Set Delta enabled and fixed.
  * New Keyframe Widget. Allows dragging of keyframes with mouse.
  * Synfigstudio cph-monitor.
  * Adapted About Dialog to git repository.
  * Removed ancient trunk folder from svn repository.
  * New Import SVG files module. Basic SVG import, see release notes.
  * Some new icons.
  * Updated translations.
  * First time Russian translation.
  * Several compiler warnings fixed.

 0.61.09 (SVN 2114) - October 21, 2008 - Bug fixes, features

  * Fix building synfigstudio in the fink distribution
  * Improved plant layer
  * Added new options for Circle and Rectangle tools
  * Added Text and Star tools.
  * Added new plant, text, star and polygon icons
  * Added Spanish, French and Catalan translations
  * Added "Link to Bline" feature
  * Improved main window zoom behaviour and added new zoom icons
  * Several fixes and improvements on timetrack slider and waypoints drawing
  * Depreciate Manual as interpolation type
  * Added new icons for reset and swap FG and BG colors. Re-arrange them
    to show properly in all GTK themes
  * Added some improvements in the Render Description
  * Improved GUI for the sound selection dialog
  * When adding layers leave the previously selected layer selected
  * Button tools are arranged in the Tool box
  * Added and fixed some keyboard shortcuts
  * Show only shared compatible parameters when more than one layer is selected
  * Added more functionality to colour and time sliders
  * Added new 'Document' tab in Setup dialog for more user preferences
  * Fixed some crashes and errors
  * Width tool returned to the Tool Box by default.

 0.61.08 (SVN 1839) - March 3, 2008 - Bug fixes, features

  * Update the website URL to synfig.org instead of synfig.com
  * Synfig is now translatable using gettext
  * Removed the 'bootstrap' script for building. Use autoreconf instead
  * Fixed errors and warnings detected by a pre-release version of GCC 4.3
  * Fixes to allow sigc++ 2.1 and newer to be used.
  * Add a new bog-standard about dialog and a new splash screen
  * Add a new icons for rename, encapsulate, show child layers and time
  * Usability enhancements for new users, env vars to control them
  * Improvements to the draw, bline and sketch tools
  * Improvements for linking, quality menu, save dialog, render dialog
  * Cut down on the console output and output a user-friendly message
  * Don't wrap angles at 360 degrees, allows better rotations
  * Settings for auto-backup interval, run everything in one thread
  * Fix waypoint issues; drawing, menus, crash, label and others
  * Fix time issues; time field expansion & editing, ticks and others
  * Fix ducks issues; prioritise & restrict radius, show circle size, others
  * Allow horizontal scrolling the time field and the default brush size
  * Allow different pixel sizes in the workarea window
  * Remember window locations and ignore corrupted values
  * Widen the toolbox to 5 icons instead of 4 icons
  * Tile renderer changes: disable with env var, fix wrong placing
  * Improves the details in the history dialog quite a bit
  * Fix typos, several crashes, usability and other issues

0.61.07 (SVN 878) - October 10, 2007 - Bug fixes

  * Fix some tooltips and menu stuff (#1787437)
  * Allow left-right scrolling in canvas window with shift + mouse-wheel
  * Rework mouse interaction with ducks and tangents
  * Move icons to a subdir
  * Fix some typos, several crashes (#1780016, #1785598) and other bugs
  * Re-enable sketch, draw, polygon by default
  * Add keyboard shortcuts for all tools ( http://synfig.org/Keyboard_Shortcuts )
  * Fix crash when setting canvas resolution to zero (#1779616)
  * Add 'auto-export' checkbox and layer name box to the draw tool
  * Various GUI fixes (#1794006, #1796110)
  * File-selector fixes (#1383736)
  * Fix the View>Play menu entry to allow playback inside the workarea, shortcut Ctrl-P
  * Save to .sifz (compressed) format by default if no extension is given
  * Remember the path used when saving a document and default to it in future
  * Call new documents "Synfig Animation <n>" by default, rather than "untitled0"
  * Don't quit until the user clearly answers "do you want to save?" (#1799722)
  * Remember the filename the animation was last rendered to, and default to it (#1799250)
  * Improved the 'Groups' function a little (#1368694).  It's still quite broken
  * Fixed the colors displayed on the sliders in the Color Editor dialog
  * Added option to Bline Tool to allow positions to be automatically linked (#1776156)
  * Added menu entry to restore all dialogs to their default positions
  * Fix red "Animate Editing Mode" frame so it shows up in all themes (#1801220)
  * Allow user to "export SYNFIG_DISABLE_POPUP_WINDOWS=1" to make splash screen etc. less obtrusive
  * Fixed the logic used to decide which value to use when linking values together
  * Update child canvas time sliders when parent time slider is moved
  * Prevent the caret menu entries from being disabled when another canvas is closed
  * Show the correct initial quality level in the View > Preview Quality menu

 0.61.06 (SVN 543) - June 20, 2007 - Bug fixes

  * Fix amd64 issues
  * Fix corruption of gamma settings
  * Fix manipulating layers in the layer dialog
  * Disable the timebar instead of hiding it
  * Fix File -> Close & input devices close button
  * Fix targets that crash in synfigstudio
  * Fix some doxygen warnings
  * Fixes in the sketch tool
  * Fixes in the draw tool
  * Fix several crashes
  * Fix bline looping
  * Misc Win32 fixes
  * Add optional GNOME thumbnailer
  * Rework several dialogs to use GNOME HIG
  * Disable several tools, see FAQ to re-enable
  * Disable the empty Palette Browser dialog
  * Add mousewheel support in canvas windows
  * Add tooltips to preview window & give it a default size
  * Display HTML values in the colour dialog
  * Add an icon for the curves dialog
  * New Tango ArtLibreSet styled icons by PXEGeek

 0.61.05 (SVN 128) - February 27, 2006 - build issues

  * Fixed building with gtkmm 2.8 (#1373933, #1358304)
  * Allow the toolbox to come to the front (#1367916)
  * Make the user prefs dir configurable at build time
  * Fixed minor build issues

 0.61.04 (SVN 103) - January 10, 2006 - MacOS X packaging

  * Fixes for the MacOS X packaging

 0.61.03 - December 8, 2005 - Build & copyright fixes

  * Update more old copyright and licence notices
  * Fully fix building with GCC 4

 0.61.02 - November 26, 2005 - Build fixes

  * Better Win32 / MacOS X packaging
  * Use new GTK+ file chooser
  * Adds some GCC 4 tweaks
  * Fixes crash on layer reorder
  * Include errno.h where needed
  * Other tweaks

 0.61.01 - November 6, 2005 - Copyright updates

  * Update old copyright and licence notices
  * Add ./configure options for debug, warnings, optimisation, profiling
  * Uses per-os directory separator
  * Add TODO file

 0.61.00-39 - November 1, 2005 - Developer preview

  * First public release!

------------------------------------

2005-11-26	Robert Quattlebaum	<darco@deepdarc.com>
	* src/gtkmm/layertreestore.cpp: Fixed bug which caused crash on DND layer move 
	
2005-11-03	Robert Quattlebaum	<darco@deepdarc.com>
	* src/gtkmm/render.cpp: Fixed default render file to use the directory separator for the given OS, rather than just use forward slashes all the time.

2004-04-26 (darco): Delete button now deletes layers
2004-04-21 (darco): Various improvements to the dock/dialog system
2004-04-19 (adruab): Added Zoom out to the zoom tool using the Ctrl key
2004-04-16 (adruab): Added basic zoom tool
2004-04-15 (darco): Added meta data stuff to properties dialog
2004-04-12 (darco): Dockable Dialog madness!
2004-04-08 (darco): Changed "Select All Ducks" from CTRL-F to CTRL-G
2004-04-08 (darco): Added search capability to layer tree. (Ctrl-F)
2004-04-08 (darco): The order of the layers is now accurate for a given moment in time
2004-04-07 (darco): Foldy... Powers?
2004-04-07 (darco): Added the length field to keyframe tab
2004-04-02 (adruab): Added a preview thing... it's cool
2004-04-02 (darco): The rulers now adhere to the default unit system
2004-04-02 (darco): Improved defaults display
2004-04-01 (darco): Different units now supported
2004-03-31 (darco): Tweaks now preserved!
2004-03-30 (darco): Checkerboard pattern now used to convey alpha
2004-03-30 (darco): got rid of stupid negative zero thing in color selection dialog
2004-03-30 (darco): Adjustments to color dialog to reduce crashes (hopefully)
2004-03-30 (darco): Changed default frame rate from 30 to 24 FPS
2004-03-30 (darco): Fixed keyframe weirdness
2004-03-25 (darco): fixed the zillion dialog box bug
2004-03-25 (darco): Minor improvements to parameter view
2004-03-25 (darco): Added "Select all children" option for layers
2004-03-24 (darco): Added hack to make connecting and disconnecting BLinePoints(vertices) easier
2004-03-22 (darco): Improved grid snap
2004-03-18 (darco): You can now rotate the order of the items in a list!
2004-03-17 (darco): Linking!
2004-03-16 (darco): You can now rename layers with a single click
2004-03-16 (darco): You can now edit parameters even when you have multiple layers selected (Useful!)
2004-03-15 (darco): Added the ability to jump around on the history tab
2004-03-15 (darco): You can now right-click on ducks to edit waypoints! Group selection even!
2004-03-08 (darco): Improved vertex addition/removal
2004-03-05 (darco): Fixed weird tangent bug in BLine tool
2004-03-05 (darco): You can now change all of the waypoints in a keyframe rather easily by right clicking on the keyframe in the keyframe tab and selecting "Properties".
2004-03-05 (darco): Keyframe manipulation now much faster
2004-03-04 (darco): BLine tool will now automatically create if you leave the tool with something in it
2004-03-04 (darco): You can now close polygons in the polygon tool by clicking on the first point in the polygon
2004-03-04 (darco): Improved grid snap stuff
2004-03-02 (darco): Fixed weird selection box when using fill tool
2004-03-02 (darco): Fixed crash on undo stroke from sketch tool
2004-03-02 (darco): Added Rotate Tool
2004-03-02 (darco): Improved the performance of the duck manipulation tools
2004-03-01 (darco): minor adjustment for deleting waypoints
2004-03-01 (darco): Fixed a crash bug on waypoint manipulation
2004-02-20 (darco): Changed the way the BLine tool operates
2004-02-20 (darco): Added "Clear History" button to the "history" tab
2004-02-18 (darco): Added palette dialog
2004-02-18 (darco): Menus no longer activate the first item in the menu when you click to open it
2004-02-16 (darco): slight improvement to the way gradients are handled
2004-02-16 (darco): Added "Apply Default Gradient" action for gradient parameters. (just right click on them)
2004-02-16 (darco): The mouse pointer will now change depending on the currently selected tool.
2004-02-16 (darco): Moved icons around
2004-02-16 (darco): File selection dialog box now remembers previous path
2004-02-13 (darco): Added box select
2004-02-12 (darco): Added Scale tool!
2004-02-12 (darco): Added SmoothMove tool!
2004-02-11 (darco): You can now drag sketch files into canvases to load the sketch
2004-02-11 (adruab): Added rect tool and futzed with the tool options for the draw tool.
2004-02-11 (darco) : Fixed crash-on-exit bug
2004-02-11 (darco) : Added "File->Revert" menu option
2004-02-10 (darco) : Crash on "CVS-Update" bug fixed
2004-02-10 (darco) : Fixed layer-click problem after using the gradient tool
2004-02-10 (darco) : Added "Grab" button
2004-02-10 (darco) : Draw, Gradient, and BLine tool now add layers "in place"
2004-02-09 (darco) : Added preliminary gradient support
2004-02-09 (darco) : Added "CTRL-D" to unselect all layers
2004-02-09 (darco) : Added feather option to the draw and bline tools.
2004-02-09 (darco) : Polygon tool is now implemented correctly
2004-02-09 (darco) : Increased the size of the "One moment please..." font.
2004-02-09 (darco) : Negative color values are now clamped off.
2004-02-07 (darco) : Auto recovery now no longer saves the recovery files in the same directory, which should lead to a more tidy filesystem.
2004-02-06 (darco) : You can now move multiple layers at once
2004-02-06 (darco) : Layer hierarchies are now less likely to collapse when moving layers.
2004-02-06 (darco) : Raising multiple layers at the same time now works correctly
2004-02-06 (darco) : Encapsulating no longer puts the encapsulated layer at the top
2004-02-06 (darco) : Gradient previews are now antialiased
2004-02-06 (darco) : Fixed odd positioning of dialogs
2004-02-06 (darco) : Changed the BLine tool to have a more consistent user interface
2004-02-05 (darco) : Fixed a bug in the text layer regarding the size duck
2004-01-27 (darco) : Strokes in the draw tool should now draw better and undo better.
2004-01-27 (darco) : Added "fill last stroke" button to draw tool options
2004-01-27 (darco) : Auto crash-recovery feature now implemented!
2004-01-27 (darco) : Canvas should now only redraw when a value is truly changed. (ie: just opening a parameter and not changing it will now no longer force a redraw, or add a new action)
2004-01-24 (darco) : Improved consistency of tool options dialog when working with several canvases at the same time
2004-01-24 (darco) : Fixed a bug with loading sketches where the loaded sketch would disappear.
2004-01-23 (darco) : Fixed width duck size bug
2004-01-23 (darco) : Improved existing icons
2004-01-23 (darco) : Added new icons
2004-01-23 (darco) : Fixed bug where studio would ask you to commit file not in repository or sandbox
2004-01-22 (darco) : Initial version of the split layer tab
2004-01-21 (darco) : Changed the "default width" to "0.01" and the default increment to "0.005"
2004-01-21 (darco) : SINFG Studio will now ask you to commit your file to CVS upon exit if you haven't already.
2004-01-21 (darco) : Fixed bug where the color sliders in the gradient editor didn't work.
2004-01-21 (darco) : You can now load and save sketches
2004-01-19 (darco) : Minor fix for remembering settings
2004-01-19 (darco) : Added "Auto Loop" and "Auto Connect" toggles to the tool options for the draw tool.
2004-01-19 (darco) : Tool options for the draw tool are now retained between sessions. Tool options can also be customized for specific input devices.(that last part may be slightly buggy)
2004-01-19 (darco) : Added a "show sketch" toggle to the tool options for the scribble tool. This allows you to temporarily hide the sketch.
2004-01-19 (darco) : changed default grid size from 0.2,0.2 to 0.25,0.25
2004-01-17 (darco) : Individual input devices should now remember their associated settings
2004-01-17 (darco) : Dialogs should now remember their positions
2004-01-17 (darco) : Added some tool options for draw tool
2004-01-16 (darco) : Tool Options dialog has been implemented. Currently the only tool that supports it is the sketch tool
2004-01-16 (darco) : You can now clear the sketch area via the tool options dialog when the sketch tool is selected
2004-01-16 (darco) : Changes in the color dialog are now immediately reflected in whatever is in context. (As opposed to having to always hit "apply")
2004-01-16 (darco) : Sketch tool is now persistent. Still needs some work--as it stands, you can't undo or turn off the sketch without closing the file and opening it up again.
2004-01-15 (darco) : Added preliminary version of the sketch tool. This version doesn't support colors, or persist across different tools yet. This support is on the way.
2004-01-15 (darco) : Renamed tools
2004-01-14 (darco) : Updates for supporting new BLines
2004-01-14 (darco) : Import tool now respects the width and height of a bitmap when placing it
2004-01-13 (darco) : Added support for multiple-line strings (for layers such as the Text layer)
2004-01-13 (darco) : Added low-resolution mode to work area to speed up render times. You can toggle it on and off via the View->ToggleLow-Res menu item. (Low-res mode is ON by default)
2004-01-09 (darco) : drawing onto the start or end of an existing BLine will now extend it rather than creating a new BLine
2004-01-09 (darco) : You can now delete canvases from the canvas browser.
2004-01-07 (adruab) : Pen sample grouping, gets rid of small errors in line, but also tends to cause breaking to occur at lower curvatures than it should
2004-01-06 (darco) : Preliminary support for creating regions now implemented. It is EXTREMELY buggy, but it gives you an idea of what you can do with it.
2004-01-06 (darco) : I fixed an error that is probably the source for many of the random crashes that seem to occur.
2004-01-05 (darco) : Individual input devices (mouse, wacom tablet, etc) will now remember their associated tool, color, and BLine width. These settings are not yet saved on program exit--this will be implemented in the future.
2004-01-05 (darco) : You can now adjust the default BLine size by directly clicking up the upper or lower part of the BLine size indicator.
2004-01-05 (darco) : You can now draw looped blines in the sketch tool.
2004-01-02 (adruab) : Fixed weird reversing tangents bug
2004-01-01 (adruab) : Added tangent breaking to the curve input tool (first post of 2004 :P)
2003-12-28 (adruab) : Fixed the dumb adaptive tessellator, and put pressure sensitivity back in
2003-12-28 (adruab) : Finished the "dumb" adaptive curve tessellator (-bugs)
2003-12-28 (darco) : Added physical dimensions to properties and render dialogs
2003-12-24 (darco) : The clicking-too-fast bug should be fixed
2003-12-24 (darco) : Added Fill Tool
2003-12-23 (darco) : Preliminary support for automatic vertex connection when scribbiling in the new rotoscope tool
2003-12-19 (darco) : Fix for last vertex width being wrong when drawing
2003-12-18 (darco) : The zero-tangent bug with the new rotoscope should also be fixed
2003-12-18 (darco) : Tangent handles are now turned off when rotoscoping
2003-12-18 (darco) : Improved pressure sensitivity.
2003-12-18 (darco) : Pressure sensitivity... :)
2003-12-18 (darco) : Preliminary tablet support now implemented
2003-12-17 (darco) : A handful of under-the-hood tweaks that should make using the program a tad more friendly.
2003-12-17 (darco) : Improvements to the new rotoscope
2003-12-17 (darco) : Creating a new layer will now insert it at the depth of the currently selected layer
2003-12-03 (darco) : The place-holder for the new rotoscope now creates blines
2003-12-03 (darco) : Fixed minor bug with disconnecting value nodes
2003-12-02 (darco) : Improved about dialog graphic
2003-12-02 (darco) : When you open a really big canvas, it is now auto-zoomed out to fit the window.
2003-12-01 (darco) : Tool buttons can now show you which tool is currently active.
2003-11-29 (darco) : Changed default aspect ratio of new composition from 4:3 to 16:9
2003-11-29 (darco) : Changed default resolution of new composition from 75dpi to 72dpi
2003-11-29 (darco) : Added locks&links to properties dialog.
2003-11-29 (darco) : Converted resolution in Properties from Dots-per-meter to Dots-per-inch
2003-11-29 (darco) : Added stub for new rotoscope tool. It doesn't do much at the moment other than let you temporarily draw over the window.
2003-11-25 (darco) : Removed the useless red-blue selection
2003-11-18 (darco) : Fixed weird crash-bug when importing compositions
2003-11-13 (darco) : Fixed bug where encapsulating might re-order the layers
2003-11-12 (darco) : Opening a new large composition will no longer result in un-weildly large canvas windows.
2003-11-12 (darco) : Improved all of the CVS command.
2003-11-12 (darco) : "CVS Add" will no longer ask you for a log entry. You enter the log entry when you "commit"
2003-11-12 (darco) : Using "saveas" will now append ".sif" to the filename if you didn't specify an extension.
2003-11-10 (darco) : The default value increment/decrement for the Waypoint Dialog has been changed from 1.0(which is fairly useless) to 0.1. (This is mostly for the TCB controls)
2003-11-10 (darco) : Ducks now (for the most part) are always accurate with respect to what they are visually representing. They are now context-sensitive. :)
2003-11-06 (darco) : You can now import other SINFG compositions in the exact same way you would import any other image.
2003-11-06 (darco) : Added "remove" to waypoint right-click menu.
2003-11-05 (darco) : Fixed a refresh bug with the time window and the children tab
2003-11-05 (darco) : Added the ability to duplicate waypoints
2003-10-31 (darco) : Grid snap now works again
2003-10-31 (darco) : Added "Jump" column to keyframe tab
2003-10-31 (darco) : MUCH IMPROVED support for selecting and moving multiple ducks
2003-10-30 (darco) : Preliminary support for selecting and moving multiple ducks
2003-10-28 (darco) : Fixed CVS-MODIFIED bug due to daylight-saving time
2003-10-22 (darco) : Added some CVS features (Although their usefulness is limited in windows)
2003-10-22 (darco) : Fixed some weirdness with undo/redo/refresh
2003-10-21 (darco) : Fixed some rotoscope weirdness
2003-10-21 (darco) : Minor improvement for confusing behavior of progress bar when rendering
2003-10-21 (darco) : A dialog box will now pop up whenever it is unable to open a composition
2003-10-21 (darco) : Added placeholders for icons
2003-10-21 (darco) : Fixed most (all?) of the crazy Gtk/Glib errors.
2003-10-19 (darco) : Fixed a bug where the "Use Current Frame" option in the Render Dialog was not being checked properly (meaning you couldn't render animations)
2003-10-15 (darco) : Added eyedrop tool icon
2003-10-15 (darco) : Improved scrolling of work area
2003-10-15 (darco) : Added Eyedrop tool
2003-10-11 (darco) : Changed default undo/redo behavior to NOT clear the "redo" stack when a new action is performed. (the previous action was to clear the redo stack)
2003-10-11 (darco) : Fixed some weirdness with the children tab
2003-10-11 (darco) : Several speed improvements for the tables. This will greatly speed up loading files, editing values, and adjustments to keyframes.
2003-10-10 (darco) : The "Zoom to 100%" feature can now be accessed by pressing the "`" key. (This is the that has the "~" on it)
2003-10-10 (darco) : The "Zoom to 100%" feature will not "toggle", meaning that if you are already at a "100%" zoom level, then it will return to the previous zoom amount.
2003-10-08 (darco) : Fixed first/last point on looped bline not being splitable from the work area duck.
2003-10-07 (darco) : Fixed weird idle->rendering->idle->rendering switching bug
2003-10-07 (darco) : Added blend_method option to layer tab
2003-10-07 (darco) : Added amount slider to Layer tab
2003-10-07 (darco) : Layers are now categorized
2003-10-06 (darco) : Added red-blue gamma adjustment to setup dialog
2003-10-06 (darco) : Implemented Image Import Tool. (CTRL-I)
2003-10-06 (darco) : The Ducks in the Work Area are now more precisely placed. (Especially obvious for radiuses)
2003-10-06 (darco) : Implemented adjustable default BLine width. To adjust it, use the scroll wheel on your mouse.
2003-10-06 (darco) : Fixed bug where changing parameters may not always refresh the work area. (AGAIN)
2003-10-06 (darco) : Fixed dragging-layer-into-inline-canvas crash bug.
2003-10-06 (darco) : Removed activepoint-specific actions for non-animated canvases
2003-10-04 (darco) : Fixed bug where when dragging a layer below it ends up being one off.
2003-10-04 (darco) : Added button to toolbox for quickly displaying the color dialog
2003-10-04 (darco) : Fixed some minor consistency issues regarding the layer tab. (ie: disconnections not being visible...)
2003-10-04 (darco) : You can now sort the ValueNodes in the Children tab
2003-10-04 (darco) : Fixed bug where changing parameters may not always refresh the work area.
2003-10-04 (darco) : Hopefully fixed "disappearing new layer menu" bug
2003-10-03 (darco) : Preliminary support for editing layer descriptions
2003-09-30 (darco) : Changing a canvas parameter now no longer requires you to click elsewhere before it takes effect.
2003-09-30 (darco) : Changing an Enum parameter now no longer requires you to click elsewhere before it takes effect.
2003-09-30 (darco) : The Keyframe tab and the TimeTrack columns are now hidden when the canvas's start and end times are equal (ie: if it isn't animated)
2003-09-30 (darco) : Added hotkey for toggling grid snap -- CONTROL-L
2003-09-30 (darco) : Added hotkey for toggling the grid -- CONTROL-G
2003-09-30 (darco) : Right clicking on the default colors (in the toolbox) will swap the FG and BG colors.
2003-09-30 (darco) : Right clicking on the default gradient (in the toolbox) will revert it back to being the FG->BG gradient.
2003-09-30 (darco) : Added several keyboard accelerators. F8="Properties Dialog", F9="Render", F12="Options"
2003-09-30 (darco) : Added "SaveAs..." to CanvasView "File" menu.
2003-09-30 (darco) : The "Escape" key is now bound to the stop button.
2003-09-30 (darco) : Added red-border visual queue for when we are in animate mode.
2003-09-30 (darco) : You can now right click on layers inside of the work area and raise/lower them
2003-09-30 (darco) : Added the ability to change the render quality of the work area. (View->PreviewQuality)
2003-09-30 (darco) : You can now loop/unloop BLines and DynamicLists by right clicking on them.
2003-09-30 (darco) : You can now halt rendering by pressing the stop button
2003-09-30 (darco) : Improved BLine editing via BLine Rotoscope tool. You now insert points by right clicking on the curve rather than the vertex.
2003-09-29 (darco) : Improved layer Drag-N-Drop
2003-09-25 (darco) : Layers can now be rearanged via Drag-N-Drop
2003-09-25 (darco) : The BLine Rotoscope tool now automatically uses more reasonable tangents
2003-09-24 (darco) : You can now select layers from the work area that are inside inline canvases by just clicking on them.
2003-09-24 (darco) : Selecting a layer from the work area will now cause the layer tab to scroll to make that layer visible.
2003-09-24 (darco) : Improved in-line canvas editing (now it doesn't collapse ever time you make a change)
2003-09-24 (darco) : Fixed the bug where the canvas wouldn't refresh if values were edited too quickly
2003-09-24 (darco) : Added some icons to dynamically generated menus
2003-09-24 (darco) : Added jump-to-(next/prev)-keyframe feature (Press '[' and ']')
2003-09-24 (darco) : Added time-zoom feature (Hold down shift and press '-' and '=')
2003-09-24 (darco) : Fixed lagging duck bug
2003-09-23 (darco) : Color editor will now intelligently clamp values if necessary
2003-09-23 (darco) : Added "selected color" box to color editing dialog
2003-09-23 (darco) : Implemented keyboard accelerators for zoom. (GIMP style -- '-' for zoom out and '=' for zoom in)
2003-09-23 (darco) : Implemented keyboard accelerators for Duck Hiding. (press ALT-1...6)
2003-09-23 (darco) : Angles can now be visually edited
2003-09-23 (darco) : Added "Split Tangents" action for BLinePoints
2003-09-23 (darco) : Added "Merge Tangents" action for BLinePoints
2003-09-23 (darco) : Added visual BLine width adjustment
2003-09-23 (darco) : Added smart dynamic list item remove and smart dynamic list item insert (works for BLines, too)
2003-09-22 (darco) : Implemented Duck Masking (see menu View->DuckMask from canvasview menu)
2003-09-22 (darco) : Implemented key accelerators in CanvasView... (eg: Ctrl-Z=Undo, Ctrl-S=Save, etc)
2003-09-22 (darco) : Added "Keyframe Lock" button
2003-09-17 (darco) : Added "Duplicate Keyframe" feature
2003-09-17 (darco) : Added "Remove Keyframe" feature
2003-09-17 (darco) : Finished SINFGApp re-write.
2003-09-05 (darco) : Added default foreground/background colors, as well as a default gradient.
2003-09-03 (darco) : Version Increment
2003-09-01 (darco) : If a given layer has a color parameter, then you can now edit the color of a layer by just selecting the layer and adjusting it's color in the color dialog. You can also adjust the color of all selected layers in this way.
2003-08-31 (darco) : Added color-selection dialog, improving the ease and intuitiveness of color selection.
2003-08-18 (darco) : Preliminary support for dynamic point removal.
2003-08-18 (darco) : Improved support for adding points dynamically. 
2003-08-14 (darco) : Preliminary support for animating the addition and removal of points
2003-08-12 (darco) : You can now right click on segments! To add a point to a bline, right click on the segment where you want to add the point, and then select "add point".
2003-08-12 (darco) : You can now click on a layer in the work area and it will be selected. (Not yet supported for all layers)
2003-08-12 (darco) : Gradient editor now works. Right click on the gradient in the editor to display a menu for adding and removing CPoints.
2003-08-11 (darco) : You can now see ducks appear as you select children. This greatly improves the ability to edit and work with complex images.
2003-08-06 (darco) : The canvas browser is now hidden by default. When you first load a canvas, it will pop up automatically.
2003-08-06 (darco) : Added blacklevel test pattern to the gamma tab of the setup dialog. As with the other patterns, try to make the middle of the square match the outside of the square. The goal is to have the highest blacklevel setting where the blacklevel pattern looks solid black.
2003-08-06 (darco) : I am currently working on adding support for the color gradient editor. It isn't done yet, but if you double click on a gradient, you can bring up what will be the gradient editor.
2003-08-06 (darco) : Added "Visually Linear Color Selection" checkbox to the setup. This adjusts all color values that you see so that they are more linear in scale. The default is ON.
2003-08-05 (darco) : The "insert point" option in the rotoscope (bline) is being implemented. It currently only works for adding points to the start of the BLine.
2003-08-05 (darco) : The "delete point" option in the rotoscope (bline) now works. (Although, it seems to crash when you try to delete the most recent point. Investigating...)
2003-08-04 (darco) : The setup dialog now saves your changes to disk immediately. This makes is so that if the program crashes, then we don't loose our recently-updated changes
2003-08-04 (darco) : The setup dialog is now broken down into tabs.
2003-08-04 (darco) : Improved the speed of the gamma adjustments in the setup dialog.
2003-08-01 (darco) : Changes made to the setup dialog are now saved to disk, and will be automatically reloaded upon restarting the program.
2003-08-01 (darco) : Setup dialog is now implemented, with visual gamma adjustments and the ability to choose the type of timestamp you want
2003-07-28 (darco) : Added gradients as viewable parameters. (the gradient editor isn't ready yet though)
2003-07-23 (darco) : Added buttons to the toolbar for poly and bline rotoscope
2003-07-21 (darco) : Faster window scrolling, and better tiling
2003-07-15 (darco) : For canvas parameters, you can now select canvases that are outside of the current canvas, even in other files
2003-07-14 (darco) : TCB controls now implemented
2003-05-22 (darco) : The time code in the canvas view work area will turn turn "red" if you are on a keyframe
2003-05-22 (darco) : Activepoint keyframe stuff was more broken than I realized, but it should work now..
2003-05-22 (darco) : Activepoints can now be viewed in the track view. You can select them, but not much else. Red lines are "off" and green lines are "on"
2003-05-19 (darco) : Fixed a crashing bug that would sneak up while animating stuff.
2003-05-19 (darco) : Improved keyframe editing even more.
2003-05-08 (darco) : Improved keyframe editing. One step closer to "just working". *sigh* Ahh... Automagick...
2003-05-08 (darco) : Many, Many under the hood updates and cleanups
2003-04-27 (darco) : Adding a new layer now inserts it at the selected depth in the stack
2003-04-27 (darco) : Duplicating a layer now puts the clone layer next to the original layer
2003-04-24 (darco) : Preliminary support for keyframes/dope-sheet has now been implemented!
2003-04-23 (darco) : Fixed bug where new canvases would have weird time
2003-04-23 (darco) : You can now import image files into a canvas by dragging them onto the canvas window
2003-04-22 (darco) : Raising and lowering layers is now faster
2003-04-22 (darco) : Added some convenience buttons for raising and lowering the layers
2003-04-19 (darco) : Added timecode readout on keyframe view. (still rather non-functional)
2003-04-17 (darco) : PasteCanvas layers will now display the name of the canvas it is pasting instead of just "PasteCanvas"
2003-04-17 (darco) : You can now view and edit the contents of an inline canvas
2003-04-13 (darco) : Fixed crash bug when pressing render button on render dialog with empty filename
2003-04-13 (darco) : The render dialog now has a default file name.
2003-04-13 (darco) : On the Canvas Browser -- renamed "Undo/Redo" tab to "History"
2003-04-13 (darco) : The layer and children tables now do a better job of keeping in sync with the scene -- meaning that you don't have to hit "refresh" as often.
2003-04-13 (darco) : Fixed the bug where you could not see the polygon as you were rotoscoping it.
2003-04-11 (darco) : Fixed a bug in the time widget which would crash the program if you pressed "enter" and the de-focused it.
2003-04-11 (darco) : Start of significant under-the-hood updates
2003-04-11 (darco) : "Time Bar" now only appears when start time and end time are not equal.
2003-04-11 (darco) : Implemented the "move to top" and "move to bottom"
2003-04-07 (darco) : Changes to properties window of canvas is now undoable
2003-04-07 (darco) : Creation of Canvases is now undoable
2003-04-04 (darco) : Improved path rotoscope
2003-04-03 (darco) : Added "encapsulate" option to layer menu
2003-04-03 (darco) : All references to time now use the time code format. 
2003-04-02 (darco) : Using the rotoscope tool to create a path is now WYSIWYG (Instead of just showing lines, you now see the curve and the control points)
2003-04-01 (darco) : Set the default frame-rate for new compositions to 30.
2003-03-31 (darco) : Tons of under-the-hood changes. 
2003-03-31 (darco) : Added the ability to delete, raise, and lower items on a dynamic list
2003-03-31 (darco) : Added dialog box to path rotoscope
2003-03-26 (darco) : Removed the "ID" entrybox from the Canvas Properties when the canvas is root.
2003-03-26 (darco) : Set the default end-time for new compositions to ZERO.
2003-03-26 (darco) : Set the default frame-rate for new compositions to 15.
2003-03-22 (darco) : Added canvas options dialog
2003-03-22 (darco) : Added ability to adjust grid size

2003-03-21 (darco) : Added "Delete" button to waypoint dialog

2003-03-20 (darco) : Version Increment (0.60.03)
2003-03-20 (darco) : Added Waypoint dialog for editing waypoints

2003-03-20 (darco) : Version Increment (0.60.02)
2003-03-20 (darco) : Names of DataNode parameters are now more readable
2003-03-20 (darco) : Removed "Rotoscope", added "Rotoscope Path" and "Rotoscope Poly"

2003-03-19 (darco) : Added "Find" button to parameters that represent filenames

2003-03-17 (darco) : Fixed a bug where the "Open Recent" list is reversed when restarting the program
2003-03-17 (darco) : Added an "Open Recent" option to the file menu on the toolbox. It remembers the last 10 files opened or saved.
2003-03-17 (darco) : Added target selection box to render dialog.
2003-03-17 (darco) : Added "Use current frame" checkbox to render dialog.

2003-03-04 (darco) : Implemented Render Functionality.
2003-03-04 (darco) : Added support for "angle" type.
2003-03-04 (darco) : Deselecting a parameter-edit popup will now make it disappear immediately, rather than after the refresh.

2003-03-01 (darco) : The root canvas on a new composition is now clean, instead of having a mandelbrot set.

2003-02-26 (darco) : Changed the file dialogs to use the native Win32 file open/save dialogs when built for Win32 rather than the nasty looking Gtk+ file dialogs.
2003-02-26 (darco) : Fixed Bug 0000007 (http://dev.sinfg.com/mantis/view_bug_page.php?f_id=0000007)
